﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Mandatory Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

    <!-- Rule ID: VR.ATO.GEN.500050
         ELS Ref: V17
      
        IF (CONTEXT(Intermediary.TrueAndCorrect) = NULL) AND (CONTEXT(RP.TrueAndCorrect) = NULL)
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500050" diagnostics="DVR.ATO.GEN.500050"
            test="not(
                        not($RPTAC.Context)
                        and
                        not($INTTAC.Context)
                     )" />


    <!-- Rule ID: VR.ATO.GEN.500056
         ELS Ref: V17         
        
        IF ((CONTEXT(Intermediary.TrueAndCorrect) = NULL)  AND (RP.TrueAndCorrect:pyde.xx.xx:PersonUnstructuredName.FullName.Text = NULLORBLANK)) 
            OR 
           ((CONTEXT(Intermediary.TrueAndCorrect) <> NULL) AND (Intermediary.TrueAndCorrect:pyde.xx.xx:PersonUnstructuredName.FullName.Text = NULLORBLANK))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500056" diagnostics="DVR.ATO.GEN.500056"
            test="not(
                        (
                            $INTTAC.Context 
                            and
                            not($cgnft23INTTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                        ) 
                        or
                        (
                            $RPTAC.Context 
                            and
                            not($cgnft23RPTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                        )
                     )" />

    <!-- Rule ID: VR.ATO.GEN.500060
         ELS Ref: V17
         
          IF ((CONTEXT(Intermediary.TrueAndCorrect)=NULL) AND 
             (RP.TrueAndCorrect:pyde.02.00:ElectronicContact.Telephone.Minimal.Number = NULLORBLANK))  
             OR
             ((CONTEXT(Intermediary.TrueAndCorrect)<>NULL) AND 
             (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number = NULLORBLANK))
             
             RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.GEN.500060" diagnostics="DVR.ATO.GEN.500060"
            test="not(
                        (
                            not($INTTAC.Context) 
                            and 
                            not($cgnft26RPTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                        )
                        or
                        (
                            $INTTAC.Context
                            and 
                            not($cgnft26INTTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                        )                      
                     )"/>
    

    <!-- Rule ID: VR.ATO.GEN.500065
         ELS Ref: V17         
        
        IF (CONTEXT(RP.TrueAndCorrect) <> NULL) AND (RP.TrueAndCorrect:pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier <> NULL)
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500065" diagnostics="DVR.ATO.GEN.500065"
            test="not(
                        $RPTAC.Context 
                        and
                        $cgnft28RPTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                     )" />

    
    <!-- Rule ID: VR.ATO.GEN.500067
         ELS Ref: V17         
        
        IF ((CONTEXT(Intermediary.TrueAndCorrect) = NULL) AND (RP.TrueAndCorrect:pyin.xx.xx:Declaration.Signature.Date = NULL)) OR ((CONTEXT(Intermediary.TrueAndCorrect) <> NULL) AND (Intermediary.TrueAndCorrect:pyin.xx.xx:Declaration.Signature.Date = NULL))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500067" diagnostics="DVR.ATO.GEN.500067"
            test="not(
                        (
                            $INTTAC.Context 
                            and
                            not($cgnft29INTTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                        )
                        or
                        (
                            $RPTAC.Context 
                            and
                            not($cgnft29RPTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                        )
                     )" />


    <!-- Rule ID: VR.ATO.GEN.500068
         ELS Ref: V17         
        
        IF (Intermediary.TrueAndCorrect:pyin.xx.xx:Declaration.StatementAccepted.Indicator = NULL) AND (RP.TrueAndCorrect:pyin.xx.xx:Declaration.StatementAccepted.Indicator = NULL)
            RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500068" diagnostics="DVR.ATO.GEN.500068"
            test="not(
                        (
                            $INTTAC.Context 
                            and
                            not($cgnft30INTTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                        ) 
                        or
                        (
                            $RPTAC.Context 
                            and
                            not($cgnft30RPTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                        )
                     )" />


    <!-- Rule ID: VR.ATO.CGNFT.000023
         ELS Ref: V17         
        
        IF (pyde.xx.xx:PersonNameDetails.Position.Text = NULLORBLANK) 
             RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CGNFT.000023" diagnostics="DVR.ATO.CGNFT.000023"
            test="not(
                        (
                            $INTTAC.Context 
                            and
                            not($cgnft24INTTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                        )
                        or
                        (
                            $RPTAC.Context 
                            and
                            not($cgnft24RPTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                        )
                     )" />
    
    <!-- Rule ID: VR.ATO.CGNFT.000038
         ELS Ref: V17         
        
        IF ([cgnft03] = NULLORBLANK) 
          RETURN VALIDATION MESSAGE
        ENDIF
                
        [cgnft03] = pyid.02.00:Identifiers.TaxFileNumber.Identifier        
    -->
    <assert id="VR.ATO.CGNFT.000038" diagnostics="DVR.ATO.CGNFT.000038"
            test="not(
                        not($cgnft03[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                     )" />


    <!-- Rule ID: VR.ATO.CGNFT.000043
         ELS Ref: V17         
        
        IF ([cgnft04] = NULLORBLANK) 
          RETURN VALIDATION MESSAGE
        ENDIF
                
        [cgnft04] = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
    -->
    <assert id="VR.ATO.CGNFT.000043" diagnostics="DVR.ATO.CGNFT.000043"
            test="not(
                        not($cgnft04[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                     )" />
    

    <!-- Rule ID: VR.ATO.CGNFT.000065
         ELS Ref: V17         
        
        IF (
              ([cgnft10] <> NULLORBLANK) OR 
              ([cgnft11] <> NULLORBLANK) OR 
              (
                  ([cgnft12] <> NULLORBLANK) OR 
                  ([cgnft13] <> NULLORBLANK)) OR 
                  (CP:entity.identifier.TFN <> NULL) OR 
                  ([cgnft14] <> NULL) OR 
                  ([cgnft15] <> NULL) OR 
                  ([cgnft16] <> NULLORBLANK) OR 
                  ([cgnft17] <> NULLORBLANK) OR 
                  ([cgnft19] <> NULLORBLANK) OR 
                  ([cgnft20] <> NULLORBLANK)
              ) 
              and 
              (
                ([cgnft10] = NULLORBLANK) OR 
                (CP:entity.identifier.TFN = NULL)
              )
          RETURN VALIDATION MESSAGE
        ENDIF
                
        [cgnft10] = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
        [cgnft11] = pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
        [cgnft12] = pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier
        [cgnft13] = pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier
        [cgnft14] = pyde.02.17:OrganisationDetails.TaxConsolidation.SubsidiaryMemberEntry.Date
        [cgnft15] = pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Date
        [cgnft16] = pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Code
        [cgnft17] = pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Description
        [cgnft18] = pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
        [cgnft19] = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
        [cgnft20] = pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
    -->
    <assert id="VR.ATO.CGNFT.000065" diagnostics="DVR.ATO.CGNFT.000065"
            test="not(
                        (
                            $cgnft10[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                            or
                            $cgnft11[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                            or
                            $cgnft12[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                            or
                            $cgnft13[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                            or
                            $cgnft14[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                            or
                            $cgnft15[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                            or
                            $cgnft16[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                            or
                            $cgnft17[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                            or
                            $cgnft18[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                            or
                            $cgnft19[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                            or
                            $cgnft20[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                            or
                            xbrli:context[@id = $CP.ContextId]/xbrli:entity/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                        )
                        and
                        (
                            not($cgnft10[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                            or
                            not(xbrli:context[@id = $CP.ContextId]/xbrli:entity/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                        )
                     )" />


    <!-- Rule ID: VR.ATO.CGNFT.000069
         ELS Ref: V17         
        
        IF ([cgnft04] = NULLORBLANK) 
          RETURN VALIDATION MESSAGE
        ENDIF
                
        [cgnft04] = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
    -->
    <assert id="VR.ATO.CGNFT.000069" diagnostics="DVR.ATO.CGNFT.000069"
            test="not(
                        not($cgnft10[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                     )" />


    <!-- Rule ID: VR.ATO.CGNFT.000087
         ELS Ref: V17         
        
        IF (pyin.xx.xx:Declaration.SignatoryIdentifier.Text = NULLORBLANK) 
             RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CGNFT.000087" diagnostics="DVR.ATO.CGNFT.000087"
            test="not(
                        (
                            $INTTAC.Context 
                            and
                            not($cgnft31INTTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                        )
                        or
                        (
                            $RPTAC.Context 
                            and
                            not($cgnft31RPTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                        )
                     )" />


    <!-- Rule ID: VR.ATO.CGNFT.000097
         ELS Ref: V17         
        
        IF (
              ([cgnft15] <> NULL) OR 
              ([cgnft16] <> NULLORBLANK) OR 
              ([cgnft17] <> NULLORBLANK) OR 
              ([cgnft19] <> NULLORBLANK) OR 
              (
                ([cgnft20] <> NULLORBLANK) OR 
                ([cgnft27] <> NULLORBLANK))
              ) 
              AND 
              (
                ([cgnft15] = NULL) OR 
                ([cgnft16] = NULLORBLANK)
              )
          RETURN VALIDATION MESSAGE
        ENDIF
                        
        [cgnft15] = pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Date
        [cgnft16] = pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Code
        [cgnft17] = pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Description        
        [cgnft19] = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
        [cgnft20] = pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
        [cgnft27] = pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier
    -->
    <assert id="VR.ATO.CGNFT.000097" diagnostics="DVR.ATO.CGNFT.000097"
            test="not(
                        (
                            $cgnft15[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                            or
                            $cgnft16[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                            or
                            $cgnft17[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                            or
                            $cgnft19[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                            or
                            $cgnft20[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                            or
                            $cgnft27[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                            
                        )
                        and
                        (
                            not($cgnft15[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                            or
                            not($cgnft16[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                        )
                     )" />

  </rule>
    
</pattern>
