﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="ContentCommon" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Generic Content Validations</title>

    <rule abstract="true" id="VR-ATO-GEN-000423">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS " - ")
                   RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.000423" diagnostics="DVR.ATO.GEN.000423" test="not(matches(.,'^(.*) - (.*)$'))"/>
    </rule>

    <rule abstract="true" id="VR-ATO-GEN-000427">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS SET("-_-", """", "  "))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.000427" diagnostics="DVR.ATO.GEN.000427" test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"/>
    </rule>

    <rule abstract="true" id="VR-ATO-GEN-000434">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS  " - ")
                   RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.000434" diagnostics="DVR.ATO.GEN.000434" test="not(matches(.,'^(.*) - (.*)$'))"/>
    </rule>

    <rule abstract="true" id="VR-ATO-GEN-000439">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS SET("-_-","'’","  ") )
                   RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.000439" diagnostics="DVR.ATO.GEN.000439" test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"/>
    </rule>

    <rule abstract="true" id="VR-ATO-GEN-000446">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS  " - ")
                   RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.000446" diagnostics="DVR.ATO.GEN.000446" test="not(matches(.,'^(.*) - (.*)$'))"/>
    </rule>

    <rule abstract="true" id="VR-ATO-GEN-000451">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS SET("-_-","'’","  ") )
                   RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.000451" diagnostics="DVR.ATO.GEN.000451" test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"/>
    </rule>

    <rule abstract="true" id="VR-ATO-GEN-410040">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> SET("A-Z","a-z"))
                   RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410040" diagnostics="DVR.ATO.GEN.410040" test="not(not(matches(.,'^(.*)[a-zA-Z](.*)$')))"/>
    </rule>

    <rule abstract="true" id="VR-ATO-GEN-410063">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.GivenName.Text <> SET("A-Z","a-z"))
                   RETURN VALIDATION MESSSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410063" diagnostics="DVR.ATO.GEN.410063" 
                test="not(not(matches(.,'^(.*)[a-zA-Z](.*)$')))"/>
    </rule>

    <rule abstract="true" id="VR-ATO-GEN-410200">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("Exec for","Rep for","Trustee for"))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410200" diagnostics="DVR.ATO.GEN.410200" 
                test="not(
                            matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i')
                            or
                            matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i')
                            or
                            matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i')
                            or
                            matches(.,'^(Exec for|Rep for|Trustee for)$','i')               
                        )"/>
    </rule>

    <rule abstract="true" id="VR-ATO-GEN-410201">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("MR","MRS","MISS","MS"))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410201" diagnostics="DVR.ATO.GEN.410201" 
                test="
                    not(
                      matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                      matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                      matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                      matches(.,'^(MR|MRS|MISS|MS)$','i'))"/>
    </rule>


    <rule abstract="true" id="VR-ATO-GEN-428231">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
                   RETURN VALIDATION MESSAGE
            ENDIF
            <assert id="VR.ATO.GEN.428231" diagnostics="DVR.ATO.GEN.428231" test="not(matches(.,'^(.*)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)(.*)$'))"/>
        -->
      <assert  id="VR.ATO.GEN.428231" diagnostics="DVR.ATO.GEN.428231" test="not(
                          matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or
                          matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or
                          matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or
                          matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')
                       )"></assert>
    </rule>

    <rule abstract="true" id="VR-ATO-GEN-410202">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
                   RETURN VALIDATION MESSAGE
            ENDIF
            <assert id="VR.ATO.GEN.410202" diagnostics="DVR.ATO.GEN.410202" test="not(matches(.,'^(.*)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)(.*)$'))"/>
        -->
      <assert  id="VR.ATO.GEN.410202" diagnostics="DVR.ATO.GEN.410202" test="not(
                  matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or
                  matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or
                  matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or
                  matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')
                      )"></assert>
    </rule>

    <rule abstract="true" id="VR-ATO-GEN-410203">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("Exec for","Rep for","Trustee for"))
                   RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410203" diagnostics="DVR.ATO.GEN.410203" 
                test="not(
                      matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                      matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                      matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                      matches(.,'^(Exec for|Rep for|Trustee for)$','i'))"/>
    </rule>

    <rule abstract="true" id="VR-ATO-GEN-410204">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("MR","MRS","MISS","MS"))
                   RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410204" diagnostics="DVR.ATO.GEN.410204" test="not(
                      matches(upper-case(.),'^(MR |MRS |MISS |MS )(.*)$','i') or
                      matches(upper-case(.),'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                      matches(upper-case(.),'^(.*)( MR| MRS| MISS| MS)$','i') or
                      matches(upper-case(.),'^(MR|MRS|MISS|MS)$','i'))"/>"/>
    </rule>

    <rule abstract="true" id="VR-ATO-GEN-410207">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
                   RETURN VALIDATION MESSAGE
            ENDIF
             <assert id="VR.ATO.GEN.410207" diagnostics="DVR.ATO.GEN.410207" test="not(matches(.,'^(.*)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)(.*)$'))"/>
        -->
      <assert  id="VR.ATO.GEN.410207" diagnostics="DVR.ATO.GEN.410207" test="not(
                        matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or
                        matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or
                        matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or
                        matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')
                      )"></assert>
    </rule>

    <rule abstract="true" id="VR-ATO-GEN-410208">
        <!--
        IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("Exec for","Rep for","Trustee for"))
               RETURN VALIDATION MESSAGE
        ENDIF
        -->
        <assert id="VR.ATO.GEN.410208" diagnostics="DVR.ATO.GEN.410208" test="not(matches(.,'^(.*)(Exec for|Rep for|Trustee for)(.*)$'))"/>
    </rule>

    <rule abstract="true" id="VR-ATO-GEN-410209">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("MR","MRS","MISS","MS"))
                   RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410209" diagnostics="DVR.ATO.GEN.410209" test="not(
                      matches(upper-case(.),'^(MR |MRS |MISS |MS )(.*)$','i') or
                      matches(upper-case(.),'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                      matches(upper-case(.),'^(.*)( MR| MRS| MISS| MS)$','i') or
                      matches(upper-case(.),'^(MR|MRS|MISS|MS)$','i'))"/>
    </rule>
</pattern>