﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossForm" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable accross all of the FITR services.</title>

  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/fitr/fitr_0004/fitr.0004.lodge.request.02.00.report.xsd']]">

<!--
            RULE: VR.ATO.FITR.434034
      
            IF [FITR23] > 10000 AND  (COUNT(SCHEDULE = "CGTS") = 0)
                RETURN VALIDATION MESSAGE
            ENDIF
            [FITR23] = FITR:RP:Income.CapitalGainsNet.Amount
        -->

<assert  id="VR.ATO.FITR.434034" diagnostics="DVR.ATO.FITR.434034" test="not(    
                        sum(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 10000
                        and
                        count($CGT.Context) = 0
                      )"></assert>

<!--
      Rule ID: VR.ATO.FITR.434036
      
      IF (COUNT(SCHEDULE = "CGTS") = 1) AND [FITR23] <> [CGTS131]
            RETURN VALIDATION MESSAGE
      ENDIF

        [CGTS131] = CGTS:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
        [FITR23] = FITR:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
        -->

<assert  id="VR.ATO.FITR.434036" diagnostics="DVR.ATO.FITR.434036" test="
                  not
                  (
                   count($CGT.Context) = 1
                   and
                   (
                    xs:decimal(round(sum(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]
                    ) * 100))
                    != 
                    xs:decimal(round(sum($CGT.Context/bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                    ) * 100))
                   )
                  )"></assert>

<!--
    Rule ID: VR.ATO.FITR.434085

    IF ([FITR76] + [FITR207]) > 100000 AND (COUNT(SCHEDULE = "LS") = 0) 
        RETURN VALIDATION MESSAGE
    ENDIF

    [FITR76] = FITR:RP.Closing:rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
    [FITR207] = FITR:RP.Closing(Instant):rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount

    -->

<assert  id="VR.ATO.FITR.434085" diagnostics="DVR.ATO.FITR.434085" test="not(
				count($LOS.Context) = 0 
				and
				xs:decimal(round(sum(
					rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef=$RP.Closing.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]
					| rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RPI.Closing.FITR.ContextId and not(@i:nil='true' or @i:nil='1')])* 100 ))
				&gt; 
				100000 * 100
			)"></assert>
    
<!--
			IF (COUNT(SCHEDULE = "LS") = 1) AND [LS50] <> [FITR76]  
				RETURN VALIDATION MESSAGE
			ENDIF
	        
			[LS50] = LS:RP.ALL:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount
			[FITR76] = FITR:RP.Closing:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
        -->

<assert  id="VR.ATO.FITR.434086" diagnostics="DVR.ATO.FITR.434086" test="
					not
					(
						count($LOS.Context) = 1
						and
						xs:decimal(round(sum(rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef=$RP.Closing.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]) * 100))
						!=
						xs:decimal(round(sum($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef=$RP.All.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]) * 100))
					)"></assert>
    
<!--
    Rule ID: VR.ATO.FITR.434087
        
    IF (COUNT(SCHEDULE = "LS") = 1) AND [LS52] <> [FITR207]  
        RETURN VALIDATION MESSAGE
    ENDIF

    [FITR207] = FITR:RP.Closing(Instant):rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount
    [LS52] = LS:RP.ALL(Instant):rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount

    -->

<assert  id="VR.ATO.FITR.434087" diagnostics="DVR.ATO.FITR.434087" test="
        not
        (
            count($LOS.Context) = 1
            and
            xs:decimal(round(sum(rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RPI.Closing.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]) * 100))
            !=
            xs:decimal(round(sum($LOS.Context/rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.All.LOS.ContextId and  not(@i:nil='true' or @i:nil='1')]) * 100))
        )"></assert>

<!--
        Rule ID: VR.ATO.GEN.438027
        
         IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = "F - Scrip for scrip roll-over") AND (COUNT(SCHEDULE = "CGTS") = 1) AND [CGTS45] = NULL
            RETURN VALIDATION MESSAGE
        ENDIF

        [CGTS45] = CGTS:RP:rvctc3.02.11:Capital.Gains.ScriptForScriptRolloverDeferral.Amount
      
         -->

<!--<assert  id="VR.ATO.GEN.438027" diagnostics="DVR.ATO.GEN.438027" test="not                  
                   (   matches(rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.FITR.ContextId],'^(i?)(F - Scrip for scrip roll-over)$')    
                         and count($CGT.Context) = 1 
                         and not($CGT.Context/rvctc3.02.11:Capital.Gains.ScriptForScriptRolloverDeferral.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"></assert>-->

    <assert  id="VR.ATO.GEN.438027" diagnostics="DVR.ATO.GEN.438027" test="not                  
                   (   rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.FITR.ContextId and matches(.,'^(i?)(F - Scrip for scrip roll-over)$')]    
                         and count($CGT.Context) = 1 
                         and not($CGT.Context/rvctc3.02.11:Capital.Gains.ScriptForScriptRolloverDeferral.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"></assert>
  
  
<!--
        VR.ATO.GEN.438024
        
        IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = "C - Small business roll-over") AND (COUNT(SCHEDULE = "CGTS") = 1) AND [CGTS129] = NULL
        RETURN VALIDATION MESSAGE
        ENDIF

        [CGTS129] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRollover.Amount
        -->

<!--<assert  id="VR.ATO.GEN.438024" diagnostics="DVR.ATO.GEN.438024" test="not(matches(rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1')],'^(i?)(C \- Small business roll-over)$')
                          and count($CGT.Context) = 1
                          and not($CGT.Context/gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRollover.Amount[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]))"></assert>-->

    <assert  id="VR.ATO.GEN.438024" diagnostics="DVR.ATO.GEN.438024" 
             test="not(rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.FITR.ContextId 
                        and not(@i:nil='true' or @i:nil='1') and matches(.,'^(i?)(C \- Small business roll-over)$')]
                          and count($CGT.Context) = 1
                          and not($CGT.Context/gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRollover.Amount[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]))"></assert>
<!--
            IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = ""D - Small business 15 year exemption"")
            AND (COUNT(SCHEDULE = ""CGTS"") = 1)
            AND [CGTS138] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF
            [CGTS138] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount
        -->

<!--<assert  id="VR.ATO.GEN.438025" diagnostics="DVR.ATO.GEN.438025" test="not(matches(rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1')],'^(i?)(D \- Small business 15 year exemption)$')
                          and count($CGT.Context) = 1
                          and not($CGT.Context/gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]))"></assert>-->
   
    <assert  id="VR.ATO.GEN.438025" diagnostics="DVR.ATO.GEN.438025" 
             test="not(rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.FITR.ContextId 
             and not(@i:nil='true' or @i:nil='1') and matches(.,'^(i?)(D \- Small business 15 year exemption)$')]
                          and count($CGT.Context) = 1
                          and not($CGT.Context/gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]))"></assert>

    <!--
            IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = ""E - Foreign resident CGT exemption"") 
                AND (COUNT(SCHEDULE = ""CGTS"") = 1) 
                AND [CGTS140] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF
            [CGTS140] = CGTS:RP:rvctc3.02.11:Capital.Gains.ForeignResidentExemption.Amount
        -->

<!--<assert  id="VR.ATO.GEN.438026" diagnostics="DVR.ATO.GEN.438026" test="not(matches(rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1')],'^(i?)(E \- Foreign resident CGT exemption)$')
                          and count($CGT.Context) = 1
                          and not($CGT.Context/rvctc3.02.11:Capital.Gains.ForeignResidentExemption.Amount[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]))"></assert>-->

    <assert  id="VR.ATO.GEN.438026" diagnostics="DVR.ATO.GEN.438026" 
             test="not(rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.FITR.ContextId 
                          and not(@i:nil='true' or @i:nil='1') and matches(.,'^(i?)(E \- Foreign resident CGT exemption)$')]
                          and count($CGT.Context) = 1
                          and not($CGT.Context/rvctc3.02.11:Capital.Gains.ForeignResidentExemption.Amount[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]))"></assert>
    <!--
        IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = "A - Small business active asset reduction")
        AND (COUNT(SCHEDULE = "CGTS") = 1) 
        AND [CGTS127] = NULL
        RETURN VALIDATION MESSAGE
        ENDIF
        [CGTS127] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount
    -->
    <assert id="VR.ATO.GEN.438022" diagnostics="DVR.ATO.GEN.438022" 
            test="not(                        
                        $FITR.Context/rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(i?)(A \- Small business active asset reduction)$')]
                        and count($CGT.Context) = 1
                        and not($CGT.Context/gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])                      
                )"/>
    
<!--
  IF (COUNT(SCHEDULE = ""CGTS"") = 1) AND  [FITR207] <> ([CGTS124]+[CGTS125])
    RETURN VALIDATION MESSAGE
  ENDIF

[CGTS124] = CGTS:RP.Collectables.Unapplied:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
[CGTS125] = CGTS:RP.CGTOther.Unapplied:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
[FITR207] = FITR:RP.Closing(Instant):rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount

    VR.ATO.FITR.434088

    CMN.ATO.FITR.434289
    -->

<assert  id="VR.ATO.FITR.434088" diagnostics="DVR.ATO.FITR.434088" test="not(                        
                        (count($CGT.Context) = 1)
                        and
                        (
                            xs:decimal(round
                            (
                                sum
                                (
                                        
                                        rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RPI.Closing.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    )
                                * 100)
                            )
                            !=
                            (
                                xs:decimal(round
                                (
                                    sum
                                    (
                                            
                                            $CGT.Context/rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.CGT.Collectables.Unapplied.ContextId and not(@i:nil='true' or @i:nil='1')]
                                            |
                                            $CGT.Context/rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.CGT.CGTOther.Unapplied.ContextId and not(@i:nil='true' or @i:nil='1')]
                                        )
                                    * 100)
                                )
                            )
                        )
                    )"></assert>
    

  <!--
      Rule ID: VR.ATO.FITR.434300
      
      IF [FITR32] > 0 AND  AND (COUNT(SCHEDULE = "PSS") = 0) 
        RETURN VALIDATION MESSAGE
      ENDIF
      [FITR32] = FITR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
    -->

  <assert  id="VR.ATO.FITR.434300" diagnostics="DVR.ATO.FITR.434300" test="
                 not
                 (
                    sum(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                    and 
                    count($PSS.Context) = 0
                 )"></assert>
  

  <!--
      Rule ID: VR.ATO.FITR.434045
      
      IF (COUNT(SCHEDULE = ""PSS"") = 1) AND [FITR32] > 0 AND (([FITR72] + 1) < SUM([PSS23]))  
        RETURN VALIDATION MESSAGE
      ENDIF

      [FITR32] = FITR:RP:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
      [FITR72] = FITR:RP:rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount
      [PSS23] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount

  -->

  <assert  id="VR.ATO.FITR.434045" diagnostics="DVR.ATO.FITR.434045" test="
                 not
                 (
                    count($PSS.Context) = 1  
                    and
                    sum(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                    and 
                    (
                      xs:decimal(round(sum(
                        rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount[@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]
                      ) + 1) * 100)
                      &lt; 
                      xs:decimal(round(sum($PSS23)) * 100)
                    )
                 )"></assert>

  <!--
        Rule ID: VR.ATO.FITR.434056
        
        IF (COUNT(SCHEDULE = ""PSS"") = 1) AND SUM([PSS18]) > [FITR47]   
            RETURN VALIDATION MESSAGE
          ENDIF

        [FITR47] = FITR:RP:bafpr1.02.04:Income.Other.Amount
        [PSS18] = PSS:RP.Payer.{PSSeqNum}:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
        
        -->

  <assert  id="VR.ATO.FITR.434056" diagnostics="DVR.ATO.FITR.434056" test="not(count($PSS.Context) = 1
                       and
                       sum($PSS.Context/$PSS18) 
                       &gt; 
                       sum(bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.FITR.ContextId  and not(@i:nil='true' or @i:nil='1')]))"></assert>

  <!--

        Rule ID: VR.ATO.FITR.434080

        IF (COUNT(SCHEDULE = ""PSS"") = 1) AND SUM([PSS22]) > ([FITR71] + 1)  
            RETURN VALIDATION MESSAGE
        ENDIF

        [FITR71] = FITR:RP:rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
        [PSS22] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount

        -->

  <assert  id="VR.ATO.FITR.434080" diagnostics="DVR.ATO.FITR.434080" test="not(
                        count($PSS.Context) = 1 and
                        (
                            sum($PSS.Context/$PSS22)
                            &gt; 
                            (sum(rvctc2.02.13:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
                                [@contextRef=$RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1')])
                             + 1)
                        )
                      )"></assert>

  <!--
        Rule ID: VR.ATO.FITR.434046
    
        IF (COUNT(SCHEDULE = ""PSS"") = 1) AND SUM([PSS19]) <> [FITR32]
          RETURN VALIDATION MESSAGE
        ENDIF

        [FITR32] = FITR:RP:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
        [PSS19] = PSS:RP.Payer.{PSSeqNum}:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
  
        -->
    
      <assert  id="VR.ATO.FITR.434046" diagnostics="DVR.ATO.FITR.434046" test="not
                  (
                  count($PSS.Context) = 1
                  and
                  sum($PSS.Context/$PSS19)
                  != 
                  sum(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1')])
                  )">

    </assert>


    

    
    
</rule>
</pattern>