﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="EnumerationPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Enumeration Pattern Validations</title>


<rule context="xbrli:xbrl">

<!--
            Rule ID: VR.ATO.GEN.010030
            IF pyin.xx.xx:Report.AmendmentSequence.Number <> NULL 
                AND pyin.xx.xx:Report.AmendmentSequence.Number <> SET(1-9)
               RETURN VALIDATION MESSAGE CMN.ATO.GEN.010030
            ENDIF
        -->
    <assert id="VR.ATO.GEN.010030" diagnostics="DVR.ATO.GEN.010030"
                test="not(
                       pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')]
                       and not(
                                pyin.02.08:Report.AmendmentSequence.Number[matches(.,'^(|1|2|3|4|5|6|7|8|9)$')]                       
                           )
                   )"/>

    <!--
            IF pyin.xx.xx:Report.AmendmentType.Code <> NULL AND pyin.xx.xx:Report.AmendmentType.Code <> SET("3", "4")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.010031" diagnostics="DVR.ATO.GEN.010031" test="not(
                        pyin.02.08:Report.AmendmentType.Code[not(@i:nil='true' or @i:nil='1')]
                        and not (matches(pyin.02.08:Report.AmendmentType.Code[not(@i:nil='true' or @i:nil='1')],'^(3|4)$'))
                      )"></assert>
<!--
            IF [SMSFAR41] <> NULL AND [SMSFAR41] <> SET(0-999)
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR41] = SMSFAR:RP:InternationalDealings.ForeignFundTransfers.Count
        -->

<assert  id="VR.ATO.SMSFAR.436050" diagnostics="DVR.ATO.SMSFAR.436050" test="not(
                        rvctc4.02.00:InternationalDealings.ForeignFundTransfers.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and not(
                                matches(rvctc4.02.00:InternationalDealings.ForeignFundTransfers.Count
                                [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^([0-9]|[1-9][0-9]|[0-9][0-9][0-9])$')
                            )
                      )"></assert>
<!--
            IF [SMSFAR163] <> NULL AND [SMSFAR163] <> SET(""R"",""V"")
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR163] = SMSFAR:RP:Elections.FamilyTrustElectionRevocation.Code
        -->

<assert  id="VR.ATO.SMSFAR.436195" diagnostics="DVR.ATO.SMSFAR.436195" test="not(
                            rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and not(
                                    matches(rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code
                                    [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(R|V)$','i')
                                )
                           )"></assert>
<!--
            IF ([SMSFAR165] <> NULL) AND ([SMSFAR165] <> ""R"")
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR165] = SMSFAR:RP:Elections.InterposedEntityElectionRevocation.Code
        -->

<assert  id="VR.ATO.SMSFAR.436198" diagnostics="DVR.ATO.SMSFAR.436198" test="not(
                            rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and not(
                                    matches(rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code
                                    [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(R)$','i')
                                )
                           )"></assert>
</rule>

<rule context="email1.02.00:ElectronicContactElectronicMail">

<!--
            IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text STARTSWITH "@") 
            OR (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text ENDSWITH "@")
            RETURN VALIDATION MESSAGE
            ENDIF	
        -->

<assert  id="VR.ATO.GEN.430222" diagnostics="DVR.ATO.GEN.430222" test="not(
                         matches(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1')],'^(@)(.*)$','i') 
                         or 
                         matches(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1')],'^(.*)(@)$','i')
                      )"></assert>
<!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS MORE THAN ONE "@"
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430223" diagnostics="DVR.ATO.GEN.430223" test="not(
                          matches(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1')],'^(.*)(@)(.*)(@)(.*)$','i') 
                      )"></assert>
<!--
            IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text STARTSWITH ".") 
            OR (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text ENDSWITH ".")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430224" diagnostics="DVR.ATO.GEN.430224" test="not(
                         matches(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1')],'^(\.)(.*)$','i') 
                         or 
                         matches(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1')],'^(.*)(\.)$','i')
                      )"></assert>
<!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS ".."
            RETURN VALIDATION MESSAGE
            ENDIF	
        -->

<assert  id="VR.ATO.GEN.430226" diagnostics="DVR.ATO.GEN.430226" test="not(
                           matches(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1')],'^(.*)(\.\.)(.*)$','i') 
                      )"></assert>
<!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS .@
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430227" diagnostics="DVR.ATO.GEN.430227" test="not(
                          matches(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1')],'^(.*)(\.@)(.*)$','i')
                      )"></assert>
<!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS "@."
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430228" diagnostics="DVR.ATO.GEN.430228" test="not(
                        matches(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1')],'^(.*)(@\.)(.*)$','i') 
                      )"></assert>
<!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS SET("(", ")", "<", ">", ",", ";", ":", "\",  """, "]", "[")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430229" diagnostics="DVR.ATO.GEN.430229" test="not(
                     pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                        [not(@i:nil='true' or @i:nil='1')  
                         and matches(.,'^(.*)(\(|\)|&lt;|&gt;|,|;|:|\\|&quot;|\]|\[)(.*)$')
                         ])"></assert>
<!--
            IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text <> NULLORBLANK) 
            AND (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text DOES NOT CONTAIN "@")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430230" diagnostics="DVR.ATO.GEN.430230" test="not(
                          pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[string-length(normalize-space(.)) != 0 
                                 and not(@i:nil='true' or @i:nil='1') and not(matches(.,'^(.*)(@)(.*)$','i'))]
                      )"></assert>
<!--
        IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text = FOUND(" ")
        RETURN VALIDATION MESSAGE
        ENDIF
        -->

<assert  id="VR.ATO.GEN.430231" diagnostics="DVR.ATO.GEN.430231" test="not(
                            pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1') and matches(.,'^(.*)( )(.*)$')]
                      )"></assert>
</rule>

<rule context="pyin.02.23:Report.CompletionHours.Number[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF (pyin.xx.xx:Report.CompletionHours.Number <> NULL) 
                AND (pyin.xx.xx:Report.CompletionHours.Number <> SET (1-999))
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430206" diagnostics="DVR.ATO.GEN.430206" test="number(.) &gt;=1 and number(.) &lt;=999"></assert>
</rule>

<rule context="pyin.02.00:Report.TargetFinancial.Year[not(@i:nil='true' or @i:nil='1')]">
    <!--       
        IF (
            pyin.xx.xx:Report.TargetFinancial.Year <> SET(2016,2017)
           )
        OR (
            pyin.xx.xx:Report.TargetFinancial.Year = 2017 
            AND DATE(Today) > 2017-06-15 
            AND pyin.xx.xx:Report.Amendment.Indicator <> TRUE
           )
         RETURN VALIDATION RULE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.438055" diagnostics="DVR.ATO.GEN.438055"
        test="not( 
                    not(matches(.,'^(2016|2017)$'))
                    or
                    (
                        matches(.,'^(2017)$') 
                        and
                        function:IsDate1GreaterThanDate2(fn:current-dateTime(),'2017-06-15')
                        and 
                        not(pyin.02.07:Report.Amendment.Indicator[matches(.,'^(true|1)$')])
                    )
            )"/>
    
</rule>

<rule context="rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">

        <!--
                IF [SMSFAR328] <> NULL AND [SMSFAR328] <> SET (DOMAIN(CGTExemptionOrRolloverCodes))
                  RETURN VALIDATION MESSAGE
                ENDIF

                [SMSFAR328] = SMSFAR:RP:rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code
        -->
  <assert id="VR.ATO.SMSFAR.436572" diagnostics="DVR.ATO.SMSFAR.436572" 
          test="matches(.,'^A - Small business active asset reduction$') or
                matches(.,'^B - Small business retirement exemption$') or
                matches(.,'^C - Small business roll-over$') or
                matches(.,'^D - Small business 15 year exemption$') or
                matches(.,'^E - Foreign resident CGT exemption$') or
                matches(.,'^F - Scrip for scrip roll-over$') or
                matches(.,'^L - Replacement asset roll-overs$') or
                matches(.,'^M - Exchange of shares or units$') or
                matches(.,'^N - Exchange of rights or options$') or
                matches(.,'^O - Exchange of shares in one company for shares in another company$') or
                matches(.,'^P - Exchange of units in a unit trust for shares in a company$') or
                matches(.,'^Q - Trust restructure roll-over$') or
                matches(.,'^S - Same asset roll-overs$') or
                matches(.,'^X - Other exemptions and roll-overs$') "/>
</rule>

<rule context="bafpr1.02.27:Expense.Other.Code[not(@i:nil='true' or @i:nil='1')]">

<!--
           IF [SMSFAR337] <> NULL AND [SMSFAR337] <> SET (DOMAIN(ExpenseOtherAmountCodesSMSFAR))
            RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR337] = SMSFAR:RP.NonDeductible:bafpr1.02.27:Expense.Other.Code
        -->

<assert  id="VR.ATO.SMSFAR.436599" diagnostics="DVR.ATO.SMSFAR.436599" test="not(
                          @contextRef = $RP.NonDeductible.ContextId
                          and
                          not(matches(.,'^A - Deductible balancing adjustment$') or
                              matches(.,'^B - Contribution that is a fringe benefit$') or
                              matches(.,'^C - Exclusion of personal contributions$') or
                              matches(.,'^E - Environment protection expenditure$') or
                              matches(.,'^F - Foreign exchange losses$') or
                              matches(.,'^I - Listed investment company capital gain amount$') or
                              matches(.,'^N - Deduction relating to foreign non-assessable non-exempt income$') or
                              matches(.,'^R - Return of contributions by non-complying funds$') or
                              matches(.,'^T - TOFA losses$') or
                              matches(.,'^O - Other expenses not listed elsewhere$')
                          )
                     )"></assert>
<!--
            IF [SMSFAR71] <> NULL AND [SMSFAR71] <> SET (DOMAIN(ExpenseOtherAmountCodesSMSFAR))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            Other amounts code for non-deductible expenses must be one of:
            A - Deductible balancing adjustment
            B - Contribution that is a fringe benefit
            C - Exclusion of personal contributions
            E - Environment protection expenditure
            F - Foreign exchange losses
            I - Listed investment company capital gain amount
            N - Deduction relating to foreign non-assessable non-exempt income
            R - Return of contributions by non-complying funds
            T - TOFA losses 
            O - Other expenses not listed elsewhere 
            (and not S)

            [SMSFAR71] = SMSFAR:RP.Deductible:bafpr1.02.27:Expense.Other.Code
        -->

<assert  id="VR.ATO.SMSFAR.436597" diagnostics="DVR.ATO.SMSFAR.436597" 
         test="not(
                          @contextRef = $RP.Deductible.ContextId
                          and
                          not(
                              matches(.,'^A - Deductible balancing adjustment$') or
                              matches(.,'^B - Contribution that is a fringe benefit$') or
                              matches(.,'^C - Exclusion of personal contributions$') or
                              matches(.,'^E - Environment protection expenditure$') or
                              matches(.,'^F - Foreign exchange losses$') or
                              matches(.,'^I - Listed investment company capital gain amount$') or
                              matches(.,'^N - Deduction relating to foreign non-assessable non-exempt income$') or
                              matches(.,'^R - Return of contributions by non-complying funds$') or
                              matches(.,'^T - TOFA losses$') or
                              matches(.,'^O - Other expenses not listed elsewhere$')
                          )
                     )"></assert>

</rule>

<rule context="smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.22:SuperannuationFundDetails.MemberAccountStatus.Code[not(@i:nil='true' or @i:nil='1')]">

<!-- 
            IF [SMSFAR354] <> SET("Open" ,"Closed")
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR354] = SMSFAR:RP:emsup.02.22:SuperannuationFundDetails.MemberAccountStatus.Code IN TUPLE(smsfar.0006.lodge.req.02.00:MemberInformation)
        -->

<assert  id="VR.ATO.SMSFAR.436642" diagnostics="DVR.ATO.SMSFAR.436642" test="not(
                        not(matches(.,'^(Open|Closed)$')) and @contextRef = $RP.ContextId
                    )"></assert>
</rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.GEN.010030
            IF pyin.xx.xx:Report.AmendmentSequence.Number <> NULL 
                AND pyin.xx.xx:Report.AmendmentSequence.Number <> SET(1-9)
               RETURN VALIDATION MESSAGE CMN.ATO.GEN.010030
            ENDIF
        -->
        <assert id="VR.ATO.GEN.010030" diagnostics="DVR.ATO.GEN.010030"
                    test="matches(.,'^(1|2|3|4|5|6|7|8|9)$')"/>

        <!--
            IF pyin.xx.xx:Report.AmendmentType.Code <> NULL AND pyin.xx.xx:Report.AmendmentType.Code <> SET("3", "4")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
    </rule>

    
</pattern>