﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormTRTAMIS" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>XBRL Cross Form Validations that are applicable to TRTAMIS.</title>


  <!-- TRTAMIS Variables -->
  <let name="TRTAMIS.Context" value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/trtamis/trtamis_0001/trtamis.0001.lodge.request.02.00.report.xsd']]" />
  <let name="RP.TRTAMIS.Context" value="$TRTAMIS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
           ]" />
  <let name="RP.TRTAMIS.ContextId" value="$RP.TRTAMIS.Context/@id" />
  
  

  <rule context="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
    <let name="thisForm" value="child::link:schemaRef/@xlink:href" />



    <!-- Rule ID: VR.ATO.GEN.402009
            IF (RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN)
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
    <assert  id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009.TRTAMIS" test="not(                 
                        
             $TRT.Context[child::link:schemaRef/@xlink:href = $thisForm]
             and
             $RP.TRTAMIS.Context/xbrli:entity/xbrli:identifier != $RP.TRT.Context/xbrli:entity/xbrli:identifier
                      )"></assert>




    <!-- Rule ID: VR.ATO.GEN.438000
            IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
    <assert  id="VR.ATO.GEN.438000" diagnostics="DVR.ATO.GEN.438000" test="not(                 
                        
                        $TRTAMIS.Context[child::link:schemaRef/@xlink:href = $thisForm]
                        and
                        xbrli:context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                        !=
                        $RP.TRT.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
             
                      )"></assert>


    <!-- Rule ID: VR.ATO.GEN.438001
            IF (period.endDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.endDate
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
    <assert  id="VR.ATO.GEN.438001" diagnostics="DVR.ATO.GEN.438001" test="not(                 
                        
                        $TRTAMIS.Context[child::link:schemaRef/@xlink:href = $thisForm]
                        and
                        xbrli:context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                        !=
                        $RP.TRT.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
             
                      )"></assert>


    <!-- Rule ID: VR.ATO.TRTAMIS.000001
            IF [TRTAMIS4] <> NULL AND [TRTAMIS4] <> PARENT RETURN:pyin.xx.xx:Report.TargetFinancial.Year
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
    <assert  id="VR.ATO.TRTAMIS.000001" diagnostics="DVR.ATO.TRTAMIS.000001" test="not(                 

pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.TRTAMIS.ContextId and not(@i:nil='true' or @i:nil='1')]
!=
$TRT.Context/pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]                               
                      )"></assert>


    <!-- Rule ID: VR.ATO.GEN.402010
        IF (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) 
          AND 
          (PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) 
          AND 
          (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier)
          
          RETURN VALIDATION MESSAGE
        ENDIF
        -->
    <assert  id="VR.ATO.GEN.402010" diagnostics="DVR.ATO.GEN.402010" test="not(                 
               
pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.TRTAMIS.ContextId and not(@i:nil='true' or @i:nil='1')]
!=
$TRT.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            
               
                      )"></assert>







  </rule>

</pattern>