﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Mandatory Validations</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

<!--
                    Rule ID: VR.ATO.TRT.432367
                    
			              IF (SMSFAR:RP:pyin.xx.xx:Report.TargetFinancial.Year = NULL)
                        RETURN VALIDATION MESSAGE
                    ENDIF
                    pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
		-->

<assert  id="VR.ATO.TRT.432367" diagnostics="DVR.ATO.TRT.432367" test="pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>

  <!--
                    Rule ID: VR.ATO.TRT.432365
                    
                    IF COUNT TUPLE (xbrli/Organisationname2.xx.xx:OrganisationNameDetails 
                          WHERE TUPLE ELEMENT (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = ""MN"") 
                          AND (pyde.xx.xx:OrganisationNameDetails.Currency.Code = ""C"") 
                          AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text  <> NULLORBLANK)) <> 1
                        RETURN VALIDATION MESSAGE
                    ENDIF
        -->

<assert  id="VR.ATO.TRT.432365" diagnostics="DVR.ATO.TRT.432365" test="not(
                       count(
                        orgname2.02.00:OrganisationNameDetails
                            [   not(@i:nil='true' or @i:nil='1') and
                                pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'MN'] and
                                pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'C'] and
                                pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            ]) != 1
                     )"></assert>
  
<!--
                    Rule ID: VR.ATO.TRT.432366
                    
                    IF COUNT TUPLE (xbrli/address2.xx.xx:AddressDetails 
                            WHERE TUPLE ELEMENT (pyde.xx.xx:AddressDetails.Usage.Code = ""POS"") 
                            AND (pyde.xx.xx:AddressDetails.Currency.Code = ""C"") 
                            AND (pyde.xx.xx:AddressDetails.Line1.Text <> NULLORBLANK)) <> 1
                        RETURN VALIDATION MESSAGE
                    ENDIF
        -->

<assert  id="VR.ATO.TRT.432366" diagnostics="DVR.ATO.TRT.432366" test="not(
                       count(
                        address2.02.02:AddressDetails
                            [   not(@i:nil='true' or @i:nil='1') and 
                                pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'POS'] and
                                pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'C'] and
                                pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            ]) != 1
                     )"></assert>
  
<!--
                    Rule ID: VR.ATO.TRT.432368
                    
                    IF [TRT32] = NULLORBLANK
                        RETURN VALIDATION MESSAGE
                    ENDIF
                    [TRT32] = TRT:RP:OrganisationDetails.OrganisationType.Code
        -->

<assert  id="VR.ATO.TRT.432368" diagnostics="DVR.ATO.TRT.432368" test="pyde.02.22:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>

  <!--
                    Rule ID: VR.ATO.TRT.432369
                    
                    IF [TRT35] = NULL
                        RETURN VALIDATION MESSAGE
                    ENDIF
                    [TRT35] = TRT:RP:Report.Statement.Summary.PaymentRefundOrNil.Code
        -->

<assert  id="VR.ATO.TRT.432369" diagnostics="DVR.ATO.TRT.432369" test="pyin.02.00:Report.Statement.Summary.PaymentRefundOrNil.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>

  <!--
                      Rule ID: VR.ATO.TRT.432370
                      
                      IF [TRT36] = NULL
                          RETURN VALIDATION MESSAGE
                      ENDIF
                      [TRT36] = TRT:RP:Lodgment.FinalReturn.Indicator
        -->

<assert  id="VR.ATO.TRT.432370" diagnostics="DVR.ATO.TRT.432370" test="pyin.02.00:Lodgment.FinalReturn.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>

<!--
                      Rule ID: VR.ATO.TRT.432374
                      
                      IF [TRT131] = NULL
                          RETURN VALIDATION MESSAGE
                      ENDIF
                      [TRT131] = TRT:RP:CapitalGainsTax.Event.Indicator
        -->

<assert  id="VR.ATO.TRT.432374" diagnostics="DVR.ATO.TRT.432374" test="rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>

  <!--
                      Rule ID: VR.ATO.TRT.432377
                      
                      IF [TRT148] = NULL
                         RETURN VALIDATION MESSAGE
                      ENDIF

                      [TRT148] = TRT:RP:rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
        -->

<assert  id="VR.ATO.TRT.432377" diagnostics="DVR.ATO.TRT.432377" test="not(
                            not($TRT148)
                        )"></assert>
  
<!--
                      Rule ID: VR.ATO.TRT.432378
                      
                      IF [TRT149] = NULL
                          RETURN VALIDATION MESSAGE
                      ENDIF
                      [TRT149] = TRT:RP:Residency.TaxPurposesPersonStatus.Indicator
        -->

<assert  id="VR.ATO.TRT.432378" diagnostics="DVR.ATO.TRT.432378" test="pyde.02.25:Residency.TaxPurposesPersonStatus.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>

<!--
                      Rule ID: VR.ATO.TRT.432379
                      
                      IF [TRT151] = NULL
                          RETURN VALIDATION MESSAGE
                      ENDIF
                      [TRT151] = TRT:RP:InternationalDealings.TransactionswithTaxHavenCountries.Indicator
        -->

<assert  id="VR.ATO.TRT.432379" diagnostics="DVR.ATO.TRT.432379" test="rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>

  <!--
                      Rule ID: VR.ATO.TRT.432383
                      
                      IF [TRT244] = NULL
                          RETURN VALIDATION MESSAGE
                      ENDIF
                      [TRT244] = TRT:RP:rvctc1.02.00:IncomeTax.BeneficiaryUnderLegalDisabilityAlsoPresentlyEntitledToIncomeFromAnotherTrust.Indicator
        -->

<assert  id="VR.ATO.TRT.432383" diagnostics="DVR.ATO.TRT.432383" test="not(
                        not(rvctc1.02.00:IncomeTax.BeneficiaryUnderLegalDisabilityAlsoPresentlyEntitledToIncomeFromAnotherTrust.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"></assert>
  
<!--
                      Rule ID: VR.ATO.TRT.432570
                      
                      IF [TRT245] = NULL
                         RETURN VALIDATION MESSAGE
                      ENDIF

                      [TRT245] = TRT:RP:pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code

        -->

<assert  id="VR.ATO.TRT.432570" diagnostics="DVR.ATO.TRT.432570" test="not(
                           not($TRT245)
                        )"></assert>
  
<!--
                      Rule ID: VR.ATO.TRT.432373
                      
                      IF [TRT130] = NULL
                          RETURN VALIDATION MESSAGE
                      ENDIF
                      [TRT130] = TRT:RP.JAus:Income.Net.Amount
        -->

<assert  id="VR.ATO.TRT.432373" diagnostics="DVR.ATO.TRT.432373" test="not(
                           not($TRT130)
                     )"></assert>
  
<!-- 
                      Rule ID: VR.ATO.TRT.432375
                      
                      IF [TRT138] = NULL
                          RETURN VALIDATION MESSAGE
                      ENDIF
                      [TRT138] = TRT:RP.JForeign:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator
        -->

<assert  id="VR.ATO.TRT.432375" diagnostics="DVR.ATO.TRT.432375" test="bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator[@contextRef = $RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>

  <!--
                      Rule ID: VR.ATO.TRT.432666
                      
                      IF [TRT155] = NULL
                          RETURN VALIDATION MESSAGE
                      ENDIF
                      [TRT155] = TRT:RP:bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator
        -->

<assert  id="VR.ATO.TRT.432666" diagnostics="DVR.ATO.TRT.432666" test="bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>

  <!--
                      Rule ID: VR.ATO.TRT.432668
                      
                      IF [TRT440] = NULL
                          RETURN VALIDATION MESSAGE
                      ENDIF
                      [TRT440] = TRT:RP:bafpr1.02.10:Income.TrustEstateIncome.Amount
        -->

<assert  id="VR.ATO.TRT.432668" diagnostics="DVR.ATO.TRT.432668" test="bafpr1.02.10:Income.TrustEstateIncome.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>

  <!--
                      Rule ID: VR.ATO.TRT.432681
                      
                      IF [TRT449] = NULL
                          RETURN VALIDATION MESSAGE
                      ENDIF
                      [TRT449] = TRT:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator
                  -->

<assert  id="VR.ATO.TRT.432681" diagnostics="DVR.ATO.TRT.432681" test="bafpo6.02.13:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>
</rule>
</pattern>