<?xml version="1.0" encoding="utf-8"?>
<schema xmlns:iso="http://purl.oclc.org/dsdl/schematron"
        xmlns:xlink="http://www.w3.org/1999/xlink"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        schemaVersion="ISO19757-3"
        queryBinding="xslt2"
        xmlns="http://purl.oclc.org/dsdl/schematron">

  <!-- Generated on 2015-10-14T10:37:28, by ESR Version 1.21.0.0 -->

  <ns prefix="pyid.02.00"
      uri="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" />
  <ns prefix="rvctc3.02.02"
      uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.02.data" />
  <ns prefix="rvctc3.02.04"
      uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.04.data" />
  <ns prefix="rvctc3.02.00"
      uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data" />
  <ns prefix="pyde.02.00"
      uri="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" />
  <ns prefix="rvctc3.02.14"
      uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.14.data" />
  <ns prefix="rvctc3.02.15"
      uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.15.data" />
  <ns prefix="rvctc3.02.22"
      uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.22.data" />
  <ns prefix="rvctc3.02.16"
      uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.16.data" />
  <ns prefix="orgname1.02.00"
      uri="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module" />
  <ns prefix="function"
      uri="http://ato.gov.au/eCommerceFunctions" />
  <ns prefix="fn"
      uri="http://www.w3.org/2005/xpath-functions" />
  <ns prefix="xs"
      uri="http://www.w3.org/2001/XMLSchema" />
  <ns prefix="i"
      uri="http://www.w3.org/2001/XMLSchema-instance" />
  <ns prefix="xsi"
      uri="http://www.w3.org/2001/XMLSchema-instance" />
  <ns prefix="xbrli"
      uri="http://www.xbrl.org/2003/instance" />
  <ns prefix="xbrldi"
      uri="http://xbrl.org/2006/xbrldi" />
  <ns prefix="ref"
      uri="http://www.xbrl.org/2006/ref" />
  <ns prefix="iso4217"
      uri="http://www.xbrl.org/2003/iso4217" />
  <ns prefix="link"
      uri="http://www.xbrl.org/2003/linkbase" />



  <pattern id="ContextVariables" >
    <let name="RP.Context"
         value="xbrli:xbrl/xbrli:context[./xbrli:period/xbrli:startDate and ./xbrli:period/xbrli:endDate and ./xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 1 and 
                           count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and ends-with(., ':ReportingParty')]) = 1 
]]" />

    <let name="RP.ContextFirst"
         value="($RP.Context)[1]" />

    <let name="RP.ContextId"
         value="($RP.Context/@id)[1]"
         as="xs:string?" />

    <let name="RP.Identifier"
         value="($RP.Context/xbrli:entity/xbrli:identifier/text())[1]"
         as="xs:string?" />

    <let name="RP.Identifier.Scheme"
         value="($RP.Context/xbrli:entity/xbrli:identifier/@scheme)[1]"
         as="xs:string?" />

    <let name="RP.Identifier.TFN"
         value="($RP.Context/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn']/text())[1]"
         as="xs:string?" />

    <let name="RP.Context.StartDate"
         value="($RP.Context/xbrli:period/xbrli:startDate/text())[1]"
         as="xs:date?"  />

    <let name="RP.Context.EndDate"
         value="($RP.Context/xbrli:period/xbrli:endDate/text())[1]"
         as="xs:date?" />

    <let name="TRFR.Context"
         value="xbrli:xbrl/xbrli:context[./xbrli:period/xbrli:startDate and ./xbrli:period/xbrli:endDate and ./xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 1 and 
                           count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and matches(.,'.*:Transferor\d{0,4}')]) = 1 
]]" />

    <let name="TRFR.ContextFirst"
         value="($TRFR.Context)[1]" />

    <let name="TRFR.ContextId"
         value="$TRFR.Context/@id"
         as="xs:string*" />

    <let name="TRFR.Identifier"
         value="$TRFR.Context/xbrli:entity/xbrli:identifier/text()"
         as="xs:string*" />

    <let name="TRFR.Identifier.Scheme"
         value="$TRFR.Context/xbrli:entity/xbrli:identifier/@scheme"
         as="xs:string*" />

    <let name="TRFR.Identifier.TFN"
         value="$TRFR.Context/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn']/text()"
         as="xs:string*" />

    <let name="TRFR.Context.StartDate"
         value="$TRFR.Context/xbrli:period/xbrli:startDate/text()"
         as="xs:date*"  />

    <let name="TRFR.Context.EndDate"
         value="$TRFR.Context/xbrli:period/xbrli:endDate/text()"
         as="xs:date*" />

    <let name="JE.Context"
         value="xbrli:xbrl/xbrli:context[./xbrli:period/xbrli:startDate and ./xbrli:period/xbrli:endDate and ./xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 1 and 
                           count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and matches(.,'.*:JoiningEntity\d{0,4}')]) = 1 
]]" />

    <let name="JE.ContextFirst"
         value="($JE.Context)[1]" />

    <let name="JE.ContextId"
         value="$JE.Context/@id"
         as="xs:string*" />

    <let name="JE.Identifier"
         value="$JE.Context/xbrli:entity/xbrli:identifier/text()"
         as="xs:string*" />

    <let name="JE.Identifier.Scheme"
         value="$JE.Context/xbrli:entity/xbrli:identifier/@scheme"
         as="xs:string*" />

    <let name="JE.Identifier.TFN"
         value="$JE.Context/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn']/text()"
         as="xs:string*" />

    <let name="JE.Context.StartDate"
         value="$JE.Context/xbrli:period/xbrli:startDate/text()"
         as="xs:date*"  />

    <let name="JE.Context.EndDate"
         value="$JE.Context/xbrli:period/xbrli:endDate/text()"
         as="xs:date*" />

    <let name="RPCOTP.Context"
         value="xbrli:xbrl/xbrli:context[./xbrli:period/xbrli:startDate and ./xbrli:period/xbrli:endDate and ./xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2 and 
                           count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and ends-with(., ':ReportingParty')]) = 1 and
                           count(xbrldi:explicitMember[ends-with(@dimension, 'MajorityOwnershipAndControlTestsTypeDimension') and ends-with(., ':COTPassed')]) = 1 
]]" />

    <let name="RPCOTP.ContextFirst"
         value="($RPCOTP.Context)[1]" />

    <let name="RPCOTP.ContextId"
         value="($RPCOTP.Context/@id)[1]"
         as="xs:string?" />

    <let name="RPCOTP.Identifier"
         value="($RPCOTP.Context/xbrli:entity/xbrli:identifier/text())[1]"
         as="xs:string?" />

    <let name="RPCOTP.Identifier.Scheme"
         value="($RPCOTP.Context/xbrli:entity/xbrli:identifier/@scheme)[1]"
         as="xs:string?" />

    <let name="RPCOTP.Identifier.TFN"
         value="($RPCOTP.Context/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn']/text())[1]"
         as="xs:string?" />

    <let name="RPCOTP.Context.StartDate"
         value="($RPCOTP.Context/xbrli:period/xbrli:startDate/text())[1]"
         as="xs:date?"  />

    <let name="RPCOTP.Context.EndDate"
         value="($RPCOTP.Context/xbrli:period/xbrli:endDate/text())[1]"
         as="xs:date?" />

    <let name="RPCOTF.Context"
         value="xbrli:xbrl/xbrli:context[./xbrli:period/xbrli:startDate and ./xbrli:period/xbrli:endDate and ./xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2 and 
                           count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and ends-with(., ':ReportingParty')]) = 1 and
                           count(xbrldi:explicitMember[ends-with(@dimension, 'MajorityOwnershipAndControlTestsTypeDimension') and ends-with(., ':COTFailedSBTPassed')]) = 1 
]]" />

    <let name="RPCOTF.ContextFirst"
         value="($RPCOTF.Context)[1]" />

    <let name="RPCOTF.ContextId"
         value="($RPCOTF.Context/@id)[1]"
         as="xs:string?" />

    <let name="RPCOTF.Identifier"
         value="($RPCOTF.Context/xbrli:entity/xbrli:identifier/text())[1]"
         as="xs:string?" />

    <let name="RPCOTF.Identifier.Scheme"
         value="($RPCOTF.Context/xbrli:entity/xbrli:identifier/@scheme)[1]"
         as="xs:string?" />

    <let name="RPCOTF.Identifier.TFN"
         value="($RPCOTF.Context/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn']/text())[1]"
         as="xs:string?" />

    <let name="RPCOTF.Context.StartDate"
         value="($RPCOTF.Context/xbrli:period/xbrli:startDate/text())[1]"
         as="xs:date?"  />

    <let name="RPCOTF.Context.EndDate"
         value="($RPCOTF.Context/xbrli:period/xbrli:endDate/text())[1]"
         as="xs:date?" />

    <let name="RPCOTT.Context"
         value="xbrli:xbrl/xbrli:context[./xbrli:period/xbrli:startDate and ./xbrli:period/xbrli:endDate and ./xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2 and 
                           count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and ends-with(., ':ReportingParty')]) = 1 and
                           count(xbrldi:explicitMember[ends-with(@dimension, 'MajorityOwnershipAndControlTestsTypeDimension') and ends-with(., ':COTTrust')]) = 1 
]]" />

    <let name="RPCOTT.ContextFirst"
         value="($RPCOTT.Context)[1]" />

    <let name="RPCOTT.ContextId"
         value="($RPCOTT.Context/@id)[1]"
         as="xs:string?" />

    <let name="RPCOTT.Identifier"
         value="($RPCOTT.Context/xbrli:entity/xbrli:identifier/text())[1]"
         as="xs:string?" />

    <let name="RPCOTT.Identifier.Scheme"
         value="($RPCOTT.Context/xbrli:entity/xbrli:identifier/@scheme)[1]"
         as="xs:string?" />

    <let name="RPCOTT.Identifier.TFN"
         value="($RPCOTT.Context/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn']/text())[1]"
         as="xs:string?" />

    <let name="RPCOTT.Context.StartDate"
         value="($RPCOTT.Context/xbrli:period/xbrli:startDate/text())[1]"
         as="xs:date?"  />

    <let name="RPCOTT.Context.EndDate"
         value="($RPCOTT.Context/xbrli:period/xbrli:endDate/text())[1]"
         as="xs:date?" />

    <let name="RPGRP.Context"
         value="xbrli:xbrl/xbrli:context[./xbrli:period/xbrli:startDate and ./xbrli:period/xbrli:endDate and ./xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2 and 
                           count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and ends-with(., ':ReportingParty')]) = 1 and
                           count(xbrldi:explicitMember[ends-with(@dimension, 'LossGenerationSourceDimension') and ends-with(., ':Group')]) = 1 
]]" />

    <let name="RPGRP.ContextFirst"
         value="($RPGRP.Context)[1]" />

    <let name="RPGRP.ContextId"
         value="($RPGRP.Context/@id)[1]"
         as="xs:string?" />

    <let name="RPGRP.Identifier"
         value="($RPGRP.Context/xbrli:entity/xbrli:identifier/text())[1]"
         as="xs:string?" />

    <let name="RPGRP.Identifier.Scheme"
         value="($RPGRP.Context/xbrli:entity/xbrli:identifier/@scheme)[1]"
         as="xs:string?" />

    <let name="RPGRP.Identifier.TFN"
         value="($RPGRP.Context/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn']/text())[1]"
         as="xs:string?" />

    <let name="RPGRP.Context.StartDate"
         value="($RPGRP.Context/xbrli:period/xbrli:startDate/text())[1]"
         as="xs:date?"  />

    <let name="RPGRP.Context.EndDate"
         value="($RPGRP.Context/xbrli:period/xbrli:endDate/text())[1]"
         as="xs:date?" />

    <let name="RPTRFD.Context"
         value="xbrli:xbrl/xbrli:context[./xbrli:period/xbrli:startDate and ./xbrli:period/xbrli:endDate and ./xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2 and 
                           count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and ends-with(., ':ReportingParty')]) = 1 and
                           count(xbrldi:explicitMember[ends-with(@dimension, 'LossGenerationSourceDimension') and ends-with(., ':Transferred')]) = 1 
]]" />

    <let name="RPTRFD.ContextFirst"
         value="($RPTRFD.Context)[1]" />

    <let name="RPTRFD.ContextId"
         value="($RPTRFD.Context/@id)[1]"
         as="xs:string?" />

    <let name="RPTRFD.Identifier"
         value="($RPTRFD.Context/xbrli:entity/xbrli:identifier/text())[1]"
         as="xs:string?" />

    <let name="RPTRFD.Identifier.Scheme"
         value="($RPTRFD.Context/xbrli:entity/xbrli:identifier/@scheme)[1]"
         as="xs:string?" />

    <let name="RPTRFD.Identifier.TFN"
         value="($RPTRFD.Context/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn']/text())[1]"
         as="xs:string?" />

    <let name="RPTRFD.Context.StartDate"
         value="($RPTRFD.Context/xbrli:period/xbrli:startDate/text())[1]"
         as="xs:date?"  />

    <let name="RPTRFD.Context.EndDate"
         value="($RPTRFD.Context/xbrli:period/xbrli:endDate/text())[1]"
         as="xs:date?" />

    <let name="RPTOT.Context"
         value="xbrli:xbrl/xbrli:context[./xbrli:period/xbrli:startDate and ./xbrli:period/xbrli:endDate and ./xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2 and 
                           count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and ends-with(., ':ReportingParty')]) = 1 and
                           count(xbrldi:explicitMember[ends-with(@dimension, 'LossGenerationSourceDimension') and ends-with(., ':Total')]) = 1 
]]" />

    <let name="RPTOT.ContextFirst"
         value="($RPTOT.Context)[1]" />

    <let name="RPTOT.ContextId"
         value="($RPTOT.Context/@id)[1]"
         as="xs:string?" />

    <let name="RPTOT.Identifier"
         value="($RPTOT.Context/xbrli:entity/xbrli:identifier/text())[1]"
         as="xs:string?" />

    <let name="RPTOT.Identifier.Scheme"
         value="($RPTOT.Context/xbrli:entity/xbrli:identifier/@scheme)[1]"
         as="xs:string?" />

    <let name="RPTOT.Identifier.TFN"
         value="($RPTOT.Context/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn']/text())[1]"
         as="xs:string?" />

    <let name="RPTOT.Context.StartDate"
         value="($RPTOT.Context/xbrli:period/xbrli:startDate/text())[1]"
         as="xs:date?"  />

    <let name="RPTOT.Context.EndDate"
         value="($RPTOT.Context/xbrli:period/xbrli:endDate/text())[1]"
         as="xs:date?" />

    <let name="RPGRPInstant.Context"
         value="xbrli:xbrl/xbrli:context[./xbrli:period/xbrli:instant and ./xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2 and 
                           count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and ends-with(., ':ReportingParty')]) = 1 and
                           count(xbrldi:explicitMember[ends-with(@dimension, 'LossGenerationSourceDimension') and ends-with(., ':Group')]) = 1 
]]" />

    <let name="RPGRPInstant.ContextFirst"
         value="($RPGRPInstant.Context)[1]" />

    <let name="RPGRPInstant.ContextId"
         value="($RPGRPInstant.Context/@id)[1]"
         as="xs:string?" />

    <let name="RPGRPInstant.Identifier"
         value="($RPGRPInstant.Context/xbrli:entity/xbrli:identifier/text())[1]"
         as="xs:string?" />

    <let name="RPGRPInstant.Identifier.Scheme"
         value="($RPGRPInstant.Context/xbrli:entity/xbrli:identifier/@scheme)[1]"
         as="xs:string?" />

    <let name="RPGRPInstant.Identifier.TFN"
         value="($RPGRPInstant.Context/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn']/text())[1]"
         as="xs:string?" />

    <let name="RPGRPInstant.Context.InstantDate"
         value="($RPGRPInstant.Context/xbrli:period/xbrli:instant/text())[1]"
         as="xs:date?"  />

    <let name="RPTRFDInstant.Context"
         value="xbrli:xbrl/xbrli:context[./xbrli:period/xbrli:instant and ./xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2 and 
                           count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and ends-with(., ':ReportingParty')]) = 1 and
                           count(xbrldi:explicitMember[ends-with(@dimension, 'LossGenerationSourceDimension') and ends-with(., ':Transferred')]) = 1 
]]" />

    <let name="RPTRFDInstant.ContextFirst"
         value="($RPTRFDInstant.Context)[1]" />

    <let name="RPTRFDInstant.ContextId"
         value="($RPTRFDInstant.Context/@id)[1]"
         as="xs:string?" />

    <let name="RPTRFDInstant.Identifier"
         value="($RPTRFDInstant.Context/xbrli:entity/xbrli:identifier/text())[1]"
         as="xs:string?" />

    <let name="RPTRFDInstant.Identifier.Scheme"
         value="($RPTRFDInstant.Context/xbrli:entity/xbrli:identifier/@scheme)[1]"
         as="xs:string?" />

    <let name="RPTRFDInstant.Identifier.TFN"
         value="($RPTRFDInstant.Context/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn']/text())[1]"
         as="xs:string?" />

    <let name="RPTRFDInstant.Context.InstantDate"
         value="($RPTRFDInstant.Context/xbrli:period/xbrli:instant/text())[1]"
         as="xs:date?"  />

    <let name="RPTOTInstant.Context"
         value="xbrli:xbrl/xbrli:context[./xbrli:period/xbrli:instant and ./xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2 and 
                           count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and ends-with(., ':ReportingParty')]) = 1 and
                           count(xbrldi:explicitMember[ends-with(@dimension, 'LossGenerationSourceDimension') and ends-with(., ':Total')]) = 1 
]]" />

    <let name="RPTOTInstant.ContextFirst"
         value="($RPTOTInstant.Context)[1]" />

    <let name="RPTOTInstant.ContextId"
         value="($RPTOTInstant.Context/@id)[1]"
         as="xs:string?" />

    <let name="RPTOTInstant.Identifier"
         value="($RPTOTInstant.Context/xbrli:entity/xbrli:identifier/text())[1]"
         as="xs:string?" />

    <let name="RPTOTInstant.Identifier.Scheme"
         value="($RPTOTInstant.Context/xbrli:entity/xbrli:identifier/@scheme)[1]"
         as="xs:string?" />

    <let name="RPTOTInstant.Identifier.TFN"
         value="($RPTOTInstant.Context/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn']/text())[1]"
         as="xs:string?" />

    <let name="RPTOTInstant.Context.InstantDate"
         value="($RPTOTInstant.Context/xbrli:period/xbrli:instant/text())[1]"
         as="xs:date?"  />

    <let name="RPY0.Context"
         value="xbrli:xbrl/xbrli:context[./xbrli:period/xbrli:startDate and ./xbrli:period/xbrli:endDate and ./xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2 and 
                           count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and ends-with(., ':ReportingParty')]) = 1 and
                           count(xbrldi:explicitMember[ends-with(@dimension, 'RelativePeriodDurationDimension') and ends-with(., ':Y0')]) = 1 
]]" />

    <let name="RPY0.ContextFirst"
         value="($RPY0.Context)[1]" />

    <let name="RPY0.ContextId"
         value="($RPY0.Context/@id)[1]"
         as="xs:string?" />

    <let name="RPY0.Identifier"
         value="($RPY0.Context/xbrli:entity/xbrli:identifier/text())[1]"
         as="xs:string?" />

    <let name="RPY0.Identifier.Scheme"
         value="($RPY0.Context/xbrli:entity/xbrli:identifier/@scheme)[1]"
         as="xs:string?" />

    <let name="RPY0.Identifier.TFN"
         value="($RPY0.Context/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn']/text())[1]"
         as="xs:string?" />

    <let name="RPY0.Context.StartDate"
         value="($RPY0.Context/xbrli:period/xbrli:startDate/text())[1]"
         as="xs:date?"  />

    <let name="RPY0.Context.EndDate"
         value="($RPY0.Context/xbrli:period/xbrli:endDate/text())[1]"
         as="xs:date?" />

    <let name="RPY0Minus1.Context"
         value="xbrli:xbrl/xbrli:context[./xbrli:period/xbrli:startDate and ./xbrli:period/xbrli:endDate and ./xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2 and 
                           count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and ends-with(., ':ReportingParty')]) = 1 and
                           count(xbrldi:explicitMember[ends-with(@dimension, 'RelativePeriodDurationDimension') and ends-with(., ':Y0Minus1')]) = 1 
]]" />

    <let name="RPY0Minus1.ContextFirst"
         value="($RPY0Minus1.Context)[1]" />

    <let name="RPY0Minus1.ContextId"
         value="($RPY0Minus1.Context/@id)[1]"
         as="xs:string?" />

    <let name="RPY0Minus1.Identifier"
         value="($RPY0Minus1.Context/xbrli:entity/xbrli:identifier/text())[1]"
         as="xs:string?" />

    <let name="RPY0Minus1.Identifier.Scheme"
         value="($RPY0Minus1.Context/xbrli:entity/xbrli:identifier/@scheme)[1]"
         as="xs:string?" />

    <let name="RPY0Minus1.Identifier.TFN"
         value="($RPY0Minus1.Context/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn']/text())[1]"
         as="xs:string?" />

    <let name="RPY0Minus1.Context.StartDate"
         value="($RPY0Minus1.Context/xbrli:period/xbrli:startDate/text())[1]"
         as="xs:date?"  />

    <let name="RPY0Minus1.Context.EndDate"
         value="($RPY0Minus1.Context/xbrli:period/xbrli:endDate/text())[1]"
         as="xs:date?" />

    <let name="RPY0Minus2.Context"
         value="xbrli:xbrl/xbrli:context[./xbrli:period/xbrli:startDate and ./xbrli:period/xbrli:endDate and ./xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2 and 
                           count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and ends-with(., ':ReportingParty')]) = 1 and
                           count(xbrldi:explicitMember[ends-with(@dimension, 'RelativePeriodDurationDimension') and ends-with(., ':Y0Minus2')]) = 1 
]]" />

    <let name="RPY0Minus2.ContextFirst"
         value="($RPY0Minus2.Context)[1]" />

    <let name="RPY0Minus2.ContextId"
         value="($RPY0Minus2.Context/@id)[1]"
         as="xs:string?" />

    <let name="RPY0Minus2.Identifier"
         value="($RPY0Minus2.Context/xbrli:entity/xbrli:identifier/text())[1]"
         as="xs:string?" />

    <let name="RPY0Minus2.Identifier.Scheme"
         value="($RPY0Minus2.Context/xbrli:entity/xbrli:identifier/@scheme)[1]"
         as="xs:string?" />

    <let name="RPY0Minus2.Identifier.TFN"
         value="($RPY0Minus2.Context/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn']/text())[1]"
         as="xs:string?" />

    <let name="RPY0Minus2.Context.StartDate"
         value="($RPY0Minus2.Context/xbrli:period/xbrli:startDate/text())[1]"
         as="xs:date?"  />

    <let name="RPY0Minus2.Context.EndDate"
         value="($RPY0Minus2.Context/xbrli:period/xbrli:endDate/text())[1]"
         as="xs:date?" />

    <let name="RPY0Minus3.Context"
         value="xbrli:xbrl/xbrli:context[./xbrli:period/xbrli:startDate and ./xbrli:period/xbrli:endDate and ./xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2 and 
                           count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and ends-with(., ':ReportingParty')]) = 1 and
                           count(xbrldi:explicitMember[ends-with(@dimension, 'RelativePeriodDurationDimension') and ends-with(., ':Y0Minus3')]) = 1 
]]" />

    <let name="RPY0Minus3.ContextFirst"
         value="($RPY0Minus3.Context)[1]" />

    <let name="RPY0Minus3.ContextId"
         value="($RPY0Minus3.Context/@id)[1]"
         as="xs:string?" />

    <let name="RPY0Minus3.Identifier"
         value="($RPY0Minus3.Context/xbrli:entity/xbrli:identifier/text())[1]"
         as="xs:string?" />

    <let name="RPY0Minus3.Identifier.Scheme"
         value="($RPY0Minus3.Context/xbrli:entity/xbrli:identifier/@scheme)[1]"
         as="xs:string?" />

    <let name="RPY0Minus3.Identifier.TFN"
         value="($RPY0Minus3.Context/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn']/text())[1]"
         as="xs:string?" />

    <let name="RPY0Minus3.Context.StartDate"
         value="($RPY0Minus3.Context/xbrli:period/xbrli:startDate/text())[1]"
         as="xs:date?"  />

    <let name="RPY0Minus3.Context.EndDate"
         value="($RPY0Minus3.Context/xbrli:period/xbrli:endDate/text())[1]"
         as="xs:date?" />

    <let name="RPY0Minus4P.Context"
         value="xbrli:xbrl/xbrli:context[./xbrli:period/xbrli:startDate and ./xbrli:period/xbrli:endDate and ./xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2 and 
                           count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and ends-with(., ':ReportingParty')]) = 1 and
                           count(xbrldi:explicitMember[ends-with(@dimension, 'RelativePeriodDurationDimension') and ends-with(., ':Y0Minus4Plus')]) = 1 
]]" />

    <let name="RPY0Minus4P.ContextFirst"
         value="($RPY0Minus4P.Context)[1]" />

    <let name="RPY0Minus4P.ContextId"
         value="($RPY0Minus4P.Context/@id)[1]"
         as="xs:string?" />

    <let name="RPY0Minus4P.Identifier"
         value="($RPY0Minus4P.Context/xbrli:entity/xbrli:identifier/text())[1]"
         as="xs:string?" />

    <let name="RPY0Minus4P.Identifier.Scheme"
         value="($RPY0Minus4P.Context/xbrli:entity/xbrli:identifier/@scheme)[1]"
         as="xs:string?" />

    <let name="RPY0Minus4P.Identifier.TFN"
         value="($RPY0Minus4P.Context/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn']/text())[1]"
         as="xs:string?" />

    <let name="RPY0Minus4P.Context.StartDate"
         value="($RPY0Minus4P.Context/xbrli:period/xbrli:startDate/text())[1]"
         as="xs:date?"  />

    <let name="RPY0Minus4P.Context.EndDate"
         value="($RPY0Minus4P.Context/xbrli:period/xbrli:endDate/text())[1]"
         as="xs:date?" />

  </pattern>



  <xsl:key name="RPFacts"
           match="xbrli:xbrl/*[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"
           use="concat(local-name(),'RP')" />
  <xsl:key name="TRFRFacts"
           match="xbrli:xbrl/*[@contextRef=$TRFR.ContextId and not(@i:nil='true' or @i:nil='1')]"
           use="concat(@contextRef,local-name())" />
  <xsl:key name="JEFacts"
           match="xbrli:xbrl/*[@contextRef=$JE.ContextId and not(@i:nil='true' or @i:nil='1')]"
           use="concat(@contextRef,local-name())" />


  <pattern id="ElementVariables" >
    <let name="CGLS1"
         value="$RP.Identifier"
         as="xs:string*" />
    <let name="CGLS120"
         value="key('RPFacts', concat('Capital.Losses.CarriedForward.ComplyingSuperannuationClassNet.Amount', 'RP'))"
         as="xs:decimal*" />
    <let name="CGLS118"
         value="key('RPFacts', concat('Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount', 'RP'))"
         as="xs:decimal*" />
    <let name="CGLS116"
         value="key('RPFacts', concat('Capital.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount', 'RP'))"
         as="xs:decimal*" />
    <let name="CGLS3"
         value="key('RPFacts', concat('Identifiers.AustralianBusinessNumber.Identifier', 'RP'))"
         as="xs:string*" />
    <let name="OrganisationNameDetails"
         value="xbrli:xbrl/orgname1.02.00:OrganisationNameDetails" />
    <let name="OrganisationNameDetails_MN"
         value="xbrli:xbrl/orgname1.02.00:OrganisationNameDetails[./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN']" />
    <let name="CGLS2"
         value="$OrganisationNameDetails_MN/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:string*" />
    <let name="CGLS100"
         value="$OrganisationNameDetails_MN/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:string*" />

    <let name="CGLS83"
         value="key('RPFacts', concat('Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount', 'RP'))"
         as="xs:decimal*" />
    <let name="CGLS119"
         value="key('RPFacts', concat('Tax.Losses.CarriedForward.ComplyingSuperannuationClass.Amount', 'RP'))"
         as="xs:decimal*" />
    <let name="CGLS70"
         value="key('RPFacts', concat('Tax.Losses.CarriedForward.ControlledForeignCompany.Amount', 'RP'))"
         as="xs:decimal*" />
    <let name="CGLS93"
         value="key('RPFacts', concat('Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount', 'RP'))"
         as="xs:decimal*" />
    <let name="CGLS117"
         value="key('RPFacts', concat('Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount', 'RP'))"
         as="xs:decimal*" />
    <let name="CGLS82"
         value="key('RPFacts', concat('Tax.Losses.ControlledForeignCompany.Amount', 'RP'))"
         as="xs:decimal*" />
    <let name="CGLS69"
         value="key('RPFacts', concat('Tax.Losses.ControlledForeignCompanyDeducted.Amount', 'RP'))"
         as="xs:decimal*" />
    <let name="CGLS88"
         value="key('RPFacts', concat('Tax.Losses.ConversionOfExcessFrankingOffsets.Amount', 'RP'))"
         as="xs:decimal*" />
    <let name="CGLS115"
         value="key('RPFacts', concat('Tax.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount', 'RP'))"
         as="xs:decimal*" />
    <let name="CGLS89"
         value="key('RPFacts', concat('Tax.Losses.ExemptIncomeNet.Amount', 'RP'))"
         as="xs:decimal*" />
    <let name="CGLS86"
         value="key('RPFacts', concat('Tax.Losses.ForgivenDebtNet.Amount', 'RP'))"
         as="xs:decimal*" />
    <let name="CGLS90"
         value="key('RPFacts', concat('Tax.Losses.Forgone.Amount', 'RP'))"
         as="xs:decimal*" />
    <let name="CGLS87"
         value="key('RPFacts', concat('Tax.Losses.Incurred.Amount', 'RP'))"
         as="xs:decimal*" />
    <let name="CGLS91"
         value="key('RPFacts', concat('Tax.Losses.Total.Amount', 'RP'))"
         as="xs:decimal*" />
    <let name="CGLS85"
         value="key('RPFacts', concat('Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount', 'RP'))"
         as="xs:decimal*" />
    <!--<let name="CGLS36"
         value="key('RPFacts', concat('Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator', 'RP'))"
         as="xs:boolean*" />-->
    <let name="CGLS36"
         value="key('RPFacts', concat('Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator', 'RP'))"
         as="xs:string*" />
    <let name="CGLS35"
         value="key('RPFacts', concat('Tax.Losses.TransferredLossUtilisedApportionmentRulesApplied.Indicator', 'RP'))"
         as="xs:boolean*" />
    <let name="CGLS92"
         value="key('RPFacts', concat('Tax.Losses.TransferredOut.Amount', 'RP'))"
         as="xs:decimal*" />
    <let name="CGLS94"
         value="key('RPFacts', concat('Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount', 'RP'))"
         as="xs:decimal*" />
    <let name="CGLS104"
         value="key('RPFacts', concat('Tax.Losses.Uplift.Amount', 'RP'))"
         as="xs:decimal*" />
    <let name="CGLS114"
         value="xbrli:xbrl/rvctc3.02.15:Capital.Losses.TransferredApplied.Amount[@contextRef=$TRFR.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS113"
         value="xbrli:xbrl/rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction[@contextRef=$TRFR.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <!-- Manual Add CGLS113_numerator and CGLS113_denominator -->
    <let name="CGLS113_numerator"
         value="xbrli:xbrl/rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction[@contextRef=$TRFR.ContextId and not(@i:nil='true' or @i:nil='1')]/xbrli:numerator"
         as="xs:decimal*" />
    <let name="CGLS113_denominator"
         value="xbrli:xbrl/rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction[@contextRef=$TRFR.ContextId and not(@i:nil='true' or @i:nil='1')]/xbrli:denominator"
         as="xs:decimal*" />
    <let name="CGLS113_numerator_string"
         value="xbrli:xbrl/rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction[@contextRef=$TRFR.ContextId and not(@i:nil='true' or @i:nil='1')][1]/xbrli:numerator"
         as="xs:string*" />
    <let name="CGLS113_denominator_string"
         value="xbrli:xbrl/rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction[@contextRef=$TRFR.ContextId and not(@i:nil='true' or @i:nil='1')][1]/xbrli:denominator"
         as="xs:string*" />
    <!-- Manual Add CGLS113_numerator and CGLS113_denominator -->    
    <let name="CGLS14"
         value="$TRFR.Identifier"
         as="xs:string*" />
    <let name="CGLS29"
         value="$TRFR.Identifier"
         as="xs:string*" />
    <let name="CGLS109"
         value="xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount[@contextRef=$TRFR.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS108"
         value="xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction[@contextRef=$TRFR.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <!-- Manual Add CGLS108_numerator and CGLS108_denominator -->
    <let name="CGLS108_numerator"
         value="xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction[@contextRef=$TRFR.ContextId and not(@i:nil='true' or @i:nil='1')]/xbrli:numerator"
         as="xs:decimal*" />
    <let name="CGLS108_denominator"
         value="xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction[@contextRef=$TRFR.ContextId and not(@i:nil='true' or @i:nil='1')]/xbrli:denominator"
         as="xs:decimal*" />
    <let name="CGLS108_numerator_string"
         value="xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction[@contextRef=$TRFR.ContextId and not(@i:nil='true' or @i:nil='1')][1]/xbrli:numerator"
         as="xs:string*" />
    <let name="CGLS108_denominator_string"
         value="xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction[@contextRef=$TRFR.ContextId and not(@i:nil='true' or @i:nil='1')][1]/xbrli:denominator"
         as="xs:string*" />    
    <!-- Manual Add CGLS108_numerator and CGLS108_denominator -->
    <let name="CGLS37"
         value="$JE.Identifier"
         as="xs:string*" />
    <let name="CGLS38"
         value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount[@contextRef=$JE.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS23"
         value="xbrli:xbrl/rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount[@contextRef=$RPCOTP.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS20"
         value="xbrli:xbrl/rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount[@contextRef=$RPCOTP.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS8"
         value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount[@contextRef=$RPCOTP.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS5"
         value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount[@contextRef=$RPCOTP.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS24"
         value="xbrli:xbrl/rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount[@contextRef=$RPCOTF.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS21"
         value="xbrli:xbrl/rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount[@contextRef=$RPCOTF.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS9"
         value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount[@contextRef=$RPCOTF.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS6"
         value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount[@contextRef=$RPCOTF.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS25"
         value="xbrli:xbrl/rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount[@contextRef=$RPCOTT.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS22"
         value="xbrli:xbrl/rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount[@contextRef=$RPCOTT.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS10"
         value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount[@contextRef=$RPCOTT.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS7"
         value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount[@contextRef=$RPCOTT.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS110"
         value="xbrli:xbrl/rvctc3.02.15:Capital.Losses.AppliedNet.Amount[@contextRef=$RPGRP.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS17"
         value="xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef=$RPGRP.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS105"
         value="xbrli:xbrl/rvctc3.02.15:Tax.Losses.Deducted.Amount[@contextRef=$RPGRP.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS111"
         value="xbrli:xbrl/rvctc3.02.15:Capital.Losses.AppliedNet.Amount[@contextRef=$RPTRFD.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS18"
         value="xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef=$RPTRFD.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS106"
         value="xbrli:xbrl/rvctc3.02.15:Tax.Losses.Deducted.Amount[@contextRef=$RPTRFD.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS112"
         value="xbrli:xbrl/rvctc3.02.15:Capital.Losses.AppliedNet.Amount[@contextRef=$RPTOT.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS19"
         value="xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef=$RPTOT.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS107"
         value="xbrli:xbrl/rvctc3.02.15:Tax.Losses.Deducted.Amount[@contextRef=$RPTOT.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS32"
         value="xbrli:xbrl/rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RPGRPInstant.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS33"
         value="xbrli:xbrl/rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RPTRFDInstant.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS34"
         value="xbrli:xbrl/rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RPTOTInstant.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS39"
         value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef=$RPY0.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS40"
         value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef=$RPY0Minus1.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS41"
         value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef=$RPY0Minus2.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS42"
         value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef=$RPY0Minus3.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
    <let name="CGLS43"
         value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef=$RPY0Minus4P.ContextId and not(@i:nil='true' or @i:nil='1')]"
         as="xs:decimal*" />
  </pattern>


  <pattern id="Context">

    <rule context="xbrli:xbrl">

      <!-- VR.ATO.CGLS.404032()
      
Pre harmonised Rule:      
      
IF MajOwnshpAndCntrlTestType.xx.xx:MajorityOwnershipAndControlTestsTypeDimension <> NULLORBLANK AND
            MajOwnshpAndCntrlTestType.xx.xx:MajorityOwnershipAndControlTestsTypeDimension <>
            SET (“MajOwnshpAndCntrlTestType.xx.xx:COTPassed",“MajOwnshpAndCntrlTestType.xx.xx:COTFailedSBTPassed",“MajOwnshpAndCntrlTestType.xx.xx:COTTrust") 
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

      <!--<assert  id="VR.ATO.CGLS.404032"
               diagnostics="D500VR.ATO.CGLS.404032"
               subject="subject"
               test="count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2]/xbrldi:explicitMember[matches(@dimension,'^MajOwnshpAndCntrlTestType.\d\d\.\d\d:MajorityOwnershipAndControlTestsTypeDimension$') 
                    and not(matches(.,'^MajOwnshpAndCntrlTestType\.\d\d\.\d\d:COTPassed$'))
                    and not(matches(.,'^MajOwnshpAndCntrlTestType\.\d\d\.\d\d:COTFailedSBTPassed$'))
                    and not(matches(.,'^MajOwnshpAndCntrlTestType\.\d\d\.\d\d:COTTrust$'))]) = 0">Explicit member dimension MajorityOwnershipAndControlTests is not correct</assert>-->



      <!--  VR.ATO.CGLS.404038 ()

Pre harmonised Rule:

IF COUNT (CONTEXT(TRFR)) > 12   
    RETURN VALIDATION MESSAGE
 ENDIF

Harmonised Rule:

Count(^Context) > 12

Data Elements:

^Context = TRFR

-->


      <assert id="VR.ATO.CGLS.404038"
              diagnostics="D1VR.ATO.CGLS.404038"
              subject="subject"
              test="not((count($TRFR.Context) &gt; 12))"  >The total number of transferor details that can be supplied is 12</assert>


      <!--  VR.ATO.CGLS.404039 ()

Pre harmonised Rule:

IF COUNT (CONTEXT(JE)) > 4   
    RETURN VALIDATION MESSAGE
 ENDIF

Harmonised Rule:

Count(^Context) > 4

Data Elements:

^Context = JE

-->


      <assert id="VR.ATO.CGLS.404039"
              diagnostics="D2VR.ATO.CGLS.404039"
              subject="subject"
              test="not((count($JE.Context) &gt; 4))"  >The total number of joining entity details that can be supplied is 4</assert>


      <!--  VR.ATO.CGLS.404040 ()

Pre harmonised Rule:

IF COUNT(CONTEXT(RP.COTT)) > 1
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

Count(^Context) > 1

Data Elements:

^Context = RP.COTT

-->


      <assert id="VR.ATO.CGLS.404040"
              diagnostics="D3VR.ATO.CGLS.404040"
              subject="subject"
              test="not((count($RPCOTT.Context) &gt; 1))"  >Invalid XBRL schema</assert>


      <!--  VR.ATO.CGLS.404041 ()

Pre harmonised Rule:

IF COUNT(CONTEXT(RP.COTP)) > 1
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

Count(^Context) > 1

Data Elements:

^Context = RP.COTP

-->


      <assert id="VR.ATO.CGLS.404041"
              diagnostics="D4VR.ATO.CGLS.404041"
              subject="subject"
              test="not((count($RPCOTP.Context) &gt; 1))"  >Invalid XBRL schema</assert>


      <!--  VR.ATO.CGLS.404042 ()

Pre harmonised Rule:

IF COUNT(CONTEXT(RP.COTF)) > 1
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

Count(^Context) > 1

Data Elements:

^Context = RP.COTF

-->


      <assert id="VR.ATO.CGLS.404042"
              diagnostics="D5VR.ATO.CGLS.404042"
              subject="subject"
              test="not((count($RPCOTF.Context) &gt; 1))"  >Invalid XBRL schema</assert>


      <!--  VR.ATO.CGLS.404043 ()

Pre harmonised Rule:

IF COUNT(CONTEXT(RP.GRP)) > 1
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

Count(^Context) > 1

Data Elements:

^Context = RP.GRP

-->


      <assert id="VR.ATO.CGLS.404043"
              diagnostics="D6VR.ATO.CGLS.404043"
              subject="subject"
              test="not((count($RPGRP.Context) &gt; 1))"  >Invalid XBRL schema</assert>


      <!--  VR.ATO.CGLS.404044 ()

Pre harmonised Rule:

IF COUNT(CONTEXT(RP.TRFD)) > 1
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

Count(^Context) > 1

Data Elements:

^Context = RP.TRFD

-->


      <assert id="VR.ATO.CGLS.404044"
              diagnostics="D7VR.ATO.CGLS.404044"
              subject="subject"
              test="not((count($RPTRFD.Context) &gt; 1))"  >Invalid XBRL schema</assert>


      <!--  VR.ATO.CGLS.404045 ()

Pre harmonised Rule:

IF COUNT(CONTEXT(RP.TOT)) > 1
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

Count(^Context) > 1

Data Elements:

^Context = RP.TOT

-->


      <assert id="VR.ATO.CGLS.404045"
              diagnostics="D8VR.ATO.CGLS.404045"
              subject="subject"
              test="not((count($RPTOT.Context) &gt; 1))"  >Invalid XBRL schema</assert>


      <!--  VR.ATO.CGLS.404113 ()

Pre harmonised Rule:

IF COUNT(CONTEXT(RP.Y0)) > 1
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

Count(^Context) > 1

Data Elements:

^Context = RP.Y0

-->


      <assert id="VR.ATO.CGLS.404113"
              diagnostics="D9VR.ATO.CGLS.404113"
              subject="subject"
              test="not((count($RPY0.Context) &gt; 1))"  >Invalid XBRL schema</assert>


      <!--  VR.ATO.CGLS.404114 ()

Pre harmonised Rule:

IF COUNT(CONTEXT(RP.Y0-1)) > 1
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

Count(^Context) > 1

Data Elements:

^Context = RP.Y0-1

-->


      <assert id="VR.ATO.CGLS.404114"
              diagnostics="D10VR.ATO.CGLS.404114"
              subject="subject"
              test="not((count($RPY0Minus1.Context) &gt; 1))"  >Invalid XBRL schema</assert>


      <!--  VR.ATO.CGLS.404115 ()

Pre harmonised Rule:

IF COUNT(CONTEXT(RP.Y0-2)) > 1
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

Count(^Context) > 1

Data Elements:

^Context = RP.Y0-2

-->


      <assert id="VR.ATO.CGLS.404115"
              diagnostics="D11VR.ATO.CGLS.404115"
              subject="subject"
              test="not((count($RPY0Minus2.Context) &gt; 1))"  >Invalid XBRL schema</assert>


      <!--  VR.ATO.CGLS.404116 ()

Pre harmonised Rule:

IF COUNT(CONTEXT(RP.Y0-3)) > 1
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

Count(^Context) > 1

Data Elements:

^Context = RP.Y0-3

-->


      <assert id="VR.ATO.CGLS.404116"
              diagnostics="D12VR.ATO.CGLS.404116"
              subject="subject"
              test="not((count($RPY0Minus3.Context) &gt; 1))"  >Invalid XBRL schema</assert>


      <!--  VR.ATO.CGLS.404117 ()

Pre harmonised Rule:

IF COUNT(CONTEXT(RP.Y0-4P)) > 1
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

Count(^Context) > 1

Data Elements:

^Context = RP.Y0-4P

-->


      <assert id="VR.ATO.CGLS.404117"
              diagnostics="D13VR.ATO.CGLS.404117"
              subject="subject"
              test="not((count($RPY0Minus4P.Context) &gt; 1))"  >Invalid XBRL schema</assert>


      <!--  VR.ATO.CGLS.404134 ()

Pre harmonised Rule:

IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^OtherTFN <> ^TFN

Data Elements:

^OtherTFN = RP.COTP

^TFN = RP

-->


      <assert id="VR.ATO.CGLS.404134"
              diagnostics="D16VR.ATO.CGLS.404134"
              subject="subject"
              test="not(($RPCOTP.Identifier.TFN != $RP.Identifier.TFN))"  >Unexpected TFN mismatch with Reporting Party</assert>


      <!--  VR.ATO.CGLS.404139 ()

Pre harmonised Rule:

IF TRFR:entity.identifier = ANY OTHER OCCURRENCE(TRFR:entity.identifier.TFN)  
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

HasDuplicateValues(^TFN)

Data Elements:

^TFN = TRFR

-->


      <assert id="VR.ATO.CGLS.404139"
              diagnostics="D17VR.ATO.CGLS.404139"
              subject="subject"
              test="not(function:HasDuplicateValues(($TRFR.Identifier.TFN)))"  >TRFR context TFN duplicated. Unique TFN required</assert>


      <!--  VR.ATO.CGLS.404140 ()

Pre harmonised Rule:

IF JE:entity.identifier = ANY OTHER OCCURRENCE(JE:entity.identifier.TFN)  
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

HasDuplicateValues(^TFN)

Data Elements:

^TFN = JE

-->


      <assert id="VR.ATO.CGLS.404140"
              diagnostics="D18VR.ATO.CGLS.404140"
              subject="subject"
              test="not(function:HasDuplicateValues(($JE.Identifier.TFN)))"  >JE context TFN duplicated. Unique TFN required</assert>


      <!--  VR.ATO.CGLS.404200 ()

Pre harmonised Rule:

IF COUNT(^CGLS108) > 6
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

Count(^CGLS108) > 6

Data Elements:

TRFR:^CGLS108 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction

-->


      <assert id="VR.ATO.CGLS.404200"
              diagnostics="D19VR.ATO.CGLS.404200"
              subject="subject"
              test="not((count($CGLS108) &gt; 6))"  >Transferor TFNs supplied for transferred tax losses deducted cannot exceed 6</assert>


      <!--  VR.ATO.CGLS.404201 ()

Pre harmonised Rule:

IF COUNT(^CGLS113) > 6
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

Count(^CGLS113) > 6

Data Elements:

TRFR:^CGLS113 = rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction

-->


      <assert id="VR.ATO.CGLS.404201"
              diagnostics="D20VR.ATO.CGLS.404201"
              subject="subject"
              test="not((count($CGLS113) &gt; 6))"  >Transferor TFNs supplied for transferred capital losses applied cannot exceed 6</assert>

      
      <!--  VR.ATO.CGLS.404300 ()

Pre harmonised Rule:

IF COUNT(CONTEXT(RP.GRP(Instant))) > 1
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

Count(^Context) > 1

Data Elements:

^Context = RP.GRP(Instant)

-->


      <assert id="VR.ATO.CGLS.404300"
              diagnostics="D21VR.ATO.CGLS.404300"
              subject="subject"
              test="not((count($RPGRPInstant.Context) &gt; 1))"  >Invalid XBRL schema</assert>


      <!--  VR.ATO.CGLS.404301 ()

Pre harmonised Rule:

IF COUNT(CONTEXT(RP.TRFD(Instant))) > 1
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

Count(^Context) > 1

Data Elements:

^Context = RP.TRFD(Instant)

-->


      <assert id="VR.ATO.CGLS.404301"
              diagnostics="D22VR.ATO.CGLS.404301"
              subject="subject"
              test="not((count($RPTRFDInstant.Context) &gt; 1))"  >Invalid XBRL schema</assert>


      <!--  VR.ATO.CGLS.404302 ()

Pre harmonised Rule:

IF COUNT(CONTEXT(RP.TOT(Instant))) > 1
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

Count(^Context) > 1

Data Elements:

^Context = RP.TOT(Instant)

-->


      <assert id="VR.ATO.CGLS.404302"
              diagnostics="D23VR.ATO.CGLS.404302"
              subject="subject"
              test="not((count($RPTOTInstant.Context) &gt; 1))"  >Invalid XBRL schema</assert>


      <!--  VR.ATO.GEN.000208 ()

Pre harmonised Rule:

IF COUNT(RP) <> 1   
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

Count(^Context) <> 1

Data Elements:

^Context = RP

-->


      <assert id="VR.ATO.GEN.000208"
              diagnostics="D24VR.ATO.GEN.000208"
              subject="subject"
              test="not((count($RP.Context) != 1))"  >Invalid XBRL schema</assert>


      <!--  VR.ATO.CGLS.404134 ()

Pre harmonised Rule:

IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^OtherTFN <> ^TFN

Data Elements:

^OtherTFN = RP.COTF

^TFN = RP

-->


      <assert id="VR.ATO.CGLS.404134"
              diagnostics="D114VR.ATO.CGLS.404134"
              subject="subject"
              test="not(($RPCOTF.Identifier.TFN != $RP.Identifier.TFN))"  >Unexpected TFN mismatch with Reporting Party</assert>


      <!--  VR.ATO.CGLS.404134 ()

Pre harmonised Rule:

IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^OtherTFN <> ^TFN

Data Elements:

^OtherTFN = RP.COTT

^TFN = RP

-->


      <assert id="VR.ATO.CGLS.404134"
              diagnostics="D115VR.ATO.CGLS.404134"
              subject="subject"
              test="not(($RPCOTT.Identifier.TFN != $RP.Identifier.TFN))"  >Unexpected TFN mismatch with Reporting Party</assert>


      <!--  VR.ATO.CGLS.404134 ()

Pre harmonised Rule:

IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^OtherTFN <> ^TFN

Data Elements:

^OtherTFN = RP.GRP

^TFN = RP

-->


      <assert id="VR.ATO.CGLS.404134"
              diagnostics="D116VR.ATO.CGLS.404134"
              subject="subject"
              test="not(($RPGRP.Identifier.TFN != $RP.Identifier.TFN))"  >Unexpected TFN mismatch with Reporting Party</assert>


      <!--  VR.ATO.CGLS.404134 ()

Pre harmonised Rule:

IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^OtherTFN <> ^TFN

Data Elements:

^OtherTFN = RP.TRFD

^TFN = RP

-->


      <assert id="VR.ATO.CGLS.404134"
              diagnostics="D117VR.ATO.CGLS.404134"
              subject="subject"
              test="not(($RPTRFD.Identifier.TFN != $RP.Identifier.TFN))"  >Unexpected TFN mismatch with Reporting Party</assert>


      <!--  VR.ATO.CGLS.404134 ()

Pre harmonised Rule:

IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^OtherTFN <> ^TFN

Data Elements:

^OtherTFN = RP.TOT

^TFN = RP

-->


      <assert id="VR.ATO.CGLS.404134"
              diagnostics="D118VR.ATO.CGLS.404134"
              subject="subject"
              test="not(($RPTOT.Identifier.TFN != $RP.Identifier.TFN))"  >Unexpected TFN mismatch with Reporting Party</assert>


      <!--  VR.ATO.CGLS.404134 ()

Pre harmonised Rule:

IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^OtherTFN <> ^TFN

Data Elements:

^OtherTFN = RP.GRP(Instant)

^TFN = RP

-->


      <assert id="VR.ATO.CGLS.404134"
              diagnostics="D119VR.ATO.CGLS.404134"
              subject="subject"
              test="not(($RPGRPInstant.Identifier.TFN != $RP.Identifier.TFN))"  >Unexpected TFN mismatch with Reporting Party</assert>


      <!--  VR.ATO.CGLS.404134 ()

Pre harmonised Rule:

IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^OtherTFN <> ^TFN

Data Elements:

^OtherTFN = RP.TRFD(Instant)

^TFN = RP

-->


      <assert id="VR.ATO.CGLS.404134"
              diagnostics="D120VR.ATO.CGLS.404134"
              subject="subject"
              test="not(($RPTRFDInstant.Identifier.TFN != $RP.Identifier.TFN))"  >Unexpected TFN mismatch with Reporting Party</assert>


      <!--  VR.ATO.CGLS.404134 ()

Pre harmonised Rule:

IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^OtherTFN <> ^TFN

Data Elements:

^OtherTFN = RP.TOT(Instant)

^TFN = RP

-->


      <assert id="VR.ATO.CGLS.404134"
              diagnostics="D121VR.ATO.CGLS.404134"
              subject="subject"
              test="not(($RPTOTInstant.Identifier.TFN != $RP.Identifier.TFN))"  >Unexpected TFN mismatch with Reporting Party</assert>


      <!--  VR.ATO.CGLS.404134 ()

Pre harmonised Rule:

IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^OtherTFN <> ^TFN

Data Elements:

^OtherTFN = RP.Y0

^TFN = RP

-->


      <assert id="VR.ATO.CGLS.404134"
              diagnostics="D122VR.ATO.CGLS.404134"
              subject="subject"
              test="not(($RPY0.Identifier.TFN != $RP.Identifier.TFN))"  >Unexpected TFN mismatch with Reporting Party</assert>


      <!--  VR.ATO.CGLS.404134 ()

Pre harmonised Rule:

IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^OtherTFN <> ^TFN

Data Elements:

^OtherTFN = RP.Y0-1

^TFN = RP

-->


      <assert id="VR.ATO.CGLS.404134"
              diagnostics="D123VR.ATO.CGLS.404134"
              subject="subject"
              test="not(($RPY0Minus1.Identifier.TFN != $RP.Identifier.TFN))"  >Unexpected TFN mismatch with Reporting Party</assert>


      <!--  VR.ATO.CGLS.404134 ()

Pre harmonised Rule:

IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^OtherTFN <> ^TFN

Data Elements:

^OtherTFN = RP.Y0-2

^TFN = RP

-->


      <assert id="VR.ATO.CGLS.404134"
              diagnostics="D124VR.ATO.CGLS.404134"
              subject="subject"
              test="not(($RPY0Minus2.Identifier.TFN != $RP.Identifier.TFN))"  >Unexpected TFN mismatch with Reporting Party</assert>


      <!--  VR.ATO.CGLS.404134 ()

Pre harmonised Rule:

IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^OtherTFN <> ^TFN

Data Elements:

^OtherTFN = RP.Y0-3

^TFN = RP

-->


      <assert id="VR.ATO.CGLS.404134"
              diagnostics="D125VR.ATO.CGLS.404134"
              subject="subject"
              test="not(($RPY0Minus3.Identifier.TFN != $RP.Identifier.TFN))"  >Unexpected TFN mismatch with Reporting Party</assert>


      <!--  VR.ATO.CGLS.404134 ()

Pre harmonised Rule:

IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^OtherTFN <> ^TFN

Data Elements:

^OtherTFN = RP.Y0-4P

^TFN = RP

-->


      <assert id="VR.ATO.CGLS.404134"
              diagnostics="D126VR.ATO.CGLS.404134"
              subject="subject"
              test="not(($RPY0Minus4P.Identifier.TFN != $RP.Identifier.TFN))"  >Unexpected TFN mismatch with Reporting Party</assert>

    </rule>


    <rule context="xbrli:xbrl/xbrli:context[./xbrli:period/xbrli:startDate and ./xbrli:period/xbrli:endDate and ./xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 1 and 
                           count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and matches(.,'.*:Transferor\d{0,4}')]) = 1 
]]">

      <let name="TRFR.ContextId_local"
           value="./@id"
           as="xs:string*" />
      <let name="TRFR.Identifier_local"
           value="./xbrli:entity/xbrli:identifier/text()"
           as="xs:string*" />
      <let name="TRFR.Identifier.Scheme_local"
           value="./xbrli:entity/xbrli:identifier/@scheme"
           as="xs:string*" />
      <let name="TRFR.Identifier.TFN_local"
           value="./xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn']/text()"
           as="xs:string*" />
      <let name="TRFR.Context.StartDate_local"
           value="./xbrli:period/xbrli:startDate/text()"
           as="xs:date*"  />
      <let name="TRFR.Context.EndDate_local"
           value="./xbrli:period/xbrli:endDate/text()"
           as="xs:date*" />
      <let name="CGLS14_local"
           value="key('TRFRFacts', concat('TRFR.ContextId_local', 'Identifiers.TaxFileNumber.Identifier'))"
           as="xs:string*" />
      <let name="CGLS108_local"
           value="key('TRFRFacts', concat('TRFR.ContextId_local', 'Tax.Losses.TransferredDeducted.Fraction'))"
           as="xs:decimal*" />
      <let name="CGLS109_local"
           value="key('TRFRFacts', concat('TRFR.ContextId_local', 'Tax.Losses.TransferredDeducted.Amount'))"
           as="xs:decimal*" />
      <let name="CGLS29_local"
           value="key('TRFRFacts', concat('TRFR.ContextId_local', 'Identifiers.TaxFileNumber.Identifier'))"
           as="xs:string*" />
      <let name="CGLS113_local"
           value="key('TRFRFacts', concat('TRFR.ContextId_local', 'Capital.Losses.TransferredApplied.Fraction'))"
           as="xs:decimal*" />
      <let name="CGLS114_local"
           value="key('TRFRFacts', concat('TRFR.ContextId_local', 'Capital.Losses.TransferredApplied.Amount'))"
           as="xs:decimal*" />


      <!--  VR.ATO.CGLS.404131 ()

Pre harmonised Rule:

IF (ALGORITHM([CGLS:TRFR:entity.identifier.TFN]) = FALSE)    
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

FailsTFNAlgorithm(^TFN)

Data Elements:

^TFN = TRFR

-->


      <assert id="VR.ATO.CGLS.404131"
              diagnostics="D14VR.ATO.CGLS.404131"
              subject="subject"
              test="not(function:FailsTFNAlgorithm($TRFR.Identifier.TFN_local))"  >Tax File Number has failed the algorithm check</assert>

    </rule>


    <rule context="xbrli:xbrl/xbrli:context[./xbrli:period/xbrli:startDate and ./xbrli:period/xbrli:endDate and ./xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 1 and 
                           count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and matches(.,'.*:JoiningEntity\d{0,4}')]) = 1 
]]">

      <let name="JE.ContextId_local"
           value="./@id"
           as="xs:string*" />
      <let name="JE.Identifier_local"
           value="./xbrli:entity/xbrli:identifier/text()"
           as="xs:string*" />
      <let name="JE.Identifier.Scheme_local"
           value="./xbrli:entity/xbrli:identifier/@scheme"
           as="xs:string*" />
      <let name="JE.Identifier.TFN_local"
           value="./xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn']/text()"
           as="xs:string*" />
      <let name="JE.Context.StartDate_local"
           value="./xbrli:period/xbrli:startDate/text()"
           as="xs:date*"  />
      <let name="JE.Context.EndDate_local"
           value="./xbrli:period/xbrli:endDate/text()"
           as="xs:date*" />
      <let name="CGLS37_local"
           value="key('JEFacts', concat('JE.ContextId_local', 'Identifiers.TaxFileNumber.Identifier'))"
           as="xs:string*" />
      <let name="CGLS38_local"
           value="key('JEFacts', concat('JE.ContextId_local', 'Tax.Losses.TransferredLossCancelledByHeadCompany.Amount'))"
           as="xs:decimal*" />


      <!--  VR.ATO.CGLS.404133 ()

Pre harmonised Rule:

IF (ALGORITHM([CGLS:JE:entity.identifier.TFN]) = FALSE)    
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

FailsTFNAlgorithm(^TFN)

Data Elements:

^TFN = JE

-->


      <assert id="VR.ATO.CGLS.404133"
              diagnostics="D15VR.ATO.CGLS.404133"
              subject="subject"
              test="not(function:FailsTFNAlgorithm($JE.Identifier.TFN_local))"  >Tax File Number has failed the algorithm check</assert>

    </rule>



  </pattern>


  <pattern id="Validation">

    <rule context="xbrli:xbrl">


      <!--  VR.ATO.GEN.001021 ()

Pre harmonised Rule:

IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

Data Elements:

^IdentifierScheme = RP

-->


      <assert id="VR.ATO.GEN.001021"
              diagnostics="D25VR.ATO.GEN.001021"
              subject="subject"
              test="not((string($RP.Identifier.Scheme) != 'http://www.ato.gov.au/tfn'))"  >Invalid identifier scheme.</assert>


      <!--  VR.ATO.GEN.001021 ()

Pre harmonised Rule:

IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

Data Elements:

^IdentifierScheme = RP.COTP

-->


      <assert id="VR.ATO.GEN.001021"
              diagnostics="D127VR.ATO.GEN.001021"
              subject="subject"
              test="not((string($RPCOTP.Identifier.Scheme) != 'http://www.ato.gov.au/tfn'))"  >Invalid identifier scheme.</assert>


      <!--  VR.ATO.GEN.001021 ()

Pre harmonised Rule:

IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

Data Elements:

^IdentifierScheme = RP.COTF

-->


      <assert id="VR.ATO.GEN.001021"
              diagnostics="D128VR.ATO.GEN.001021"
              subject="subject"
              test="not((string($RPCOTF.Identifier.Scheme) != 'http://www.ato.gov.au/tfn'))"  >Invalid identifier scheme.</assert>


      <!--  VR.ATO.GEN.001021 ()

Pre harmonised Rule:

IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

Data Elements:

^IdentifierScheme = RP.COTT

-->


      <assert id="VR.ATO.GEN.001021"
              diagnostics="D129VR.ATO.GEN.001021"
              subject="subject"
              test="not((string($RPCOTT.Identifier.Scheme) != 'http://www.ato.gov.au/tfn'))"  >Invalid identifier scheme.</assert>


      <!--  VR.ATO.GEN.001021 ()

Pre harmonised Rule:

IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

Data Elements:

^IdentifierScheme = RP.GRP

-->


      <assert id="VR.ATO.GEN.001021"
              diagnostics="D130VR.ATO.GEN.001021"
              subject="subject"
              test="not((string($RPGRP.Identifier.Scheme) != 'http://www.ato.gov.au/tfn'))"  >Invalid identifier scheme.</assert>


      <!--  VR.ATO.GEN.001021 ()

Pre harmonised Rule:

IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

Data Elements:

^IdentifierScheme = RP.TRFD

-->


      <assert id="VR.ATO.GEN.001021"
              diagnostics="D131VR.ATO.GEN.001021"
              subject="subject"
              test="not((string($RPTRFD.Identifier.Scheme) != 'http://www.ato.gov.au/tfn'))"  >Invalid identifier scheme.</assert>


      <!--  VR.ATO.GEN.001021 ()

Pre harmonised Rule:

IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

Data Elements:

^IdentifierScheme = RP.TOT

-->


      <assert id="VR.ATO.GEN.001021"
              diagnostics="D132VR.ATO.GEN.001021"
              subject="subject"
              test="not((string($RPTOT.Identifier.Scheme) != 'http://www.ato.gov.au/tfn'))"  >Invalid identifier scheme.</assert>


      <!--  VR.ATO.GEN.001021 ()

Pre harmonised Rule:

IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

Data Elements:

^IdentifierScheme = RP.GRP(Instant)

-->


      <assert id="VR.ATO.GEN.001021"
              diagnostics="D133VR.ATO.GEN.001021"
              subject="subject"
              test="not((string($RPGRPInstant.Identifier.Scheme) != 'http://www.ato.gov.au/tfn'))"  >Invalid identifier scheme.</assert>


      <!--  VR.ATO.GEN.001021 ()

Pre harmonised Rule:

IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

Data Elements:

^IdentifierScheme = RP.TRFD(Instant)

-->


      <assert id="VR.ATO.GEN.001021"
              diagnostics="D134VR.ATO.GEN.001021"
              subject="subject"
              test="not((string($RPTRFDInstant.Identifier.Scheme) != 'http://www.ato.gov.au/tfn'))"  >Invalid identifier scheme.</assert>


      <!--  VR.ATO.GEN.001021 ()

Pre harmonised Rule:

IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

Data Elements:

^IdentifierScheme = RP.TOT(Instant)

-->


      <assert id="VR.ATO.GEN.001021"
              diagnostics="D135VR.ATO.GEN.001021"
              subject="subject"
              test="not((string($RPTOTInstant.Identifier.Scheme) != 'http://www.ato.gov.au/tfn'))"  >Invalid identifier scheme.</assert>


      <!--  VR.ATO.GEN.001021 ()

Pre harmonised Rule:

IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

Data Elements:

^IdentifierScheme = RP.Y0

-->


      <assert id="VR.ATO.GEN.001021"
              diagnostics="D136VR.ATO.GEN.001021"
              subject="subject"
              test="not((string($RPY0.Identifier.Scheme) != 'http://www.ato.gov.au/tfn'))"  >Invalid identifier scheme.</assert>


      <!--  VR.ATO.GEN.001021 ()

Pre harmonised Rule:

IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

Data Elements:

^IdentifierScheme = RP.Y0-1

-->


      <assert id="VR.ATO.GEN.001021"
              diagnostics="D137VR.ATO.GEN.001021"
              subject="subject"
              test="not((string($RPY0Minus1.Identifier.Scheme) != 'http://www.ato.gov.au/tfn'))"  >Invalid identifier scheme.</assert>


      <!--  VR.ATO.GEN.001021 ()

Pre harmonised Rule:

IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

Data Elements:

^IdentifierScheme = RP.Y0-2

-->


      <assert id="VR.ATO.GEN.001021"
              diagnostics="D138VR.ATO.GEN.001021"
              subject="subject"
              test="not((string($RPY0Minus2.Identifier.Scheme) != 'http://www.ato.gov.au/tfn'))"  >Invalid identifier scheme.</assert>


      <!--  VR.ATO.GEN.001021 ()

Pre harmonised Rule:

IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

Data Elements:

^IdentifierScheme = RP.Y0-3

-->


      <assert id="VR.ATO.GEN.001021"
              diagnostics="D139VR.ATO.GEN.001021"
              subject="subject"
              test="not((string($RPY0Minus3.Identifier.Scheme) != 'http://www.ato.gov.au/tfn'))"  >Invalid identifier scheme.</assert>


      <!--  VR.ATO.GEN.001021 ()

Pre harmonised Rule:

IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

Data Elements:

^IdentifierScheme = RP.Y0-4P

-->


      <assert id="VR.ATO.GEN.001021"
              diagnostics="D140VR.ATO.GEN.001021"
              subject="subject"
              test="not((string($RPY0Minus4P.Identifier.Scheme) != 'http://www.ato.gov.au/tfn'))"  >Invalid identifier scheme.</assert>

    </rule>



  </pattern>


  <pattern id="Format">

    <rule context="xbrli:xbrl/xbrli:context[./xbrli:period/xbrli:startDate and ./xbrli:period/xbrli:endDate and ./xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 1 and 
                           count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and matches(.,'.*:JoiningEntity\d{0,4}')]) = 1 
]]">

      <let name="JE.ContextId_local"
           value="./@id"
           as="xs:string*" />
      <let name="JE.Identifier_local"
           value="./xbrli:entity/xbrli:identifier/text()"
           as="xs:string*" />
      <let name="JE.Identifier.Scheme_local"
           value="./xbrli:entity/xbrli:identifier/@scheme"
           as="xs:string*" />
      <let name="JE.Identifier.TFN_local"
           value="./xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn']/text()"
           as="xs:string*" />
      <let name="JE.Context.StartDate_local"
           value="./xbrli:period/xbrli:startDate/text()"
           as="xs:date*"  />
      <let name="JE.Context.EndDate_local"
           value="./xbrli:period/xbrli:endDate/text()"
           as="xs:date*" />
      <let name="CGLS37_local"
           value="key('JEFacts', concat('JE.ContextId_local', 'Identifiers.TaxFileNumber.Identifier'))"
           as="xs:string*" />
      <let name="CGLS38_local"
           value="key('JEFacts', concat('JE.ContextId_local', 'Tax.Losses.TransferredLossCancelledByHeadCompany.Amount'))"
           as="xs:decimal*" />


      <!--  VR.ATO.CGLS.404073 ()

Pre harmonised Rule:

IF ^CGLS38 <> NULL AND ^CGLS38 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS38, 'U', 11, 0)

Data Elements:

JE:^CGLS38 = rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount

-->


      <!--<assert id="VR.ATO.CGLS.404073"
              diagnostics="D26VR.ATO.CGLS.404073"
              subject="subject"
              test="not(function:NotMonetary(($CGLS38_local,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>-->
      <assert id="VR.ATO.CGLS.404073"
              diagnostics="D26VR.ATO.CGLS.404073"
              subject="subject"
              test="not(function:NotMonetary(($CGLS38,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>

    </rule>


    <rule context="xbrli:xbrl">



      <!--  VR.ATO.CGLS.404204 ()

Pre harmonised Rule:

IF ^CGLS117 <> NULL AND ^CGLS117 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS117, 'U', 11, 0)

Data Elements:

RP:^CGLS117 = rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount

-->


      <assert id="VR.ATO.CGLS.404204"
              diagnostics="D32VR.ATO.CGLS.404204"
              subject="subject"
              test="not(function:NotMonetary(($CGLS117,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404205 ()

Pre harmonised Rule:

IF ^CGLS118 <> NULL AND ^CGLS118 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS118, 'U', 11, 0)

Data Elements:

RP:^CGLS118 = rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount

-->


      <assert id="VR.ATO.CGLS.404205"
              diagnostics="D33VR.ATO.CGLS.404205"
              subject="subject"
              test="not(function:NotMonetary(($CGLS118,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404202 ()

Pre harmonised Rule:

IF ^CGLS115 <> NULL AND ^CGLS115 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS115, 'U', 11, 0)

Data Elements:

RP:^CGLS115 = rvctc3.02.00:Tax.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount

-->


      <assert id="VR.ATO.CGLS.404202"
              diagnostics="D34VR.ATO.CGLS.404202"
              subject="subject"
              test="not(function:NotMonetary(($CGLS115,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404203 ()

Pre harmonised Rule:

IF ^CGLS116 <> NULL AND ^CGLS116 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS116, 'U', 11, 0)

Data Elements:

RP:^CGLS116 = rvctc3.02.02:Capital.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount

-->


      <assert id="VR.ATO.CGLS.404203"
              diagnostics="D35VR.ATO.CGLS.404203"
              subject="subject"
              test="not(function:NotMonetary(($CGLS116,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404270 ()

Pre harmonised Rule:

IF ^CGLS119 <> NULL AND ^CGLS119 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS119, 'U', 11, 0)

Data Elements:

RP:^CGLS119 = rvctc3.02.22:Tax.Losses.CarriedForward.ComplyingSuperannuationClass.Amount

-->


      <assert id="VR.ATO.CGLS.404270"
              diagnostics="D36VR.ATO.CGLS.404270"
              subject="subject"
              test="not(function:NotMonetary(($CGLS119,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404271 ()

Pre harmonised Rule:

IF ^CGLS120 <> NULL AND ^CGLS120 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS120, 'U', 11, 0)

Data Elements:

RP:^CGLS120 = rvctc3.02.22:Capital.Losses.CarriedForward.ComplyingSuperannuationClassNet.Amount

-->


      <assert id="VR.ATO.CGLS.404271"
              diagnostics="D37VR.ATO.CGLS.404271"
              subject="subject"
              test="not(function:NotMonetary(($CGLS120,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404100 ()

Pre harmonised Rule:

IF ^CGLS82 <> NULL AND ^CGLS82 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS82, 'U', 11, 0)

Data Elements:

RP:^CGLS82 = rvctc3.02.04:Tax.Losses.ControlledForeignCompany.Amount

-->


      <assert id="VR.ATO.CGLS.404100"
              diagnostics="D38VR.ATO.CGLS.404100"
              subject="subject"
              test="not(function:NotMonetary(($CGLS82,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404089 ()

Pre harmonised Rule:

IF ^CGLS69 <> NULL AND ^CGLS69 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS69, 'U', 11, 0)

Data Elements:

RP:^CGLS69 = rvctc3.02.02:Tax.Losses.ControlledForeignCompanyDeducted.Amount

-->


      <assert id="VR.ATO.CGLS.404089"
              diagnostics="D39VR.ATO.CGLS.404089"
              subject="subject"
              test="not(function:NotMonetary(($CGLS69,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404090 ()

Pre harmonised Rule:

IF ^CGLS70 <> NULL AND ^CGLS70 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS70, 'U', 11, 0)

Data Elements:

RP:^CGLS70 = rvctc3.02.02:Tax.Losses.CarriedForward.ControlledForeignCompany.Amount

-->


      <assert id="VR.ATO.CGLS.404090"
              diagnostics="D40VR.ATO.CGLS.404090"
              subject="subject"
              test="not(function:NotMonetary(($CGLS70,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404124 ()

Pre harmonised Rule:

IF ^CGLS83 <> NULL AND ^CGLS83 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS83, 'U', 11, 0)

Data Elements:

RP:^CGLS83 = rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount

-->


      <assert id="VR.ATO.CGLS.404124"
              diagnostics="D41VR.ATO.CGLS.404124"
              subject="subject"
              test="not(function:NotMonetary(($CGLS83,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404206 ()

Pre harmonised Rule:

IF ^CGLS104 <> NULL AND ^CGLS104 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS104, 'U', 11, 0)

Data Elements:

RP:^CGLS104 = rvctc3.02.14:Tax.Losses.Uplift.Amount

-->


      <assert id="VR.ATO.CGLS.404206"
              diagnostics="D44VR.ATO.CGLS.404206"
              subject="subject"
              test="not(function:NotMonetary(($CGLS104,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404102 ()

Pre harmonised Rule:

IF ^CGLS85 <> NULL AND ^CGLS85 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS85, 'U', 11, 0)

Data Elements:

RP:^CGLS85 = rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount

-->


      <assert id="VR.ATO.CGLS.404102"
              diagnostics="D45VR.ATO.CGLS.404102"
              subject="subject"
              test="not(function:NotMonetary(($CGLS85,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404123 ()

Pre harmonised Rule:

IF ^CGLS94 <> NULL AND ^CGLS94 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS94, 'U', 11, 0)

Data Elements:

RP:^CGLS94 = rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount

-->


      <assert id="VR.ATO.CGLS.404123"
              diagnostics="D46VR.ATO.CGLS.404123"
              subject="subject"
              test="not(function:NotMonetary(($CGLS94,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404103 ()

Pre harmonised Rule:

IF ^CGLS86 <> NULL AND ^CGLS86 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS86, 'U', 11, 0)

Data Elements:

RP:^CGLS86 = rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount

-->


      <assert id="VR.ATO.CGLS.404103"
              diagnostics="D47VR.ATO.CGLS.404103"
              subject="subject"
              test="not(function:NotMonetary(($CGLS86,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404104 ()

Pre harmonised Rule:

IF ^CGLS87 <> NULL AND ^CGLS87 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS87, 'U', 11, 0)

Data Elements:

RP:^CGLS87 = rvctc3.02.02:Tax.Losses.Incurred.Amount

-->


      <assert id="VR.ATO.CGLS.404104"
              diagnostics="D48VR.ATO.CGLS.404104"
              subject="subject"
              test="not(function:NotMonetary(($CGLS87,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404105 ()

Pre harmonised Rule:

IF ^CGLS88 <> NULL AND ^CGLS88 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS88, 'U', 11, 0)

Data Elements:

RP:^CGLS88 = rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount

-->


      <assert id="VR.ATO.CGLS.404105"
              diagnostics="D49VR.ATO.CGLS.404105"
              subject="subject"
              test="not(function:NotMonetary(($CGLS88,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404106 ()

Pre harmonised Rule:

IF ^CGLS89 <> NULL AND ^CGLS89 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS89, 'U', 11, 0)

Data Elements:

RP:^CGLS89 = rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount

-->


      <assert id="VR.ATO.CGLS.404106"
              diagnostics="D50VR.ATO.CGLS.404106"
              subject="subject"
              test="not(function:NotMonetary(($CGLS89,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404107 ()

Pre harmonised Rule:

IF ^CGLS90 <> NULL AND ^CGLS90 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS90, 'U', 11, 0)

Data Elements:

RP:^CGLS90 = rvctc3.02.02:Tax.Losses.Forgone.Amount

-->


      <assert id="VR.ATO.CGLS.404107"
              diagnostics="D51VR.ATO.CGLS.404107"
              subject="subject"
              test="not(function:NotMonetary(($CGLS90,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404108 ()

Pre harmonised Rule:

IF ^CGLS91 <> NULL AND ^CGLS91 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS91, 'U', 11, 0)

Data Elements:

RP:^CGLS91 = rvctc3.02.00:Tax.Losses.Total.Amount

-->


      <assert id="VR.ATO.CGLS.404108"
              diagnostics="D52VR.ATO.CGLS.404108"
              subject="subject"
              test="not(function:NotMonetary(($CGLS91,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404109 ()

Pre harmonised Rule:

IF ^CGLS92 <> NULL AND ^CGLS92 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS92, 'U', 11, 0)

Data Elements:

RP:^CGLS92 = rvctc3.02.02:Tax.Losses.TransferredOut.Amount

-->


      <assert id="VR.ATO.CGLS.404109"
              diagnostics="D53VR.ATO.CGLS.404109"
              subject="subject"
              test="not(function:NotMonetary(($CGLS92,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404110 ()

Pre harmonised Rule:

IF ^CGLS93 <> NULL AND ^CGLS93 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS93, 'U', 11, 0)

Data Elements:

RP:^CGLS93 = rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount

-->


      <assert id="VR.ATO.CGLS.404110"
              diagnostics="D54VR.ATO.CGLS.404110"
              subject="subject"
              test="not(function:NotMonetary(($CGLS93,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404048 ()

Pre harmonised Rule:

IF ^CGLS6 <> NULL AND ^CGLS6 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS6, 'U', 11, 0)

Data Elements:

RP.COTF:^CGLS6 = rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount

-->


      <assert id="VR.ATO.CGLS.404048"
              diagnostics="D56VR.ATO.CGLS.404048"
              subject="subject"
              test="not(function:NotMonetary(($CGLS6,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404051 ()

Pre harmonised Rule:

IF ^CGLS9 <> NULL AND ^CGLS9 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS9, 'U', 11, 0)

Data Elements:

RP.COTF:^CGLS9 = rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount

-->


      <assert id="VR.ATO.CGLS.404051"
              diagnostics="D57VR.ATO.CGLS.404051"
              subject="subject"
              test="not(function:NotMonetary(($CGLS9,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404061 ()

Pre harmonised Rule:

IF ^CGLS21 <> NULL AND ^CGLS21 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS21, 'U', 11, 0)

Data Elements:

RP.COTF:^CGLS21 = rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount

-->


      <assert id="VR.ATO.CGLS.404061"
              diagnostics="D58VR.ATO.CGLS.404061"
              subject="subject"
              test="not(function:NotMonetary(($CGLS21,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404064 ()

Pre harmonised Rule:

IF ^CGLS24 <> NULL AND ^CGLS24 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS24, 'U', 11, 0)

Data Elements:

RP.COTF:^CGLS24 = rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount

-->


      <assert id="VR.ATO.CGLS.404064"
              diagnostics="D59VR.ATO.CGLS.404064"
              subject="subject"
              test="not(function:NotMonetary(($CGLS24,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404047 ()

Pre harmonised Rule:

IF ^CGLS5 <> NULL AND ^CGLS5 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS5, 'U', 11, 0)

Data Elements:

RP.COTP:^CGLS5 = rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount

-->


      <assert id="VR.ATO.CGLS.404047"
              diagnostics="D60VR.ATO.CGLS.404047"
              subject="subject"
              test="not(function:NotMonetary(($CGLS5,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404050 ()

Pre harmonised Rule:

IF ^CGLS8 <> NULL AND ^CGLS8 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS8, 'U', 11, 0)

Data Elements:

RP.COTP:^CGLS8 = rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount

-->


      <assert id="VR.ATO.CGLS.404050"
              diagnostics="D61VR.ATO.CGLS.404050"
              subject="subject"
              test="not(function:NotMonetary(($CGLS8,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404060 ()

Pre harmonised Rule:

IF ^CGLS20 <> NULL AND ^CGLS20 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS20, 'U', 11, 0)

Data Elements:

RP.COTP:^CGLS20 = rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount

-->


      <assert id="VR.ATO.CGLS.404060"
              diagnostics="D62VR.ATO.CGLS.404060"
              subject="subject"
              test="not(function:NotMonetary(($CGLS20,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404063 ()

Pre harmonised Rule:

IF ^CGLS23 <> NULL AND ^CGLS23 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS23, 'U', 11, 0)

Data Elements:

RP.COTP:^CGLS23 = rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount

-->


      <assert id="VR.ATO.CGLS.404063"
              diagnostics="D63VR.ATO.CGLS.404063"
              subject="subject"
              test="not(function:NotMonetary(($CGLS23,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404049 ()

Pre harmonised Rule:

IF ^CGLS7 <> NULL AND ^CGLS7 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS7, 'U', 11, 0)

Data Elements:

RP.COTT:^CGLS7 = rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount

-->


      <assert id="VR.ATO.CGLS.404049"
              diagnostics="D64VR.ATO.CGLS.404049"
              subject="subject"
              test="not(function:NotMonetary(($CGLS7,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404052 ()

Pre harmonised Rule:

IF ^CGLS10 <> NULL AND ^CGLS10 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS10, 'U', 11, 0)

Data Elements:

RP.COTT:^CGLS10 = rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount

-->


      <assert id="VR.ATO.CGLS.404052"
              diagnostics="D65VR.ATO.CGLS.404052"
              subject="subject"
              test="not(function:NotMonetary(($CGLS10,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404062 ()

Pre harmonised Rule:

IF ^CGLS22 <> NULL AND ^CGLS22 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS22, 'U', 11, 0)

Data Elements:

RP.COTT:^CGLS22 = rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount

-->


      <assert id="VR.ATO.CGLS.404062"
              diagnostics="D66VR.ATO.CGLS.404062"
              subject="subject"
              test="not(function:NotMonetary(($CGLS22,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404065 ()

Pre harmonised Rule:

IF ^CGLS25 <> NULL AND ^CGLS25 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS25, 'U', 11, 0)

Data Elements:

RP.COTT:^CGLS25 = rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount

-->


      <assert id="VR.ATO.CGLS.404065"
              diagnostics="D67VR.ATO.CGLS.404065"
              subject="subject"
              test="not(function:NotMonetary(($CGLS25,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404208 ()

Pre harmonised Rule:

IF rvctc.xx.xx:Tax.Losses.Deducted.Amount <> NULL AND rvctc.xx.xx:Tax.Losses.Deducted.Amount <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS105, 'U', 11, 0)

Data Elements:

RP.GRP:^CGLS105 = rvctc3.02.15:Tax.Losses.Deducted.Amount

-->


      <assert id="VR.ATO.CGLS.404208"
              diagnostics="D69VR.ATO.CGLS.404208"
              subject="subject"
              test="not(function:NotMonetary(($CGLS105,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404057 ()

Pre harmonised Rule:

IF ^CGLS17 <> NULL AND ^CGLS17 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS17, 'U', 11, 0)

Data Elements:

RP.GRP:^CGLS17 = rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount

-->


      <assert id="VR.ATO.CGLS.404057"
              diagnostics="D71VR.ATO.CGLS.404057"
              subject="subject"
              test="not(function:NotMonetary(($CGLS17,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404210 ()

Pre harmonised Rule:

IF rvctc.xx.xx:Capital.Losses.AppliedNet.Amount <> NULL AND rvctc3.02.14:Capital.Losses.AppliedNet.Amount <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS110, 'U', 11, 0)

Data Elements:

RP.GRP:^CGLS110 = rvctc3.02.15:Capital.Losses.AppliedNet.Amount

-->


      <assert id="VR.ATO.CGLS.404210"
              diagnostics="D73VR.ATO.CGLS.404210"
              subject="subject"
              test="not(function:NotMonetary(($CGLS110,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404070 ()

Pre harmonised Rule:

IF ^CGLS32 <> NULL AND ^CGLS32 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS32, 'U', 11, 0)

Data Elements:

RP.GRP(Instant):^CGLS32 = rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount

-->


      <assert id="VR.ATO.CGLS.404070"
              diagnostics="D75VR.ATO.CGLS.404070"
              subject="subject"
              test="not(function:NotMonetary(($CGLS32,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404208 ()

Pre harmonised Rule:

IF rvctc.xx.xx:Tax.Losses.Deducted.Amount <> NULL AND rvctc.xx.xx:Tax.Losses.Deducted.Amount <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS107, 'U', 11, 0)

Data Elements:

RP.TOT:^CGLS107 = rvctc3.02.15:Tax.Losses.Deducted.Amount

-->


      <assert id="VR.ATO.CGLS.404208"
              diagnostics="D76VR.ATO.CGLS.404208"
              subject="subject"
              test="not(function:NotMonetary(($CGLS107,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404059 ()

Pre harmonised Rule:

IF ^CGLS19 <> NULL AND ^CGLS19 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS19, 'U', 11, 0)

Data Elements:

RP.TOT:^CGLS19 = rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount

-->


      <assert id="VR.ATO.CGLS.404059"
              diagnostics="D80VR.ATO.CGLS.404059"
              subject="subject"
              test="not(function:NotMonetary(($CGLS19,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404210 ()

Pre harmonised Rule:

IF rvctc.xx.xx:Capital.Losses.AppliedNet.Amount <> NULL AND rvctc3.02.14:Capital.Losses.AppliedNet.Amount <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS112, 'U', 11, 0)

Data Elements:

RP.TOT:^CGLS112 = rvctc3.02.15:Capital.Losses.AppliedNet.Amount

-->


      <assert id="VR.ATO.CGLS.404210"
              diagnostics="D81VR.ATO.CGLS.404210"
              subject="subject"
              test="not(function:NotMonetary(($CGLS112,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404072 ()

Pre harmonised Rule:

IF ^CGLS34 <> NULL AND ^CGLS34 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS34, 'U', 11, 0)

Data Elements:

RP.TOT(Instant):^CGLS34 = rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount

-->


      <assert id="VR.ATO.CGLS.404072"
              diagnostics="D84VR.ATO.CGLS.404072"
              subject="subject"
              test="not(function:NotMonetary(($CGLS34,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404208 ()

Pre harmonised Rule:

IF rvctc.xx.xx:Tax.Losses.Deducted.Amount <> NULL AND rvctc.xx.xx:Tax.Losses.Deducted.Amount <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS106, 'U', 11, 0)

Data Elements:

RP.TRFD:^CGLS106 = rvctc3.02.15:Tax.Losses.Deducted.Amount

-->


      <assert id="VR.ATO.CGLS.404208"
              diagnostics="D85VR.ATO.CGLS.404208"
              subject="subject"
              test="not(function:NotMonetary(($CGLS106,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404058 ()

Pre harmonised Rule:

IF ^CGLS18 <> NULL AND ^CGLS18 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS18, 'U', 11, 0)

Data Elements:

RP.TRFD:^CGLS18 = rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount

-->


      <assert id="VR.ATO.CGLS.404058"
              diagnostics="D89VR.ATO.CGLS.404058"
              subject="subject"
              test="not(function:NotMonetary(($CGLS18,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404210 ()

Pre harmonised Rule:

IF rvctc.xx.xx:Capital.Losses.AppliedNet.Amount <> NULL AND rvctc3.02.14:Capital.Losses.AppliedNet.Amount <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS111, 'U', 11, 0)

Data Elements:

RP.TRFD:^CGLS111 = rvctc3.02.15:Capital.Losses.AppliedNet.Amount

-->


      <assert id="VR.ATO.CGLS.404210"
              diagnostics="D90VR.ATO.CGLS.404210"
              subject="subject"
              test="not(function:NotMonetary(($CGLS111,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404071 ()

Pre harmonised Rule:

IF ^CGLS33 <> NULL AND ^CGLS33 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS33, 'U', 11, 0)

Data Elements:

RP.TRFD(Instant):^CGLS33 = rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount

-->


      <assert id="VR.ATO.CGLS.404071"
              diagnostics="D94VR.ATO.CGLS.404071"
              subject="subject"
              test="not(function:NotMonetary(($CGLS33,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404074 ()

Pre harmonised Rule:

IF ^CGLS39 <> NULL AND ^CGLS39 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS39, 'U', 11, 0)

Data Elements:

RP.Y0:^CGLS39 = rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount

-->


      <assert id="VR.ATO.CGLS.404074"
              diagnostics="D95VR.ATO.CGLS.404074"
              subject="subject"
              test="not(function:NotMonetary(($CGLS39,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404075 ()

Pre harmonised Rule:

IF ^CGLS40 <> NULL AND ^CGLS40 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS40, 'U', 11, 0)

Data Elements:

RP.Y0-1:^CGLS40 = rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount

-->


      <assert id="VR.ATO.CGLS.404075"
              diagnostics="D96VR.ATO.CGLS.404075"
              subject="subject"
              test="not(function:NotMonetary(($CGLS40,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404076 ()

Pre harmonised Rule:

IF ^CGLS41 <> NULL AND ^CGLS41 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS41, 'U', 11, 0)

Data Elements:

RP.Y0-2:^CGLS41 = rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount

-->


      <assert id="VR.ATO.CGLS.404076"
              diagnostics="D97VR.ATO.CGLS.404076"
              subject="subject"
              test="not(function:NotMonetary(($CGLS41,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404077 ()

Pre harmonised Rule:

IF ^CGLS42 <> NULL AND ^CGLS42 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS42, 'U', 11, 0)

Data Elements:

RP.Y0-3:^CGLS42 = rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount

-->


      <assert id="VR.ATO.CGLS.404077"
              diagnostics="D98VR.ATO.CGLS.404077"
              subject="subject"
              test="not(function:NotMonetary(($CGLS42,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404078 ()

Pre harmonised Rule:

IF ^CGLS43 <> NULL AND ^CGLS43 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS43, 'U', 11, 0)

Data Elements:

RP.Y0-4P:^CGLS43 = rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount

-->


      <assert id="VR.ATO.CGLS.404078"
              diagnostics="D99VR.ATO.CGLS.404078"
              subject="subject"
              test="not(function:NotMonetary(($CGLS43,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>

    </rule>


    <rule context="xbrli:xbrl/xbrli:context[./xbrli:period/xbrli:startDate and ./xbrli:period/xbrli:endDate and ./xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 1 and 
                           count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and matches(.,'.*:Transferor\d{0,4}')]) = 1 
]]">

      <let name="TRFR.ContextId_local"
           value="./@id"
           as="xs:string*" />
      <let name="TRFR.Identifier_local"
           value="./xbrli:entity/xbrli:identifier/text()"
           as="xs:string*" />
      <let name="TRFR.Identifier.Scheme_local"
           value="./xbrli:entity/xbrli:identifier/@scheme"
           as="xs:string*" />
      <let name="TRFR.Identifier.TFN_local"
           value="./xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn']/text()"
           as="xs:string*" />
      <let name="TRFR.Context.StartDate_local"
           value="./xbrli:period/xbrli:startDate/text()"
           as="xs:date*"  />
      <let name="TRFR.Context.EndDate_local"
           value="./xbrli:period/xbrli:endDate/text()"
           as="xs:date*" />
      <let name="CGLS14_local"
           value="key('TRFRFacts', concat('TRFR.ContextId_local', 'Identifiers.TaxFileNumber.Identifier'))"
           as="xs:string*" />
      <let name="CGLS108_local"
           value="key('TRFRFacts', concat('TRFR.ContextId_local', 'Tax.Losses.TransferredDeducted.Fraction'))"
           as="xs:decimal*" />
      <let name="CGLS109_local"
           value="key('TRFRFacts', concat('TRFR.ContextId_local', 'Tax.Losses.TransferredDeducted.Amount'))"
           as="xs:decimal*" />
      <let name="CGLS29_local"
           value="key('TRFRFacts', concat('TRFR.ContextId_local', 'Identifiers.TaxFileNumber.Identifier'))"
           as="xs:string*" />
      <let name="CGLS113_local"
           value="key('TRFRFacts', concat('TRFR.ContextId_local', 'Capital.Losses.TransferredApplied.Fraction'))"
           as="xs:decimal*" />
      <let name="CGLS114_local"
           value="key('TRFRFacts', concat('TRFR.ContextId_local', 'Capital.Losses.TransferredApplied.Amount'))"
           as="xs:decimal*" />


      <!--  VR.ATO.CGLS.404221 ()

Pre harmonised Rule:

IF ^CGLS108 = 0  
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^CGLS108 = 0

Data Elements:

TRFR:^CGLS108 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction

-->


      <!--<assert id="VR.ATO.CGLS.404221"
              diagnostics="D102VR.ATO.CGLS.404221"
              subject="subject"
              test="not((($CGLS108_local,0)[1] = 0))"  >Fraction amount for transferred tax losses deducted must be greater than zero</assert>-->
      
            <assert id="VR.ATO.CGLS.404221"
              diagnostics="D102VR.ATO.CGLS.404221"
              subject="subject"
              test="not((($CGLS108_numerator,0)[1] = 0))"  >Fraction amount for transferred tax losses deducted must be greater than zero</assert>


      <!--  VR.ATO.CGLS.404231 ()

Pre harmonised Rule:

IN CONTEXT(TRFR)IF ^CGLS108 > 1.000 OR ^CGLS113 > 1.000      
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^CGLS108 > 1.000 OR ^CGLS113 > 1.000

Data Elements:

TRFR:^CGLS108 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction

TRFR:^CGLS113 = rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction

-->


      <!--<assert id="VR.ATO.CGLS.404231"
              diagnostics="D103VR.ATO.CGLS.404231"
              subject="subject"
              test="not((($CGLS108_local,0)[1] &gt; 1.000 or ($CGLS113_local,0)[1] &gt; 1.000))"  >Each occurrence of available fraction must not exceed 1.000</assert>-->
      <assert id="VR.ATO.CGLS.404231"
              diagnostics="D103VR.ATO.CGLS.404231"
              subject="subject"
              test="not(
                        (number($CGLS113_numerator_string) div number($CGLS113_denominator_string)) &gt; 1.000 or 
                        (number($CGLS108_numerator_string) div number($CGLS108_denominator_string)) &gt; 1.000
                        )"  >Each occurrence of available fraction must not exceed 1.000</assert>
      


      <!--  VR.ATO.CGLS.404232 ()

Pre harmonised Rule:

IF ^CGLS108 <> NULL AND ^CGLS108 <> NUMBER(U,4,3)     RETURN VALIDATION ERRORENDIF

Harmonised Rule:

NotNumeric(^CGLS108, 'U', 4, 3)

Data Elements:

TRFR:^CGLS108 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction

-->


      <!--<assert id="VR.ATO.CGLS.404232"
              diagnostics="D104VR.ATO.CGLS.404232"
              subject="subject"
              test="not(function:NotNumeric(($CGLS108_local,0)[1], 'U', 4, 3))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>-->
      
            <assert  id="VR.ATO.CGLS.404232"
               diagnostics="D104VR.ATO.CGLS.404232"
               subject="subject"
               test="count($TRFR.Context) = 0 or
                      matches(string(number($CGLS108_numerator_string) div number($CGLS108_denominator_string)),'^[0-9]{1}(\.[0-9]{0,3})?$')" >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404224 ()

Pre harmonised Rule:

IF ^CGLS109 <> NULL AND ^CGLS109 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS109, 'U', 11, 0)

Data Elements:

TRFR:^CGLS109 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount

-->


      <!--<assert id="VR.ATO.CGLS.404224"
              diagnostics="D107VR.ATO.CGLS.404224"
              subject="subject"
              test="not(function:NotMonetary(($CGLS109_local,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>-->
      <assert id="VR.ATO.CGLS.404224"
              diagnostics="D107VR.ATO.CGLS.404224"
              subject="subject"
              test="not(function:NotMonetary(($CGLS109,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>


      <!--  VR.ATO.CGLS.404226 ()

Pre harmonised Rule:

IF ^CGLS113 <> NULL AND ^CGLS113 <> NUMBER (U,4,3)      
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotNumeric(^CGLS113, 'U', 4, 3)

Data Elements:

TRFR:^CGLS113 = rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction

-->


      <!--<assert id="VR.ATO.CGLS.404226"
              diagnostics="D109VR.ATO.CGLS.404226"
              subject="subject"
              test="not(function:NotNumeric(($CGLS113_local,0)[1], 'U', 4, 3))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>-->

      <assert  id="VR.ATO.CGLS.404226"
               diagnostics="D109VR.ATO.CGLS.404226"
               subject="subject"
               test="count($TRFR.Context) = 0 or
                      matches(string(number($CGLS113_numerator_string) div number($CGLS113_denominator_string)),'^[0-9]{1}(\.[0-9]{0,3})?$')" >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>

      <!--  VR.ATO.CGLS.404228 ()

Pre harmonised Rule:

IF ^CGLS113 = 0  
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^CGLS113 = 0

Data Elements:

TRFR:^CGLS113 = rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction

-->


      <!--<assert id="VR.ATO.CGLS.404228"
              diagnostics="D111VR.ATO.CGLS.404228"
              subject="subject"
              test="not((($CGLS113_local,0)[1] = 0))"  >Fraction amount for transferred net capital losses applied must be greater than zero</assert>-->
      <assert id="VR.ATO.CGLS.404228"
              diagnostics="D111VR.ATO.CGLS.404228"
              subject="subject"
              test="not((($CGLS113_numerator)[1] = 0))"  >Fraction amount for transferred net capital losses applied must be greater than zero</assert>      


      <!--  VR.ATO.CGLS.404229 ()

Pre harmonised Rule:

IF ^CGLS114 <> NULL AND ^CGLS114 <> MONETARY(U,11,0)     
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

NotMonetary(^CGLS114, 'U', 11, 0)

Data Elements:

TRFR:^CGLS114 = rvctc3.02.15:Capital.Losses.TransferredApplied.Amount

-->


      <!--<assert id="VR.ATO.CGLS.404229"
              diagnostics="D112VR.ATO.CGLS.404229"
              subject="subject"
              test="not(function:NotMonetary(($CGLS114_local,0)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>-->
      <assert id="VR.ATO.CGLS.404229"
              diagnostics="D112VR.ATO.CGLS.404229"
              subject="subject"
              test="not(function:NotMonetary(($CGLS114)[1], 'U', 11, 0))"  >Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>

    </rule>



  </pattern>


  <pattern id="Crossfield">

    <rule context="xbrli:xbrl/xbrli:context[./xbrli:period/xbrli:startDate and ./xbrli:period/xbrli:endDate and ./xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 1 and 
                           count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and matches(.,'.*:JoiningEntity\d{0,4}')]) = 1 
]]">

      <let name="JE.ContextId_local"
           value="./@id"
           as="xs:string*" />
      <let name="JE.Identifier_local"
           value="./xbrli:entity/xbrli:identifier/text()"
           as="xs:string*" />
      <let name="JE.Identifier.Scheme_local"
           value="./xbrli:entity/xbrli:identifier/@scheme"
           as="xs:string*" />
      <let name="JE.Identifier.TFN_local"
           value="./xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn']/text()"
           as="xs:string*" />
      <let name="JE.Context.StartDate_local"
           value="./xbrli:period/xbrli:startDate/text()"
           as="xs:date*"  />
      <let name="JE.Context.EndDate_local"
           value="./xbrli:period/xbrli:endDate/text()"
           as="xs:date*" />
      <let name="CGLS37_local"
           value="key('JEFacts', concat('JE.ContextId_local', 'Identifiers.TaxFileNumber.Identifier'))"
           as="xs:string*" />
      <let name="CGLS38_local"
           value="key('JEFacts', concat('JE.ContextId_local', 'Tax.Losses.TransferredLossCancelledByHeadCompany.Amount'))"
           as="xs:decimal*" />


      <!--  VR.ATO.CGLS.404143 ()

Pre harmonised Rule:

IN CONTEXT(JE)IF ^CGLS38 = NULL  
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^CGLS38 = NULL

Data Elements:

JE:^CGLS38 = rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount

-->


      <!--<assert id="VR.ATO.CGLS.404143"
              diagnostics="D27VR.ATO.CGLS.404143"
              subject="subject"
              test="not((exists(($CGLS38_local)[1]) = false()))"  >Cancelled transfer of loss amount must be supplied</assert>-->

      <assert id="VR.ATO.CGLS.404143"
              diagnostics="D27VR.ATO.CGLS.404143"
              subject="subject"
              test="not((exists(($CGLS38)[1]) = false()))"  >Cancelled transfer of loss amount must be supplied</assert>


      <!--  VR.ATO.CGLS.404023 ()

Pre harmonised Rule:

IF ^CGLS36 = FALSE AND (CGLS:JE:entity.identifier.TFN <> NULLORBLANK OR ^CGLS38 <> NULL)        
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^CGLS36 = FALSE AND (^TFN <> BLANK OR ^CGLS38 <> NULL)

Data Elements:

RP:^CGLS36 = rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator

JE:^CGLS38 = rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount

JE:^TFN = JE

-->


      <!--<assert id="VR.ATO.CGLS.404023"
              diagnostics="D30VR.ATO.CGLS.404023"
              subject="subject"
              test="not((string(($CGLS36)[1]) = 'false' and (string-length(normalize-space($JE.Identifier.TFN_local)) != 0 or exists(($CGLS38_local)[1]) != false())))"  >Head company has not cancelled the transfer of a loss. Details of cancellation completed</assert>-->

      <assert id="VR.ATO.CGLS.404023"
              diagnostics="D30VR.ATO.CGLS.404023"
              subject="subject"
              test="not(
                          ($CGLS36) = 'false' and
                          (count($JE.Identifier.TFN_local) &gt; 0 or
                          count($CGLS38) &gt; 0)   
                         )"  >Head company has not cancelled the transfer of a loss. Details of cancellation completed</assert>

    </rule>


    <rule context="xbrli:xbrl/orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">



      <!--  VR.ATO.GEN.410049 ()

Pre harmonised Rule:

IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> "MN")   
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

(^CGLS100 <> BLANK) AND (^CGLS100 <> 'MN')

Data Elements:

RP:^CGLS100 = pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN']

-->


      <assert id="VR.ATO.GEN.410049"
              diagnostics="D28VR.ATO.GEN.410049"
              subject="subject"
              test="not((string-length(normalize-space((pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code)[1])) != 0 and string((pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code)[1]) != 'MN'))"  >Organisation Name Type Code must be &#39;MN&#39;</assert>

    </rule>


    <rule context="xbrli:xbrl">



      <!--  VR.ATO.CGLS.404022 ()

Pre harmonised Rule:

IF ^CGLS36 = TRUE AND COUNT CONTEXT JE = 0         
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^CGLS36 = TRUE AND Count(^Context) = 0

Data Elements:

RP:^CGLS36 = rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator

RP:^Context = JE

-->


      <assert id="VR.ATO.CGLS.404022"
              diagnostics="D29VR.ATO.CGLS.404022"
              subject="subject"
              test="not((string(($CGLS36)[1]) = 'true' and count($JE.Context) = 0))"  >Head company has cancelled the transfer of a loss. Details of cancellation are absent or incomplete</assert>


      <!--  VR.ATO.CGLS.404145 ()

Pre harmonised Rule:

IF (^CGLS94 <> NULL OR ^CGLS86 <> NULL OR ^CGLS89 <> NULL OR ^CGLS90 <> NULL OR ^CGLS91 <> NULL OR ^CGLS92 <> NULL OR  ^CGLS104<>NULL) AND (^CGLS94+^CGLS86+^CGLS89+^CGLS90+^CGLS91+^CGLS92> ^CGLS104+ ^CGLS83+^CGLS85+^CGLS87+^CGLS88)  
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

(^CGLS94 <> NULL OR ^CGLS86 <> NULL OR ^CGLS89 <> NULL OR ^CGLS90 <> NULL OR ^CGLS91 <> NULL OR ^CGLS92 <> NULL OR  ^CGLS104 <> NULL) AND (^CGLS94+^CGLS86+^CGLS89+^CGLS90+^CGLS91+^CGLS92> ^CGLS104+ ^CGLS83+^CGLS85+^CGLS87+^CGLS88)

Data Elements:

RP:^CGLS83 = rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount

RP:^CGLS85 = rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount

RP:^CGLS86 = rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount

RP:^CGLS87 = rvctc3.02.02:Tax.Losses.Incurred.Amount

RP:^CGLS88 = rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount

RP:^CGLS89 = rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount

RP:^CGLS90 = rvctc3.02.02:Tax.Losses.Forgone.Amount

RP:^CGLS91 = rvctc3.02.00:Tax.Losses.Total.Amount

RP:^CGLS92 = rvctc3.02.02:Tax.Losses.TransferredOut.Amount

RP:^CGLS94 = rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount

RP:^CGLS104 = rvctc3.02.14:Tax.Losses.Uplift.Amount

-->


      <assert id="VR.ATO.CGLS.404145"
              diagnostics="D42VR.ATO.CGLS.404145"
              subject="subject"
              test="not(((exists(($CGLS94)[1]) != false() or exists(($CGLS86)[1]) != false() or exists(($CGLS89)[1]) != false() or exists(($CGLS90)[1]) != false() or exists(($CGLS91)[1]) != false() or exists(($CGLS92)[1]) != false() or exists(($CGLS104)[1]) != false()) and ($CGLS94,0)[1] + ($CGLS86,0)[1] + ($CGLS89,0)[1] + ($CGLS90,0)[1] + ($CGLS91,0)[1] + ($CGLS92,0)[1] &gt; ($CGLS104,0)[1] + ($CGLS83,0)[1] + ($CGLS85,0)[1] + ($CGLS87,0)[1] + ($CGLS88,0)[1]))"  >Amounts in the tax losses reconciliation statement for consolidated groups are incorrect</assert>


      <!--  VR.ATO.CGLS.404146 ()

Pre harmonised Rule:

IF (^CGLS83 <> NULL OR ^CGLS104 <> NULL OR ^CGLS85 <> NULL OR ^CGLS94 <> NULL OR ^CGLS86 <> NULL OR ^CGLS87 <> NULL OR ^CGLS88 <> NULL OR ^CGLS89 <> NULL OR ^CGLS90 <> NULL OR ^CGLS91 <> NULL OR ^CGLS92 <> NULL OR ^CGLS93 <> NULL) AND (^CGLS93<> ^CGLS83+^CGLS104+^CGLS85-^CGLS94-^CGLS86+^CGLS87+^CGLS88-^CGLS89-^CGLS90-^CGLS91-^CGLS92) 
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

(^CGLS83 <> NULL OR ^CGLS104 <> NULL OR ^CGLS85 <> NULL OR ^CGLS94 <> NULL OR ^CGLS86 <> NULL OR ^CGLS87 <> NULL OR ^CGLS88 <> NULL OR ^CGLS89 <> NULL OR ^CGLS90 <> NULL OR ^CGLS91 <> NULL OR ^CGLS92 <> NULL OR ^CGLS93 <> NULL) AND (^CGLS93 <> ^CGLS83+^CGLS104+^CGLS85-^CGLS94-^CGLS86+^CGLS87+^CGLS88-^CGLS89-^CGLS90-^CGLS91-^CGLS92)

Data Elements:

RP:^CGLS83 = rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount

RP:^CGLS85 = rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount

RP:^CGLS86 = rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount

RP:^CGLS87 = rvctc3.02.02:Tax.Losses.Incurred.Amount

RP:^CGLS88 = rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount

RP:^CGLS89 = rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount

RP:^CGLS90 = rvctc3.02.02:Tax.Losses.Forgone.Amount

RP:^CGLS91 = rvctc3.02.00:Tax.Losses.Total.Amount

RP:^CGLS92 = rvctc3.02.02:Tax.Losses.TransferredOut.Amount

RP:^CGLS93 = rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount

RP:^CGLS94 = rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount

RP:^CGLS104 = rvctc3.02.14:Tax.Losses.Uplift.Amount

-->


      <assert id="VR.ATO.CGLS.404146"
              diagnostics="D43VR.ATO.CGLS.404146"
              subject="subject"
              test="not(((exists(($CGLS83)[1]) != false() or exists(($CGLS104)[1]) != false() or exists(($CGLS85)[1]) != false() or exists(($CGLS94)[1]) != false() or exists(($CGLS86)[1]) != false() or exists(($CGLS87)[1]) != false() or exists(($CGLS88)[1]) != false() or exists(($CGLS89)[1]) != false() or exists(($CGLS90)[1]) != false() or exists(($CGLS91)[1]) != false() or exists(($CGLS92)[1]) != false() or exists(($CGLS93)[1]) != false()) and ($CGLS93,0)[1] != ($CGLS83,0)[1] + ($CGLS104,0)[1] + ($CGLS85,0)[1] - ($CGLS94,0)[1] - ($CGLS86,0)[1] + ($CGLS87,0)[1] + ($CGLS88,0)[1] - ($CGLS89,0)[1] - ($CGLS90,0)[1] - ($CGLS91,0)[1] - ($CGLS92,0)[1]))"  >Total tax losses carried forward to later income years is incorrect</assert>


      <!--  VR.ATO.CGLS.404000 ()

Pre harmonised Rule:

IF (^CGLS6 > 0 OR ^CGLS9 > 0 OR ^CGLS21 > 0 OR ^CGLS24 > 0) AND (^CGLS39 = NULL OR ^CGLS39 = 0) AND (^CGLS40 = NULL OR ^CGLS40 = 0) AND (^CGLS41 = NULL OR ^CGLS41 = 0) AND (^CGLS42 = NULL OR ^CGLS42 = 0) AND (^CGLS43 = NULL OR ^CGLS43 = 0) 
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

(^CGLS6 > 0 OR ^CGLS9 > 0 OR ^CGLS21 > 0 OR ^CGLS24 > 0) AND (^CGLS39 = NULL OR ^CGLS39 = 0) AND (^CGLS40 = NULL OR ^CGLS40 = 0) AND (^CGLS41 = NULL OR ^CGLS41 = 0) AND (^CGLS42 = NULL OR ^CGLS42 = 0) AND (^CGLS43 = NULL OR ^CGLS43 = 0)

Data Elements:

RP.COTF:^CGLS6 = rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount

RP.COTF:^CGLS9 = rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount

RP.COTF:^CGLS21 = rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount

RP.COTF:^CGLS24 = rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount

RP.Y0:^CGLS39 = rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount

RP.Y0-1:^CGLS40 = rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount

RP.Y0-2:^CGLS41 = rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount

RP.Y0-3:^CGLS42 = rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount

RP.Y0-4P:^CGLS43 = rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount

-->


      <assert id="VR.ATO.CGLS.404000"
              diagnostics="D55VR.ATO.CGLS.404000"
              subject="subject"
              test="not(((($CGLS6,0)[1] &gt; 0 or ($CGLS9,0)[1] &gt; 0 or ($CGLS21,0)[1] &gt; 0 or ($CGLS24,0)[1] &gt; 0) and (exists(($CGLS39)[1]) = false() or ($CGLS39,0)[1] = 0) and (exists(($CGLS40)[1]) = false() or ($CGLS40,0)[1] = 0) and (exists(($CGLS41)[1]) = false() or ($CGLS41,0)[1] = 0) and (exists(($CGLS42)[1]) = false() or ($CGLS42,0)[1] = 0) and (exists(($CGLS43)[1]) = false() or ($CGLS43,0)[1] = 0)))"  >Same business tax/net capital loss transferred from joining entities present. Part C1 not completed</assert>


      <!--  VR.ATO.CGLS.404207 ()

Pre harmonised Rule:

IF (^CGLS105 + ^CGLS106) <> ^CGLS107         
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

(^CGLS105 + ^CGLS106) <> ^CGLS107

Data Elements:

RP.GRP:^CGLS105 = rvctc3.02.15:Tax.Losses.Deducted.Amount

RP.TRFD:^CGLS106 = rvctc3.02.15:Tax.Losses.Deducted.Amount

RP.TOT:^CGLS107 = rvctc3.02.15:Tax.Losses.Deducted.Amount

-->


      <assert id="VR.ATO.CGLS.404207"
              diagnostics="D68VR.ATO.CGLS.404207"
              subject="subject"
              test="not((($CGLS105,0)[1] + ($CGLS106,0)[1] != ($CGLS107,0)[1]))"  >Sum of group and transferred tax losses deducted must equal tax losses deducted total</assert>


      <!--  VR.ATO.CGLS.404010 ()

Pre harmonised Rule:

IF ^CGLS17 + ^CGLS18 <> ^CGLS19 
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^CGLS17 + ^CGLS18 <> ^CGLS19

Data Elements:

RP.GRP:^CGLS17 = rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount

RP.TRFD:^CGLS18 = rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount

RP.TOT:^CGLS19 = rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount

-->


      <assert id="VR.ATO.CGLS.404010"
              diagnostics="D70VR.ATO.CGLS.404010"
              subject="subject"
              test="not((($CGLS17,0)[1] + ($CGLS18,0)[1] != ($CGLS19,0)[1]))"  >Sum of tax losses carried forward must equal total tax losses carried forward</assert>


      <!--  VR.ATO.CGLS.404209 ()

Pre harmonised Rule:

IF (^CGLS110 + ^CGLS111) <> ^CGLS112 
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

(^CGLS110 + ^CGLS111) <> ^CGLS112

Data Elements:

RP.GRP:^CGLS110 = rvctc3.02.15:Capital.Losses.AppliedNet.Amount

RP.TRFD:^CGLS111 = rvctc3.02.15:Capital.Losses.AppliedNet.Amount

RP.TOT:^CGLS112 = rvctc3.02.15:Capital.Losses.AppliedNet.Amount

-->


      <assert id="VR.ATO.CGLS.404209"
              diagnostics="D72VR.ATO.CGLS.404209"
              subject="subject"
              test="not((($CGLS110,0)[1] + ($CGLS111,0)[1] != ($CGLS112,0)[1]))"  >The sum of net capital losses applied fields must equal the total of net capital losses applied</assert>


      <!--  VR.ATO.CGLS.404019 ()

Pre harmonised Rule:

IF ^CGLS32 + ^CGLS33 <> ^CGLS34 
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^CGLS32 + ^CGLS33 <> ^CGLS34

Data Elements:

RP.GRP(Instant):^CGLS32 = rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount

RP.TRFD(Instant):^CGLS33 = rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount

RP.TOT(Instant):^CGLS34 = rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount

-->


      <assert id="VR.ATO.CGLS.404019"
              diagnostics="D74VR.ATO.CGLS.404019"
              subject="subject"
              test="not((($CGLS32,0)[1] + ($CGLS33,0)[1] != ($CGLS34,0)[1]))"  >Sum of net capital losses carried forward must equal total net capital losses carried forward</assert>


      <!--  VR.ATO.CGLS.404211 ()

Pre harmonised Rule:

IF ^CGLS115 <> NULL AND ^CGLS115 > ^CGLS107         
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^CGLS115 <> NULL AND ^CGLS115 > ^CGLS107

Data Elements:

RP.TOT:^CGLS107 = rvctc3.02.15:Tax.Losses.Deducted.Amount

RP:^CGLS115 = rvctc3.02.00:Tax.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount

-->


      <assert id="VR.ATO.CGLS.404211"
              diagnostics="D77VR.ATO.CGLS.404211"
              subject="subject"
              test="not((exists(($CGLS115)[1]) != false() and ($CGLS115,0)[1] &gt; ($CGLS107,0)[1]))"  >Tax losses deducted after consolidation cannot exceed tax losses deducted - total</assert>


      <!--  VR.ATO.CGLS.404012 ()

Pre harmonised Rule:

IF ^CGLS117 <> NULL AND ^CGLS117 > ^CGLS19 
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^CGLS117 <> NULL AND ^CGLS117 > ^CGLS19

Data Elements:

RP.TOT:^CGLS19 = rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount

RP:^CGLS117 = rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount

-->


      <assert id="VR.ATO.CGLS.404012"
              diagnostics="D78VR.ATO.CGLS.404012"
              subject="subject"
              test="not((exists(($CGLS117)[1]) != false() and ($CGLS117,0)[1] &gt; ($CGLS19,0)[1]))"  >Tax losses carried forward - (same business test passed) exceeds total tax losses carried forward</assert>


      <!--  VR.ATO.CGLS.404013 ()

Pre harmonised Rule:

IF (^CGLS19 <> NULL OR ^CGLS93 <> NULL)AND ^CGLS19 <> ^CGLS93  
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

(^CGLS19 <> NULL OR ^CGLS93 <> NULL) AND ^CGLS19 <> ^CGLS93

Data Elements:

RP.TOT:^CGLS19 = rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount

RP:^CGLS93 = rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount

-->


      <assert id="VR.ATO.CGLS.404013"
              diagnostics="D79VR.ATO.CGLS.404013"
              subject="subject"
              test="not(((exists(($CGLS19)[1]) != false() or exists(($CGLS93)[1]) != false()) and ($CGLS19,0)[1] != ($CGLS93,0)[1]))"  >(Tax losses carried forward to later income years - Total) must equal Part F label K</assert>


      <!--  VR.ATO.CGLS.404213 ()

Pre harmonised Rule:

IF ^CGLS116 <> NULL AND ^CGLS116 > ^CGLS112 
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^CGLS116 <> NULL AND ^CGLS116 > ^CGLS112

Data Elements:

RP.TOT:^CGLS112 = rvctc3.02.15:Capital.Losses.AppliedNet.Amount

RP:^CGLS116 = rvctc3.02.02:Capital.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount

-->


      <assert id="VR.ATO.CGLS.404213"
              diagnostics="D82VR.ATO.CGLS.404213"
              subject="subject"
              test="not((exists(($CGLS116)[1]) != false() and ($CGLS116,0)[1] &gt; ($CGLS112,0)[1]))"  >(Net capital losses applied - Total) cannot exceed Part C label P</assert>


      <!--  VR.ATO.CGLS.404021 ()

Pre harmonised Rule:

IF ^CGLS118 <> NULL AND ^CGLS118 > ^CGLS34      
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^CGLS118 <> NULL AND ^CGLS118 > ^CGLS34

Data Elements:

RP.TOT(Instant):^CGLS34 = rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount

RP:^CGLS118 = rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount

-->


      <assert id="VR.ATO.CGLS.404021"
              diagnostics="D83VR.ATO.CGLS.404021"
              subject="subject"
              test="not((exists(($CGLS118)[1]) != false() and ($CGLS118,0)[1] &gt; ($CGLS34,0)[1]))"  >Capital losses carried forward - (same business test passed) exceeds capital losses carried forward</assert>


      <!--  VR.ATO.CGLS.404214 ()

Pre harmonised Rule:

IF ^CGLS106 > 0 AND COUNT(^CGLS108) = 0   
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^CGLS106 > 0 AND Count(^CGLS108) = 0

Data Elements:

RP.TRFD:^CGLS106 = rvctc3.02.15:Tax.Losses.Deducted.Amount

TRFR:^CGLS108 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction

-->


      <assert id="VR.ATO.CGLS.404214"
              diagnostics="D86VR.ATO.CGLS.404214"
              subject="subject"
              test="not((($CGLS106,0)[1] &gt; 0 and count($CGLS108) = 0))"  >(Tax losses deducted - Transferred) greater than zero. Transferor details required.</assert>


      <!--  VR.ATO.CGLS.404215 ()

Pre harmonised Rule:

IF ANY OCCURRENCE OF ^CGLS108 <> NULL AND (^CGLS106 = NULL OR ^CGLS106 = 0)   
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

AnyOccurrence(^CGLS108, ^CGLS108 <> NULL) AND (^CGLS106 = NULL OR ^CGLS106 = 0)

Data Elements:

RP.TRFD:^CGLS106 = rvctc3.02.15:Tax.Losses.Deducted.Amount

TRFR:^CGLS108 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction

-->


      <assert id="VR.ATO.CGLS.404215"
              diagnostics="D87VR.ATO.CGLS.404215"
              subject="subject"
              test="not(((some $CGLS108Repeat in $CGLS108 satisfies exists($CGLS108Repeat) != false()) and (exists(($CGLS106)[1]) = false() or ($CGLS106,0)[1] = 0)))"  >Transferor details present. Tax losses deducted - transferred is absent or equal to zero</assert>


      <!--  VR.ATO.CGLS.404216 ()

Pre harmonised Rule:

IF SUM(^CGLS109) > ^CGLS106 
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

Sum(^CGLS109) > ^CGLS106

Data Elements:

RP.TRFD:^CGLS106 = rvctc3.02.15:Tax.Losses.Deducted.Amount

TRFR:^CGLS109 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount

-->


      <assert id="VR.ATO.CGLS.404216"
              diagnostics="D88VR.ATO.CGLS.404216"
              subject="subject"
              test="not((sum($CGLS109) &gt; ($CGLS106,0)[1]))"  >The sum of transferred tax losses deducted - amounts cannot exceed tax losses deducted - transferred</assert>


      <!--  VR.ATO.CGLS.404217 ()

Pre harmonised Rule:

IF ^CGLS111 > 0 AND COUNT(^CGLS113) = 0   
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^CGLS111 > 0 AND Count(^CGLS113) = 0

Data Elements:

RP.TRFD:^CGLS111 = rvctc3.02.15:Capital.Losses.AppliedNet.Amount

TRFR:^CGLS113 = rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction

-->


      <assert id="VR.ATO.CGLS.404217"
              diagnostics="D91VR.ATO.CGLS.404217"
              subject="subject"
              test="not((($CGLS111,0)[1] &gt; 0 and count($CGLS113) = 0))"  >Net capital losses applied - transferred completed. Transferor details absent or incomplete</assert>


      <!--  VR.ATO.CGLS.404218 ()

Pre harmonised Rule:

IF ANY OCCURRENCE OF ^CGLS113 <> NULL AND (^CGLS111 = NULL OR ^CGLS111 = 0)   
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

AnyOccurrence(^CGLS113, ^CGLS113 <> NULL) AND (^CGLS111 = NULL OR ^CGLS111 = 0)

Data Elements:

RP.TRFD:^CGLS111 = rvctc3.02.15:Capital.Losses.AppliedNet.Amount

TRFR:^CGLS113 = rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction

-->


      <assert id="VR.ATO.CGLS.404218"
              diagnostics="D92VR.ATO.CGLS.404218"
              subject="subject"
              test="not(((some $CGLS113Repeat in $CGLS113 satisfies exists($CGLS113Repeat) != false()) and (exists(($CGLS111)[1]) = false() or ($CGLS111,0)[1] = 0)))"  >Transferor details present. Net capital losses applied - transferred absent or equal to zero</assert>


      <!--  VR.ATO.CGLS.404219 ()

Pre harmonised Rule:

IF SUM(^CGLS114) > ^CGLS111 
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

Sum(^CGLS114) > ^CGLS111

Data Elements:

RP.TRFD:^CGLS111 = rvctc3.02.15:Capital.Losses.AppliedNet.Amount

TRFR:^CGLS114 = rvctc3.02.15:Capital.Losses.TransferredApplied.Amount

-->


      <assert id="VR.ATO.CGLS.404219"
              diagnostics="D93VR.ATO.CGLS.404219"
              subject="subject"
              test="not((sum($CGLS114) &gt; ($CGLS111,0)[1]))"  >The sum of transferred net capital losses applied cannot exceed net capital losses applied</assert>


      <!--  VR.ATO.CGLS.404008 ()

Pre harmonised Rule:

IF ANY OCCURANCE OF ^CGLS109 > 0 OR ANY OCCURANCE OF ^CGLS114 > 0 AND ^CGLS35 = NULL      
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

AnyOccurrence(^CGLS109, ^CGLS109 > 0) OR AnyOccurrence(^CGLS114, ^CGLS114 > 0) AND ^CGLS35 = NULL

Data Elements:

TRFR:^CGLS109 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount

RP:^CGLS35 = rvctc3.02.02:Tax.Losses.TransferredLossUtilisedApportionmentRulesApplied.Indicator

TRFR:^CGLS114 = rvctc3.02.15:Capital.Losses.TransferredApplied.Amount

-->


      <!--<assert id="VR.ATO.CGLS.404008"
              diagnostics="D105VR.ATO.CGLS.404008"
              subject="subject"
              test="not(((some $CGLS109Repeat in $CGLS109 satisfies $CGLS109Repeat &gt; 0) or (some $CGLS114Repeat in $CGLS114 satisfies $CGLS114Repeat &gt; 0) and exists(($CGLS35)[1]) = false()))"  >Details of transferred tax/net capital losses deducted/applied. Apportionment rules applied not indicated</assert>-->

      <let name="CGLS109_temp" value="rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount[not(@i:nil='true' or @i:nil='1') and sum(.) &gt; 0 ]" />
      <let name="CGLS114_temp" value="rvctc3.02.15:Capital.Losses.TransferredApplied.Amount[not(@i:nil='true' or @i:nil='1') and sum(.) &gt; 0 ]" />
      <assert id="VR.ATO.CGLS.404008"
              diagnostics="D105VR.ATO.CGLS.404008"
              subject="subject"
              test="not((count($CGLS109_temp) &gt; 0 or count($CGLS114_temp) &gt; 0) and count($CGLS35) = 0)"  >
        Details of
        transferred tax/net capital losses deducted/applied. Apportionment rules applied not indicated
      </assert>


      <!--  VR.ATO.CGLS.404009 ()

Pre harmonised Rule:

IF ^CGLS35 <> NULL AND COUNT(CONTEXT(TRFR))=0  
    RETURN VALIDATION MESSAGE
 ENDIF

Harmonised Rule:

^CGLS35 <> NULL AND Count(^Context)=0

Data Elements:

RP:^CGLS35 = rvctc3.02.02:Tax.Losses.TransferredLossUtilisedApportionmentRulesApplied.Indicator

RP:^Context = TRFR

-->


      <assert id="VR.ATO.CGLS.404009"
              diagnostics="D106VR.ATO.CGLS.404009"
              subject="subject"
              test="not((exists(($CGLS35)[1]) != false() and count($TRFR.Context) = 0))"  >Apportionment rules applied indicated. Details of transferred tax/net capital losses deducted absent</assert>

    </rule>


    <rule context="xbrli:xbrl/xbrli:context[./xbrli:period/xbrli:startDate and ./xbrli:period/xbrli:endDate and ./xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 1 and 
                           count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and matches(.,'.*:Transferor\d{0,4}')]) = 1 
]]">

      <let name="TRFR.ContextId_local"
           value="./@id"
           as="xs:string*" />
      <let name="TRFR.Identifier_local"
           value="./xbrli:entity/xbrli:identifier/text()"
           as="xs:string*" />
      <let name="TRFR.Identifier.Scheme_local"
           value="./xbrli:entity/xbrli:identifier/@scheme"
           as="xs:string*" />
      <let name="TRFR.Identifier.TFN_local"
           value="./xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn']/text()"
           as="xs:string*" />
      <let name="TRFR.Context.StartDate_local"
           value="./xbrli:period/xbrli:startDate/text()"
           as="xs:date*"  />
      <let name="TRFR.Context.EndDate_local"
           value="./xbrli:period/xbrli:endDate/text()"
           as="xs:date*" />
      <let name="CGLS14_local"
           value="key('TRFRFacts', concat('TRFR.ContextId_local', 'Identifiers.TaxFileNumber.Identifier'))"
           as="xs:string*" />
      <let name="CGLS108_local"
           value="key('TRFRFacts', concat('TRFR.ContextId_local', 'Tax.Losses.TransferredDeducted.Fraction'))"
           as="xs:decimal*" />
      <let name="CGLS109_local"
           value="key('TRFRFacts', concat('TRFR.ContextId_local', 'Tax.Losses.TransferredDeducted.Amount'))"
           as="xs:decimal*" />
      <let name="CGLS29_local"
           value="key('TRFRFacts', concat('TRFR.ContextId_local', 'Identifiers.TaxFileNumber.Identifier'))"
           as="xs:string*" />
      <let name="CGLS113_local"
           value="key('TRFRFacts', concat('TRFR.ContextId_local', 'Capital.Losses.TransferredApplied.Fraction'))"
           as="xs:decimal*" />
      <let name="CGLS114_local"
           value="key('TRFRFacts', concat('TRFR.ContextId_local', 'Capital.Losses.TransferredApplied.Amount'))"
           as="xs:decimal*" />


      <!--  VR.ATO.CGLS.404037 ()

Pre harmonised Rule:

IN CONTEXT(TRFR)IF ^CGLS108 = NULL AND ^CGLS113 = NULL  
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^CGLS108 = NULL AND ^CGLS113 = NULL

Data Elements:

TRFR:^CGLS108 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction

TRFR:^CGLS113 = rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction

-->


      <!--<assert id="VR.ATO.CGLS.404037"
              diagnostics="D100VR.ATO.CGLS.404037"
              subject="subject"
              test="not((exists(($CGLS108_local)[1]) = false() and exists(($CGLS113_local)[1]) = false()))"  >A valid available fraction and amount must be supplied with the TFN</assert>-->

      <assert id="VR.ATO.CGLS.404037"
              diagnostics="D100VR.ATO.CGLS.404037"
              subject="subject"
              test="not((exists(($CGLS108)[1]) = false() and exists(($CGLS113)[1]) = false()))"  >A valid available fraction and amount must be supplied with the TFN</assert>

      


      <!--  VR.ATO.CGLS.404220 ()

Pre harmonised Rule:

IN CONTEXT(TRFR)IF ^CGLS108 = NULL AND ^CGLS109 <> NULL  
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^CGLS108 = NULL AND ^CGLS109 <> NULL

Data Elements:

TRFR:^CGLS108 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction

TRFR:^CGLS109 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount

-->


      <!--<assert id="VR.ATO.CGLS.404220"
              diagnostics="D101VR.ATO.CGLS.404220"
              subject="subject"
              test="not((exists(($CGLS108_local)[1]) = false() and exists(($CGLS109_local)[1]) != false()))"  >Each transferred amount of tax loss deducted must have a corresponding available fraction</assert>-->

      <assert id="VR.ATO.CGLS.404220"
              diagnostics="D101VR.ATO.CGLS.404220"
              subject="subject"
              test="not((exists(($CGLS108)[1]) = false() and exists(($CGLS109)[1]) != false()))"  >Each transferred amount of tax loss deducted must have a corresponding available fraction</assert>


      <!--  VR.ATO.CGLS.404225 ()

Pre harmonised Rule:

IN CONTEXT(TRFR)IF ^CGLS108 <> NULL AND ^CGLS109 = NULL
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^CGLS108 <> NULL AND ^CGLS109 = NULL

Data Elements:

TRFR:^CGLS109 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount

TRFR:^CGLS108 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction

-->


      <!--<assert id="VR.ATO.CGLS.404225"
              diagnostics="D108VR.ATO.CGLS.404225"
              subject="subject"
              test="not((exists(($CGLS108_local)[1]) != false() and exists(($CGLS109_local)[1]) = false()))"  >Each available fraction must have a corresponding transferred tax loss deducted amount</assert>-->

      <assert id="VR.ATO.CGLS.404225"
              diagnostics="D108VR.ATO.CGLS.404225"
              subject="subject"
              test="not((count($CGLS109) = 0 and count($CGLS108)!= 0))"  >Each available fraction must have a corresponding transferred tax loss deducted amount</assert>


      <!--  VR.ATO.CGLS.404227 ()

Pre harmonised Rule:

IN CONTEXT(TRFR)IF ^CGLS113 = NULL AND ^CGLS114 <> NULL  
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^CGLS113 = NULL AND ^CGLS114 <> NULL

Data Elements:

TRFR:^CGLS113 = rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction

TRFR:^CGLS114 = rvctc3.02.15:Capital.Losses.TransferredApplied.Amount

-->


      <!--<assert id="VR.ATO.CGLS.404227"
              diagnostics="D110VR.ATO.CGLS.404227"
              subject="subject"
              test="not((exists(($CGLS113_local)[1]) = false() and exists(($CGLS114_local)[1]) != false()))"  >Each transferred net capital loss applied amount must have a corresponding available fraction</assert>-->
      <assert id="VR.ATO.CGLS.404227"
              diagnostics="D110VR.ATO.CGLS.404227"
              subject="subject"
              test="not((count($CGLS113) = 0 and count($CGLS114)!= 0))"  >Each transferred net capital loss applied amount must have a corresponding available fraction</assert>


      <!--  VR.ATO.CGLS.404230 ()

Pre harmonised Rule:

IN CONTEXT(TRFR)IF ^CGLS113 <> NULL AND ^CGLS114 = NULL  
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^CGLS113 <> NULL AND ^CGLS114 = NULL

Data Elements:

TRFR:^CGLS114 = rvctc3.02.15:Capital.Losses.TransferredApplied.Amount

TRFR:^CGLS113 = rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction

-->


      <!--<assert id="VR.ATO.CGLS.404230"
              diagnostics="D113VR.ATO.CGLS.404230"
              subject="subject"
              test="not((exists(($CGLS113_local)[1]) != false() and exists(($CGLS114_local)[1]) = false()))"  >Each available fraction must have a corresponding transferred net capital loss applied amount</assert>-->
      <assert id="VR.ATO.CGLS.404230"
              diagnostics="D113VR.ATO.CGLS.404230"
              subject="subject"
              test="not((count($CGLS113) != 0 and count($CGLS114) = 0))"  >Each available fraction must have a corresponding transferred net capital loss applied amount</assert>
      
      

    </rule>



  </pattern>


  <pattern id="Mandatory">

    <rule context="xbrli:xbrl">



      <!--  VR.ATO.CGLS.404130 ()

Pre harmonised Rule:

IF ^CGLS36= NULL                                                                                                                                                                                                                           
    RETURN VALIDATION MESSAGE
ENDIF

Harmonised Rule:

^CGLS36= NULL

Data Elements:

RP:^CGLS36 = rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator

-->


      <assert id="VR.ATO.CGLS.404130"
              diagnostics="D31VR.ATO.CGLS.404130"
              subject="subject"
              test="not((exists(($CGLS36)[1]) = false()))"  >Mandatory field not supplied</assert>

    </rule>



  </pattern>


  <phase id="Prerequisites">
    <active pattern="ContextVariables" />
    <active pattern="ElementVariables" />
    <active pattern="Context" />
    <active pattern="Format" />
  </phase>


  <phase id="Mandatories">
    <active pattern="ContextVariables" />
    <active pattern="ElementVariables" />
    <active pattern="Mandatory" />
  </phase>


  <phase id="Content">
    <active pattern="ContextVariables" />
    <active pattern="ElementVariables" />
    <active pattern="Validation" />
    <active pattern="Crossfield" />
  </phase>


  <phase id="Full">
    <active pattern="ContextVariables" />
    <active pattern="ElementVariables" />
    <active pattern="Context" />
    <active pattern="Validation" />
    <active pattern="Format" />
    <active pattern="Crossfield" />
    <active pattern="Mandatory" />
  </phase>



  <diagnostics>

    <diagnostic id="D1VR.ATO.CGLS.404038">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404038</Code>
        <Description>The total number of transferor details that can be supplied is 12</Description>
        <Location>
          /<xsl:value-of select="function:PathToNode($TRFR.ContextFirst)" />
        </Location>
        <Parameters>
          <Parameter>
            <Name>Context-TRFR</Name>
            <Value>
              <xsl:value-of select="$TRFR.ContextId"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>Context-TRFR-Id</Name>
            <Value>
              <xsl:value-of select="$TRFR.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404038</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D2VR.ATO.CGLS.404039">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404039</Code>
        <Description>The total number of joining entity details that can be supplied is 4</Description>
        <Location>
          /<xsl:value-of select="function:PathToNode($JE.ContextFirst)" />
        </Location>
        <Parameters>
          <Parameter>
            <Name>Context-JE</Name>
            <Value>
              <xsl:value-of select="$JE.ContextId"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>Context-JE-Id</Name>
            <Value>
              <xsl:value-of select="$JE.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404039</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D3VR.ATO.CGLS.404040">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.200007</Code>
        <Description>Invalid XBRL schema</Description>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPCOTT.ContextFirst)" />
        </Location>
        <Parameters>
          <Parameter>
            <Name>Context-RPCOTT</Name>
            <Value>
              <xsl:value-of select="$RPCOTT.ContextId"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>Context-RPCOTT-Id</Name>
            <Value>
              <xsl:value-of select="$RPCOTT.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404040</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D4VR.ATO.CGLS.404041">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.200007</Code>
        <Description>Invalid XBRL schema</Description>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPCOTP.ContextFirst)" />
        </Location>
        <Parameters>
          <Parameter>
            <Name>Context-RPCOTP</Name>
            <Value>
              <xsl:value-of select="$RPCOTP.ContextId"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>Context-RPCOTP-Id</Name>
            <Value>
              <xsl:value-of select="$RPCOTP.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404041</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D5VR.ATO.CGLS.404042">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.200007</Code>
        <Description>Invalid XBRL schema</Description>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPCOTF.ContextFirst)" />
        </Location>
        <Parameters>
          <Parameter>
            <Name>Context-RPCOTF</Name>
            <Value>
              <xsl:value-of select="$RPCOTF.ContextId"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>Context-RPCOTF-Id</Name>
            <Value>
              <xsl:value-of select="$RPCOTF.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404042</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D6VR.ATO.CGLS.404043">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.200007</Code>
        <Description>Invalid XBRL schema</Description>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPGRP.ContextFirst)" />
        </Location>
        <Parameters>
          <Parameter>
            <Name>Context-RPGRP</Name>
            <Value>
              <xsl:value-of select="$RPGRP.ContextId"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>Context-RPGRP-Id</Name>
            <Value>
              <xsl:value-of select="$RPGRP.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404043</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D7VR.ATO.CGLS.404044">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.200007</Code>
        <Description>Invalid XBRL schema</Description>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPTRFD.ContextFirst)" />
        </Location>
        <Parameters>
          <Parameter>
            <Name>Context-RPTRFD</Name>
            <Value>
              <xsl:value-of select="$RPTRFD.ContextId"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>Context-RPTRFD-Id</Name>
            <Value>
              <xsl:value-of select="$RPTRFD.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404044</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D8VR.ATO.CGLS.404045">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.200007</Code>
        <Description>Invalid XBRL schema</Description>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPTOT.ContextFirst)" />
        </Location>
        <Parameters>
          <Parameter>
            <Name>Context-RPTOT</Name>
            <Value>
              <xsl:value-of select="$RPTOT.ContextId"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>Context-RPTOT-Id</Name>
            <Value>
              <xsl:value-of select="$RPTOT.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404045</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D9VR.ATO.CGLS.404113">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.200007</Code>
        <Description>Invalid XBRL schema</Description>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPY0.ContextFirst)" />
        </Location>
        <Parameters>
          <Parameter>
            <Name>Context-RPY0</Name>
            <Value>
              <xsl:value-of select="$RPY0.ContextId"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>Context-RPY0-Id</Name>
            <Value>
              <xsl:value-of select="$RPY0.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404113</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D10VR.ATO.CGLS.404114">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.200007</Code>
        <Description>Invalid XBRL schema</Description>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPY0Minus1.ContextFirst)" />
        </Location>
        <Parameters>
          <Parameter>
            <Name>Context-RPY0Minus1</Name>
            <Value>
              <xsl:value-of select="$RPY0Minus1.ContextId"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>Context-RPY0Minus1-Id</Name>
            <Value>
              <xsl:value-of select="$RPY0Minus1.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404114</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D11VR.ATO.CGLS.404115">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.200007</Code>
        <Description>Invalid XBRL schema</Description>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPY0Minus2.ContextFirst)" />
        </Location>
        <Parameters>
          <Parameter>
            <Name>Context-RPY0Minus2</Name>
            <Value>
              <xsl:value-of select="$RPY0Minus2.ContextId"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>Context-RPY0Minus2-Id</Name>
            <Value>
              <xsl:value-of select="$RPY0Minus2.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404115</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D12VR.ATO.CGLS.404116">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.200007</Code>
        <Description>Invalid XBRL schema</Description>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPY0Minus3.ContextFirst)" />
        </Location>
        <Parameters>
          <Parameter>
            <Name>Context-RPY0Minus3</Name>
            <Value>
              <xsl:value-of select="$RPY0Minus3.ContextId"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>Context-RPY0Minus3-Id</Name>
            <Value>
              <xsl:value-of select="$RPY0Minus3.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404116</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D13VR.ATO.CGLS.404117">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.200007</Code>
        <Description>Invalid XBRL schema</Description>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPY0Minus4P.ContextFirst)" />
        </Location>
        <Parameters>
          <Parameter>
            <Name>Context-RPY0Minus4P</Name>
            <Value>
              <xsl:value-of select="$RPY0Minus4P.ContextId"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>Context-RPY0Minus4P-Id</Name>
            <Value>
              <xsl:value-of select="$RPY0Minus4P.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404117</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D14VR.ATO.CGLS.404131">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.428016</Code>
        <Description>Tax File Number has failed the algorithm check</Description>
        <Location>
          /<xsl:value-of select="function:PathToNode($TRFR.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>TFN-TRFR</Name>
            <Value>
              <xsl:value-of select="$TRFR.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-TRFR-Id</Name>
            <Value>
              <xsl:value-of select="$TRFR.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404131</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D15VR.ATO.CGLS.404133">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.428016</Code>
        <Description>Tax File Number has failed the algorithm check</Description>
        <Location>
          /<xsl:value-of select="function:PathToNode($JE.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>TFN-JE</Name>
            <Value>
              <xsl:value-of select="$JE.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-JE-Id</Name>
            <Value>
              <xsl:value-of select="$JE.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404133</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D16VR.ATO.CGLS.404134">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001023</Code>
        <Description>Unexpected TFN mismatch with Reporting Party</Description>
        <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RP.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>OtherTFN-RPCOTP</Name>
            <Value>
              <xsl:value-of select="$RPCOTP.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>OtherTFN-RPCOTP-Id</Name>
            <Value>
              <xsl:value-of select="$RPCOTP.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP-Id</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404134</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D17VR.ATO.CGLS.404139">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404053</Code>
        <Description>TRFR context TFN duplicated. Unique TFN required</Description>
        <LongDescription>TRFR context TFN duplicated. Unique TFN required</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($TRFR.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>TFN-TRFR</Name>
            <Value>
              <xsl:value-of select="$TRFR.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-TRFR-Id</Name>
            <Value>
              <xsl:value-of select="$TRFR.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404139</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D18VR.ATO.CGLS.404140">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404054</Code>
        <Description>JE context TFN duplicated. Unique TFN required</Description>
        <LongDescription>JE context TFN duplicated. Unique TFN required</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($JE.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>TFN-JE</Name>
            <Value>
              <xsl:value-of select="$JE.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-JE-Id</Name>
            <Value>
              <xsl:value-of select="$JE.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404140</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D19VR.ATO.CGLS.404200">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404200</Code>
        <Description>Transferor TFNs supplied for transferred tax losses deducted cannot exceed 6</Description>
        <Location>/xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS108</Name>
            <Value>
              <xsl:value-of select="$CGLS108"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404200</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D20VR.ATO.CGLS.404201">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404201</Code>
        <Description>Transferor TFNs supplied for transferred capital losses applied cannot exceed 6</Description>
        <Location>/xbrli:xbrl/rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS113</Name>
            <Value>
              <xsl:value-of select="$CGLS113"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404201</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D21VR.ATO.CGLS.404300">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.200007</Code>
        <Description>Invalid XBRL schema</Description>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPGRPInstant.ContextFirst)" />
        </Location>
        <Parameters>
          <Parameter>
            <Name>Context-RPGRPInstant</Name>
            <Value>
              <xsl:value-of select="$RPGRPInstant.ContextId"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>Context-RPGRPInstant-Id</Name>
            <Value>
              <xsl:value-of select="$RPGRPInstant.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404300</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D22VR.ATO.CGLS.404301">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.200007</Code>
        <Description>Invalid XBRL schema</Description>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPTRFDInstant.ContextFirst)" />
        </Location>
        <Parameters>
          <Parameter>
            <Name>Context-RPTRFDInstant</Name>
            <Value>
              <xsl:value-of select="$RPTRFDInstant.ContextId"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>Context-RPTRFDInstant-Id</Name>
            <Value>
              <xsl:value-of select="$RPTRFDInstant.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404301</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D23VR.ATO.CGLS.404302">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.200007</Code>
        <Description>Invalid XBRL schema</Description>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPTOTInstant.ContextFirst)" />
        </Location>
        <Parameters>
          <Parameter>
            <Name>Context-RPTOTInstant</Name>
            <Value>
              <xsl:value-of select="$RPTOTInstant.ContextId"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>Context-RPTOTInstant-Id</Name>
            <Value>
              <xsl:value-of select="$RPTOTInstant.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404302</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D24VR.ATO.GEN.000208">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.200007</Code>
        <Description>Invalid XBRL schema</Description>
        <Location>
          /<xsl:value-of select="function:PathToNode($RP.ContextFirst)" />
        </Location>
        <Parameters>
          <Parameter>
            <Name>Context-RP</Name>
            <Value>
              <xsl:value-of select="$RP.ContextId"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>Context-RP-Id</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.GEN.000208</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D25VR.ATO.GEN.001021">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001021</Code>
        <Description>Invalid identifier scheme.</Description>
        <LongDescription>Invalid identifier scheme.  Indentifier scheme must be set to &quot;http://www.ato.gov.au/tfn&quot;</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RP.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>IdentifierScheme-RP</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier.Scheme"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>IdentifierScheme-RP-Id</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.GEN.001021</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D26VR.ATO.CGLS.404073">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS38</Name>
            <Value>
              <xsl:value-of select="($CGLS38_local,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404073</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D27VR.ATO.CGLS.404143">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404057</Code>
        <Description>Cancelled transfer of loss amount must be supplied</Description>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS38</Name>
            <Value>
              <xsl:value-of select="($CGLS38_local)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404143</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D28VR.ATO.GEN.410049">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.410049</Code>
        <Description>Organisation Name Type Code must be &#39;MN&#39;</Description>
        <Location>
          /<xsl:value-of select="function:PathToNode(self::node())" />/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code
        </Location>
        <Parameters>
          <Parameter>
            <Name>OrganisationNameDetails.OrganisationalNameType.Code</Name>
            <Value>
              <xsl:value-of select="(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.GEN.410049</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D29VR.ATO.CGLS.404022">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404022</Code>
        <Description>Head company has cancelled the transfer of a loss. Details of cancellation are absent or incomplete</Description>
        <LongDescription>The head company has cancelled the transfer of a loss however (Details of cancellation of transfer of losses - Joining entity TFN) and (Details of cancellation of transfer of losses - Amount) are absent or incomplete</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS36</Name>
            <Value>
              <xsl:value-of select="($CGLS36)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>Context-JE</Name>
            <Value>
              <xsl:value-of select="$JE.ContextId"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>Context-JE-Id</Name>
            <Value>
              <xsl:value-of select="$JE.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404022</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D30VR.ATO.CGLS.404023">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404023</Code>
        <Description>Head company has not cancelled the transfer of a loss. Details of cancellation completed</Description>
        <LongDescription>The head company has not cancelled the transfer of a loss. (Details of cancellation of transfer of losses - joining entity TFN) and (Details of cancellation of transfer of losses - Amount) must not be completed</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS36</Name>
            <Value>
              <xsl:value-of select="($CGLS36)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-JE</Name>
            <Value>
              <xsl:value-of select="$JE.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-JE-Id</Name>
            <Value>
              <xsl:value-of select="$JE.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS38</Name>
            <Value>
              <xsl:value-of select="($CGLS38_local)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404023</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D31VR.ATO.CGLS.404130">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001001</Code>
        <Description>Mandatory field not supplied</Description>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS36</Name>
            <Value>
              <xsl:value-of select="($CGLS36)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404130</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D32VR.ATO.CGLS.404204">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS117</Name>
            <Value>
              <xsl:value-of select="($CGLS117,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404204</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D33VR.ATO.CGLS.404205">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS118</Name>
            <Value>
              <xsl:value-of select="($CGLS118,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404205</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D34VR.ATO.CGLS.404202">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.00:Tax.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS115</Name>
            <Value>
              <xsl:value-of select="($CGLS115,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404202</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D35VR.ATO.CGLS.404203">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Capital.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS116</Name>
            <Value>
              <xsl:value-of select="($CGLS116,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404203</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D36VR.ATO.CGLS.404270">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.22:Tax.Losses.CarriedForward.ComplyingSuperannuationClass.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS119</Name>
            <Value>
              <xsl:value-of select="($CGLS119,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404270</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D37VR.ATO.CGLS.404271">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.22:Capital.Losses.CarriedForward.ComplyingSuperannuationClassNet.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS120</Name>
            <Value>
              <xsl:value-of select="($CGLS120,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404271</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D38VR.ATO.CGLS.404100">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.04:Tax.Losses.ControlledForeignCompany.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS82</Name>
            <Value>
              <xsl:value-of select="($CGLS82,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404100</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D39VR.ATO.CGLS.404089">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.ControlledForeignCompanyDeducted.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS69</Name>
            <Value>
              <xsl:value-of select="($CGLS69,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404089</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D40VR.ATO.CGLS.404090">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.CarriedForward.ControlledForeignCompany.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS70</Name>
            <Value>
              <xsl:value-of select="($CGLS70,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404090</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D41VR.ATO.CGLS.404124">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS83</Name>
            <Value>
              <xsl:value-of select="($CGLS83,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404124</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D42VR.ATO.CGLS.404145">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404145</Code>
        <Description>Amounts in the tax losses reconciliation statement for consolidated groups are incorrect</Description>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS94</Name>
            <Value>
              <xsl:value-of select="($CGLS94)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS86</Name>
            <Value>
              <xsl:value-of select="($CGLS86)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS89</Name>
            <Value>
              <xsl:value-of select="($CGLS89)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS90</Name>
            <Value>
              <xsl:value-of select="($CGLS90)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS91</Name>
            <Value>
              <xsl:value-of select="($CGLS91)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS92</Name>
            <Value>
              <xsl:value-of select="($CGLS92)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS104</Name>
            <Value>
              <xsl:value-of select="($CGLS104)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS83</Name>
            <Value>
              <xsl:value-of select="($CGLS83,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS85</Name>
            <Value>
              <xsl:value-of select="($CGLS85,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS87</Name>
            <Value>
              <xsl:value-of select="($CGLS87,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS88</Name>
            <Value>
              <xsl:value-of select="($CGLS88,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404145</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D43VR.ATO.CGLS.404146">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404146</Code>
        <Description>Total tax losses carried forward to later income years is incorrect</Description>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS83</Name>
            <Value>
              <xsl:value-of select="($CGLS83)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS104</Name>
            <Value>
              <xsl:value-of select="($CGLS104)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS85</Name>
            <Value>
              <xsl:value-of select="($CGLS85)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS94</Name>
            <Value>
              <xsl:value-of select="($CGLS94)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS86</Name>
            <Value>
              <xsl:value-of select="($CGLS86)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS87</Name>
            <Value>
              <xsl:value-of select="($CGLS87)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS88</Name>
            <Value>
              <xsl:value-of select="($CGLS88)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS89</Name>
            <Value>
              <xsl:value-of select="($CGLS89)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS90</Name>
            <Value>
              <xsl:value-of select="($CGLS90)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS91</Name>
            <Value>
              <xsl:value-of select="($CGLS91)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS92</Name>
            <Value>
              <xsl:value-of select="($CGLS92)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS93</Name>
            <Value>
              <xsl:value-of select="($CGLS93)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404146</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D44VR.ATO.CGLS.404206">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.14:Tax.Losses.Uplift.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS104</Name>
            <Value>
              <xsl:value-of select="($CGLS104,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404206</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D45VR.ATO.CGLS.404102">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS85</Name>
            <Value>
              <xsl:value-of select="($CGLS85,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404102</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D46VR.ATO.CGLS.404123">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS94</Name>
            <Value>
              <xsl:value-of select="($CGLS94,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404123</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D47VR.ATO.CGLS.404103">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS86</Name>
            <Value>
              <xsl:value-of select="($CGLS86,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404103</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D48VR.ATO.CGLS.404104">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.Incurred.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS87</Name>
            <Value>
              <xsl:value-of select="($CGLS87,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404104</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D49VR.ATO.CGLS.404105">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS88</Name>
            <Value>
              <xsl:value-of select="($CGLS88,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404105</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D50VR.ATO.CGLS.404106">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS89</Name>
            <Value>
              <xsl:value-of select="($CGLS89,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404106</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D51VR.ATO.CGLS.404107">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.Forgone.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS90</Name>
            <Value>
              <xsl:value-of select="($CGLS90,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404107</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D52VR.ATO.CGLS.404108">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.00:Tax.Losses.Total.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS91</Name>
            <Value>
              <xsl:value-of select="($CGLS91,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404108</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D53VR.ATO.CGLS.404109">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredOut.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS92</Name>
            <Value>
              <xsl:value-of select="($CGLS92,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404109</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D54VR.ATO.CGLS.404110">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS93</Name>
            <Value>
              <xsl:value-of select="($CGLS93,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404110</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D55VR.ATO.CGLS.404000">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404000</Code>
        <Description>Same business tax/net capital loss transferred from joining entities present. Part C1 not completed</Description>
        <LongDescription>Same business tax/net capital losses transferred from joining entities present however the total amount(s) of losses, which first failed the continuity of ownership or control tests, have not been entered against the relevant income year(s) listed</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS6</Name>
            <Value>
              <xsl:value-of select="($CGLS6,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS9</Name>
            <Value>
              <xsl:value-of select="($CGLS9,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS21</Name>
            <Value>
              <xsl:value-of select="($CGLS21,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS24</Name>
            <Value>
              <xsl:value-of select="($CGLS24,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS39</Name>
            <Value>
              <xsl:value-of select="($CGLS39)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS40</Name>
            <Value>
              <xsl:value-of select="($CGLS40)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS41</Name>
            <Value>
              <xsl:value-of select="($CGLS41)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS42</Name>
            <Value>
              <xsl:value-of select="($CGLS42)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS43</Name>
            <Value>
              <xsl:value-of select="($CGLS43)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404000</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D56VR.ATO.CGLS.404048">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS6</Name>
            <Value>
              <xsl:value-of select="($CGLS6,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404048</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D57VR.ATO.CGLS.404051">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS9</Name>
            <Value>
              <xsl:value-of select="($CGLS9,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404051</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D58VR.ATO.CGLS.404061">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS21</Name>
            <Value>
              <xsl:value-of select="($CGLS21,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404061</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D59VR.ATO.CGLS.404064">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS24</Name>
            <Value>
              <xsl:value-of select="($CGLS24,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404064</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D60VR.ATO.CGLS.404047">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS5</Name>
            <Value>
              <xsl:value-of select="($CGLS5,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404047</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D61VR.ATO.CGLS.404050">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS8</Name>
            <Value>
              <xsl:value-of select="($CGLS8,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404050</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D62VR.ATO.CGLS.404060">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS20</Name>
            <Value>
              <xsl:value-of select="($CGLS20,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404060</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D63VR.ATO.CGLS.404063">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS23</Name>
            <Value>
              <xsl:value-of select="($CGLS23,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404063</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D64VR.ATO.CGLS.404049">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS7</Name>
            <Value>
              <xsl:value-of select="($CGLS7,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404049</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D65VR.ATO.CGLS.404052">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS10</Name>
            <Value>
              <xsl:value-of select="($CGLS10,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404052</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D66VR.ATO.CGLS.404062">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS22</Name>
            <Value>
              <xsl:value-of select="($CGLS22,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404062</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D67VR.ATO.CGLS.404065">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS25</Name>
            <Value>
              <xsl:value-of select="($CGLS25,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404065</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D68VR.ATO.CGLS.404207">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404207</Code>
        <Description>Sum of group and transferred tax losses deducted must equal tax losses deducted total</Description>
        <LongDescription>The sum of (Tax losses deducted - Group) and (Tax losses deducted - Transferred) must equal (Tax losses deducted - Total)</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.15:Tax.Losses.Deducted.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS105</Name>
            <Value>
              <xsl:value-of select="($CGLS105,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS106</Name>
            <Value>
              <xsl:value-of select="($CGLS106,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS107</Name>
            <Value>
              <xsl:value-of select="($CGLS107,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404207</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D69VR.ATO.CGLS.404208">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.15:Tax.Losses.Deducted.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS105</Name>
            <Value>
              <xsl:value-of select="($CGLS105,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404208</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D70VR.ATO.CGLS.404010">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404010</Code>
        <Description>Sum of tax losses carried forward must equal total tax losses carried forward</Description>
        <LongDescription>The sum of (Tax losses carried forward to later income years - Group) and (Tax losses carried forward to later income years - Transferred) must equal (Tax losses carried forward to later income years - Total)</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS17</Name>
            <Value>
              <xsl:value-of select="($CGLS17,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS18</Name>
            <Value>
              <xsl:value-of select="($CGLS18,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS19</Name>
            <Value>
              <xsl:value-of select="($CGLS19,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404010</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D71VR.ATO.CGLS.404057">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS17</Name>
            <Value>
              <xsl:value-of select="($CGLS17,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404057</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D72VR.ATO.CGLS.404209">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404209</Code>
        <Description>The sum of net capital losses applied fields must equal the total of net capital losses applied</Description>
        <LongDescription>The sum of (Net capital losses applied - Group) and (Net capital losses applied - Transferred) must equal (Net capital losses applied - Total)</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.15:Capital.Losses.AppliedNet.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS110</Name>
            <Value>
              <xsl:value-of select="($CGLS110,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS111</Name>
            <Value>
              <xsl:value-of select="($CGLS111,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS112</Name>
            <Value>
              <xsl:value-of select="($CGLS112,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404209</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D73VR.ATO.CGLS.404210">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.15:Capital.Losses.AppliedNet.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS110</Name>
            <Value>
              <xsl:value-of select="($CGLS110,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404210</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D74VR.ATO.CGLS.404019">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404019</Code>
        <Description>Sum of net capital losses carried forward must equal total net capital losses carried forward</Description>
        <LongDescription>The sum of (Net capital losses carried forward to later income years - Group) and (Net capital losses carried forward to later income years - Transferred) must equal (Net capital losses carried forward to later income years - Total)</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS32</Name>
            <Value>
              <xsl:value-of select="($CGLS32,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS33</Name>
            <Value>
              <xsl:value-of select="($CGLS33,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS34</Name>
            <Value>
              <xsl:value-of select="($CGLS34,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404019</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D75VR.ATO.CGLS.404070">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS32</Name>
            <Value>
              <xsl:value-of select="($CGLS32,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404070</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D76VR.ATO.CGLS.404208">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.15:Tax.Losses.Deducted.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS107</Name>
            <Value>
              <xsl:value-of select="($CGLS107,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404208</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D77VR.ATO.CGLS.404211">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404211</Code>
        <Description>Tax losses deducted after consolidation cannot exceed tax losses deducted - total</Description>
        <LongDescription>(Amount of tax losses deducted after consolidation which failed the continuity of ownership test but satisfied the same business test) cannot exceed (Tax losses deducted - Total)</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.15:Tax.Losses.Deducted.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS115</Name>
            <Value>
              <xsl:value-of select="($CGLS115)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS107</Name>
            <Value>
              <xsl:value-of select="($CGLS107,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404211</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D78VR.ATO.CGLS.404012">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404012</Code>
        <Description>Tax losses carried forward - (same business test passed) exceeds total tax losses carried forward</Description>
        <LongDescription>(Amount of tax losses carried forward to later income years which the same business test satisfied) cannot exceed (Tax losses carried forward to later income years - Total)</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS117</Name>
            <Value>
              <xsl:value-of select="($CGLS117)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS19</Name>
            <Value>
              <xsl:value-of select="($CGLS19,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404012</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D79VR.ATO.CGLS.404013">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404013</Code>
        <Description>(Tax losses carried forward to later income years - Total) must equal Part F label K</Description>
        <LongDescription>(Tax losses carried forward to later income years - Total) must be equal to (Tax losses reconciliation for consolidated groups - Total tax losses carried forward to later income years)</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS19</Name>
            <Value>
              <xsl:value-of select="($CGLS19)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS93</Name>
            <Value>
              <xsl:value-of select="($CGLS93)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404013</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D80VR.ATO.CGLS.404059">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS19</Name>
            <Value>
              <xsl:value-of select="($CGLS19,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404059</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D81VR.ATO.CGLS.404210">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.15:Capital.Losses.AppliedNet.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS112</Name>
            <Value>
              <xsl:value-of select="($CGLS112,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404210</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D82VR.ATO.CGLS.404213">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404213</Code>
        <Description>(Net capital losses applied - Total) cannot exceed Part C label P</Description>
        <LongDescription>Amount of (Net capital losses applied after consolidation which the continuity of ownership test failed but satisfied the same business test) cannot exceed (Net capital losses applied - Total)</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.15:Capital.Losses.AppliedNet.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS116</Name>
            <Value>
              <xsl:value-of select="($CGLS116)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS112</Name>
            <Value>
              <xsl:value-of select="($CGLS112,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404213</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D83VR.ATO.CGLS.404021">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404021</Code>
        <Description>Capital losses carried forward - (same business test passed) exceeds capital losses carried forward</Description>
        <LongDescription>(Amount of net capital losses carried forward to later income years for which the same business test satisfied) cannot exceed (Net capital losses carried forward to later income years - Total)</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS118</Name>
            <Value>
              <xsl:value-of select="($CGLS118)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS34</Name>
            <Value>
              <xsl:value-of select="($CGLS34,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404021</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D84VR.ATO.CGLS.404072">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS34</Name>
            <Value>
              <xsl:value-of select="($CGLS34,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404072</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D85VR.ATO.CGLS.404208">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.15:Tax.Losses.Deducted.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS106</Name>
            <Value>
              <xsl:value-of select="($CGLS106,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404208</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D86VR.ATO.CGLS.404214">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404214</Code>
        <Description>(Tax losses deducted - Transferred) greater than zero. Transferor details required.</Description>
        <LongDescription>The sum of (Tax losses deducted - Group) and (Tax losses deducted - Transferred) must equal (Tax losses deducted - Total)</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.15:Tax.Losses.Deducted.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS106</Name>
            <Value>
              <xsl:value-of select="($CGLS106,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS108</Name>
            <Value>
              <xsl:value-of select="$CGLS108"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404214</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D87VR.ATO.CGLS.404215">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404215</Code>
        <Description>Transferor details present. Tax losses deducted - transferred is absent or equal to zero</Description>
        <LongDescription>Details of transferor TFN, available fraction and amount are present however an amount for (Tax losses deducted - Transferred) is absent or equal to zero</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.15:Tax.Losses.Deducted.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS108</Name>
            <Value>
              <xsl:value-of select="$CGLS108"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS106</Name>
            <Value>
              <xsl:value-of select="($CGLS106)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404215</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D88VR.ATO.CGLS.404216">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404216</Code>
        <Description>The sum of transferred tax losses deducted - amounts cannot exceed tax losses deducted - transferred</Description>
        <LongDescription>The sum of (Transferred tax losses deducted - Amounts) cannot exceed (Tax losses deducted - Transferred)</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.15:Tax.Losses.Deducted.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS109</Name>
            <Value>
              <xsl:value-of select="$CGLS109"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS106</Name>
            <Value>
              <xsl:value-of select="($CGLS106,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404216</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D89VR.ATO.CGLS.404058">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS18</Name>
            <Value>
              <xsl:value-of select="($CGLS18,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404058</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D90VR.ATO.CGLS.404210">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.15:Capital.Losses.AppliedNet.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS111</Name>
            <Value>
              <xsl:value-of select="($CGLS111,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404210</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D91VR.ATO.CGLS.404217">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404217</Code>
        <Description>Net capital losses applied - transferred completed. Transferor details absent or incomplete</Description>
        <LongDescription>(Net capital losses applied - Transferred) completed and (Transferred net capital losses applied - Transferor TFN), (Transferred net capital losses applied - Available fraction) and (Transferred net capital losses applied - Amount) absent or incomplete</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.15:Capital.Losses.AppliedNet.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS111</Name>
            <Value>
              <xsl:value-of select="($CGLS111,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS113</Name>
            <Value>
              <xsl:value-of select="$CGLS113"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404217</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D92VR.ATO.CGLS.404218">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404218</Code>
        <Description>Transferor details present. Net capital losses applied - transferred absent or equal to zero</Description>
        <LongDescription>(Transferred net capital losses applied - Transferor TFN), (Transferred net capital losses applied - Available fraction) and (Transferred net capital losses applied - Amount) present and (Net capital losses applied - Transferred) absent or equal to zero</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.15:Capital.Losses.AppliedNet.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS113</Name>
            <Value>
              <xsl:value-of select="$CGLS113"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS111</Name>
            <Value>
              <xsl:value-of select="($CGLS111)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404218</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D93VR.ATO.CGLS.404219">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404219</Code>
        <Description>The sum of transferred net capital losses applied cannot exceed net capital losses applied</Description>
        <LongDescription>The sum of all transferred net capital losses applied cannot exceed (Net capital losses applied - Transferred)</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.15:Capital.Losses.AppliedNet.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS114</Name>
            <Value>
              <xsl:value-of select="$CGLS114"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS111</Name>
            <Value>
              <xsl:value-of select="($CGLS111,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404219</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D94VR.ATO.CGLS.404071">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS33</Name>
            <Value>
              <xsl:value-of select="($CGLS33,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404071</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D95VR.ATO.CGLS.404074">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS39</Name>
            <Value>
              <xsl:value-of select="($CGLS39,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404074</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D96VR.ATO.CGLS.404075">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS40</Name>
            <Value>
              <xsl:value-of select="($CGLS40,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404075</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D97VR.ATO.CGLS.404076">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS41</Name>
            <Value>
              <xsl:value-of select="($CGLS41,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404076</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D98VR.ATO.CGLS.404077">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS42</Name>
            <Value>
              <xsl:value-of select="($CGLS42,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404077</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D99VR.ATO.CGLS.404078">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS43</Name>
            <Value>
              <xsl:value-of select="($CGLS43,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404078</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D100VR.ATO.CGLS.404037">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404037</Code>
        <Description>A valid available fraction and amount must be supplied with the TFN</Description>
        <LongDescription>If a valid Transferor TFN is supplied, then a valid available fraction and amount must be supplied</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS108</Name>
            <Value>
              <xsl:value-of select="($CGLS108_local)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS113</Name>
            <Value>
              <xsl:value-of select="($CGLS113_local)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404037</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D101VR.ATO.CGLS.404220">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404220</Code>
        <Description>Each transferred amount of tax loss deducted must have a corresponding available fraction</Description>
        <Location>/xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS108</Name>
            <Value>
              <xsl:value-of select="($CGLS108_local)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS109</Name>
            <Value>
              <xsl:value-of select="($CGLS109_local)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404220</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D102VR.ATO.CGLS.404221">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404221</Code>
        <Description>Fraction amount for transferred tax losses deducted must be greater than zero</Description>
        <LongDescription>Available fraction amount used for transferred tax losses deducted must be greater than zero</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS108</Name>
            <Value>
              <xsl:value-of select="($CGLS108_local,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404221</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D103VR.ATO.CGLS.404231">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404007</Code>
        <Description>Each occurrence of available fraction must not exceed 1.000</Description>
        <Location>/xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS108</Name>
            <Value>
              <xsl:value-of select="($CGLS108_local,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS113</Name>
            <Value>
              <xsl:value-of select="($CGLS113_local,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404231</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D104VR.ATO.CGLS.404232">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404046</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <Location>/xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS108</Name>
            <Value>
              <xsl:value-of select="($CGLS108_local,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404232</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D105VR.ATO.CGLS.404008">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404222</Code>
        <Description>Details of transferred tax/net capital losses deducted/applied. Apportionment rules applied not indicated</Description>
        <LongDescription>If transferred tax losses deducted or transferred net capital losses applied fields completed then (Were the apportionment rules applied?) must equal yes or no</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS109</Name>
            <Value>
              <xsl:value-of select="$CGLS109"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS114</Name>
            <Value>
              <xsl:value-of select="$CGLS114"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS35</Name>
            <Value>
              <xsl:value-of select="($CGLS35)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404008</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D106VR.ATO.CGLS.404009">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404223</Code>
        <Description>Apportionment rules applied indicated. Details of transferred tax/net capital losses deducted absent</Description>
        <LongDescription>(Were the apportionment rules applied?) equals yes or no however transferred tax losses deducted or transferred net capital losses applied fields have not been completed</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS35</Name>
            <Value>
              <xsl:value-of select="($CGLS35)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>Context-TRFR</Name>
            <Value>
              <xsl:value-of select="$TRFR.ContextId"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>Context-TRFR-Id</Name>
            <Value>
              <xsl:value-of select="$TRFR.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404009</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D107VR.ATO.CGLS.404224">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS109</Name>
            <Value>
              <xsl:value-of select="($CGLS109_local,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404224</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D108VR.ATO.CGLS.404225">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404225</Code>
        <Description>Each available fraction must have a corresponding transferred tax loss deducted amount</Description>
        <Location>/xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS108</Name>
            <Value>
              <xsl:value-of select="($CGLS108_local)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS109</Name>
            <Value>
              <xsl:value-of select="($CGLS109_local)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404225</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D109VR.ATO.CGLS.404226">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404046</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <Location>/xbrli:xbrl/rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS113</Name>
            <Value>
              <xsl:value-of select="($CGLS113_local,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404226</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D110VR.ATO.CGLS.404227">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404227</Code>
        <Description>Each transferred net capital loss applied amount must have a corresponding available fraction</Description>
        <Location>/xbrli:xbrl/rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS113</Name>
            <Value>
              <xsl:value-of select="($CGLS113_local)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS114</Name>
            <Value>
              <xsl:value-of select="($CGLS114_local)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404227</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D111VR.ATO.CGLS.404228">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404228</Code>
        <Description>Fraction amount for transferred net capital losses applied must be greater than zero</Description>
        <Location>/xbrli:xbrl/rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS113</Name>
            <Value>
              <xsl:value-of select="($CGLS113_local,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404228</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D112VR.ATO.CGLS.404229">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.400011</Code>
        <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
        <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
        <Location>/xbrli:xbrl/rvctc3.02.15:Capital.Losses.TransferredApplied.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS114</Name>
            <Value>
              <xsl:value-of select="($CGLS114_local,0)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404229</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D113VR.ATO.CGLS.404230">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404230</Code>
        <Description>Each available fraction must have a corresponding transferred net capital loss applied amount</Description>
        <Location>/xbrli:xbrl/rvctc3.02.15:Capital.Losses.TransferredApplied.Amount</Location>
        <Parameters>
          <Parameter>
            <Name>CGLS113</Name>
            <Value>
              <xsl:value-of select="($CGLS113_local)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>CGLS114</Name>
            <Value>
              <xsl:value-of select="($CGLS114_local)[1]"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404230</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D114VR.ATO.CGLS.404134">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001023</Code>
        <Description>Unexpected TFN mismatch with Reporting Party</Description>
        <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RP.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>OtherTFN-RPCOTF</Name>
            <Value>
              <xsl:value-of select="$RPCOTF.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>OtherTFN-RPCOTF-Id</Name>
            <Value>
              <xsl:value-of select="$RPCOTF.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP-Id</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404134</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D115VR.ATO.CGLS.404134">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001023</Code>
        <Description>Unexpected TFN mismatch with Reporting Party</Description>
        <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RP.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>OtherTFN-RPCOTT</Name>
            <Value>
              <xsl:value-of select="$RPCOTT.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>OtherTFN-RPCOTT-Id</Name>
            <Value>
              <xsl:value-of select="$RPCOTT.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP-Id</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404134</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D116VR.ATO.CGLS.404134">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001023</Code>
        <Description>Unexpected TFN mismatch with Reporting Party</Description>
        <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RP.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>OtherTFN-RPGRP</Name>
            <Value>
              <xsl:value-of select="$RPGRP.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>OtherTFN-RPGRP-Id</Name>
            <Value>
              <xsl:value-of select="$RPGRP.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP-Id</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404134</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D117VR.ATO.CGLS.404134">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001023</Code>
        <Description>Unexpected TFN mismatch with Reporting Party</Description>
        <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RP.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>OtherTFN-RPTRFD</Name>
            <Value>
              <xsl:value-of select="$RPTRFD.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>OtherTFN-RPTRFD-Id</Name>
            <Value>
              <xsl:value-of select="$RPTRFD.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP-Id</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404134</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D118VR.ATO.CGLS.404134">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001023</Code>
        <Description>Unexpected TFN mismatch with Reporting Party</Description>
        <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RP.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>OtherTFN-RPTOT</Name>
            <Value>
              <xsl:value-of select="$RPTOT.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>OtherTFN-RPTOT-Id</Name>
            <Value>
              <xsl:value-of select="$RPTOT.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP-Id</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404134</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D119VR.ATO.CGLS.404134">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001023</Code>
        <Description>Unexpected TFN mismatch with Reporting Party</Description>
        <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RP.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>OtherTFN-RPGRPInstant</Name>
            <Value>
              <xsl:value-of select="$RPGRPInstant.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>OtherTFN-RPGRPInstant-Id</Name>
            <Value>
              <xsl:value-of select="$RPGRPInstant.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP-Id</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404134</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D120VR.ATO.CGLS.404134">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001023</Code>
        <Description>Unexpected TFN mismatch with Reporting Party</Description>
        <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RP.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>OtherTFN-RPTRFDInstant</Name>
            <Value>
              <xsl:value-of select="$RPTRFDInstant.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>OtherTFN-RPTRFDInstant-Id</Name>
            <Value>
              <xsl:value-of select="$RPTRFDInstant.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP-Id</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404134</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D121VR.ATO.CGLS.404134">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001023</Code>
        <Description>Unexpected TFN mismatch with Reporting Party</Description>
        <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RP.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>OtherTFN-RPTOTInstant</Name>
            <Value>
              <xsl:value-of select="$RPTOTInstant.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>OtherTFN-RPTOTInstant-Id</Name>
            <Value>
              <xsl:value-of select="$RPTOTInstant.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP-Id</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404134</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D122VR.ATO.CGLS.404134">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001023</Code>
        <Description>Unexpected TFN mismatch with Reporting Party</Description>
        <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RP.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>OtherTFN-RPY0</Name>
            <Value>
              <xsl:value-of select="$RPY0.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>OtherTFN-RPY0-Id</Name>
            <Value>
              <xsl:value-of select="$RPY0.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP-Id</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404134</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D123VR.ATO.CGLS.404134">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001023</Code>
        <Description>Unexpected TFN mismatch with Reporting Party</Description>
        <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RP.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>OtherTFN-RPY0Minus1</Name>
            <Value>
              <xsl:value-of select="$RPY0Minus1.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>OtherTFN-RPY0Minus1-Id</Name>
            <Value>
              <xsl:value-of select="$RPY0Minus1.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP-Id</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404134</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D124VR.ATO.CGLS.404134">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001023</Code>
        <Description>Unexpected TFN mismatch with Reporting Party</Description>
        <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RP.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>OtherTFN-RPY0Minus2</Name>
            <Value>
              <xsl:value-of select="$RPY0Minus2.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>OtherTFN-RPY0Minus2-Id</Name>
            <Value>
              <xsl:value-of select="$RPY0Minus2.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP-Id</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404134</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D125VR.ATO.CGLS.404134">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001023</Code>
        <Description>Unexpected TFN mismatch with Reporting Party</Description>
        <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RP.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>OtherTFN-RPY0Minus3</Name>
            <Value>
              <xsl:value-of select="$RPY0Minus3.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>OtherTFN-RPY0Minus3-Id</Name>
            <Value>
              <xsl:value-of select="$RPY0Minus3.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP-Id</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404134</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D126VR.ATO.CGLS.404134">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001023</Code>
        <Description>Unexpected TFN mismatch with Reporting Party</Description>
        <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RP.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>OtherTFN-RPY0Minus4P</Name>
            <Value>
              <xsl:value-of select="$RPY0Minus4P.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>OtherTFN-RPY0Minus4P-Id</Name>
            <Value>
              <xsl:value-of select="$RPY0Minus4P.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier.TFN"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>TFN-RP-Id</Name>
            <Value>
              <xsl:value-of select="$RP.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404134</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D127VR.ATO.GEN.001021">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001021</Code>
        <Description>Invalid identifier scheme.</Description>
        <LongDescription>Invalid identifier scheme.  Indentifier scheme must be set to &quot;http://www.ato.gov.au/tfn&quot;</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPCOTP.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>IdentifierScheme-RPCOTP</Name>
            <Value>
              <xsl:value-of select="$RPCOTP.Identifier.Scheme"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>IdentifierScheme-RPCOTP-Id</Name>
            <Value>
              <xsl:value-of select="$RPCOTP.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.GEN.001021</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D128VR.ATO.GEN.001021">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001021</Code>
        <Description>Invalid identifier scheme.</Description>
        <LongDescription>Invalid identifier scheme.  Indentifier scheme must be set to &quot;http://www.ato.gov.au/tfn&quot;</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPCOTF.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>IdentifierScheme-RPCOTF</Name>
            <Value>
              <xsl:value-of select="$RPCOTF.Identifier.Scheme"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>IdentifierScheme-RPCOTF-Id</Name>
            <Value>
              <xsl:value-of select="$RPCOTF.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.GEN.001021</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D129VR.ATO.GEN.001021">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001021</Code>
        <Description>Invalid identifier scheme.</Description>
        <LongDescription>Invalid identifier scheme.  Indentifier scheme must be set to &quot;http://www.ato.gov.au/tfn&quot;</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPCOTT.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>IdentifierScheme-RPCOTT</Name>
            <Value>
              <xsl:value-of select="$RPCOTT.Identifier.Scheme"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>IdentifierScheme-RPCOTT-Id</Name>
            <Value>
              <xsl:value-of select="$RPCOTT.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.GEN.001021</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D130VR.ATO.GEN.001021">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001021</Code>
        <Description>Invalid identifier scheme.</Description>
        <LongDescription>Invalid identifier scheme.  Indentifier scheme must be set to &quot;http://www.ato.gov.au/tfn&quot;</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPGRP.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>IdentifierScheme-RPGRP</Name>
            <Value>
              <xsl:value-of select="$RPGRP.Identifier.Scheme"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>IdentifierScheme-RPGRP-Id</Name>
            <Value>
              <xsl:value-of select="$RPGRP.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.GEN.001021</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D131VR.ATO.GEN.001021">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001021</Code>
        <Description>Invalid identifier scheme.</Description>
        <LongDescription>Invalid identifier scheme.  Indentifier scheme must be set to &quot;http://www.ato.gov.au/tfn&quot;</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPTRFD.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>IdentifierScheme-RPTRFD</Name>
            <Value>
              <xsl:value-of select="$RPTRFD.Identifier.Scheme"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>IdentifierScheme-RPTRFD-Id</Name>
            <Value>
              <xsl:value-of select="$RPTRFD.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.GEN.001021</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D132VR.ATO.GEN.001021">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001021</Code>
        <Description>Invalid identifier scheme.</Description>
        <LongDescription>Invalid identifier scheme.  Indentifier scheme must be set to &quot;http://www.ato.gov.au/tfn&quot;</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPTOT.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>IdentifierScheme-RPTOT</Name>
            <Value>
              <xsl:value-of select="$RPTOT.Identifier.Scheme"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>IdentifierScheme-RPTOT-Id</Name>
            <Value>
              <xsl:value-of select="$RPTOT.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.GEN.001021</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D133VR.ATO.GEN.001021">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001021</Code>
        <Description>Invalid identifier scheme.</Description>
        <LongDescription>Invalid identifier scheme.  Indentifier scheme must be set to &quot;http://www.ato.gov.au/tfn&quot;</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPGRPInstant.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>IdentifierScheme-RPGRPInstant</Name>
            <Value>
              <xsl:value-of select="$RPGRPInstant.Identifier.Scheme"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>IdentifierScheme-RPGRPInstant-Id</Name>
            <Value>
              <xsl:value-of select="$RPGRPInstant.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.GEN.001021</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D134VR.ATO.GEN.001021">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001021</Code>
        <Description>Invalid identifier scheme.</Description>
        <LongDescription>Invalid identifier scheme.  Indentifier scheme must be set to &quot;http://www.ato.gov.au/tfn&quot;</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPTRFDInstant.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>IdentifierScheme-RPTRFDInstant</Name>
            <Value>
              <xsl:value-of select="$RPTRFDInstant.Identifier.Scheme"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>IdentifierScheme-RPTRFDInstant-Id</Name>
            <Value>
              <xsl:value-of select="$RPTRFDInstant.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.GEN.001021</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D135VR.ATO.GEN.001021">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001021</Code>
        <Description>Invalid identifier scheme.</Description>
        <LongDescription>Invalid identifier scheme.  Indentifier scheme must be set to &quot;http://www.ato.gov.au/tfn&quot;</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPTOTInstant.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>IdentifierScheme-RPTOTInstant</Name>
            <Value>
              <xsl:value-of select="$RPTOTInstant.Identifier.Scheme"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>IdentifierScheme-RPTOTInstant-Id</Name>
            <Value>
              <xsl:value-of select="$RPTOTInstant.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.GEN.001021</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D136VR.ATO.GEN.001021">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001021</Code>
        <Description>Invalid identifier scheme.</Description>
        <LongDescription>Invalid identifier scheme.  Indentifier scheme must be set to &quot;http://www.ato.gov.au/tfn&quot;</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPY0.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>IdentifierScheme-RPY0</Name>
            <Value>
              <xsl:value-of select="$RPY0.Identifier.Scheme"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>IdentifierScheme-RPY0-Id</Name>
            <Value>
              <xsl:value-of select="$RPY0.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.GEN.001021</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D137VR.ATO.GEN.001021">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001021</Code>
        <Description>Invalid identifier scheme.</Description>
        <LongDescription>Invalid identifier scheme.  Indentifier scheme must be set to &quot;http://www.ato.gov.au/tfn&quot;</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPY0Minus1.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>IdentifierScheme-RPY0Minus1</Name>
            <Value>
              <xsl:value-of select="$RPY0Minus1.Identifier.Scheme"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>IdentifierScheme-RPY0Minus1-Id</Name>
            <Value>
              <xsl:value-of select="$RPY0Minus1.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.GEN.001021</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D138VR.ATO.GEN.001021">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001021</Code>
        <Description>Invalid identifier scheme.</Description>
        <LongDescription>Invalid identifier scheme.  Indentifier scheme must be set to &quot;http://www.ato.gov.au/tfn&quot;</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPY0Minus2.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>IdentifierScheme-RPY0Minus2</Name>
            <Value>
              <xsl:value-of select="$RPY0Minus2.Identifier.Scheme"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>IdentifierScheme-RPY0Minus2-Id</Name>
            <Value>
              <xsl:value-of select="$RPY0Minus2.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.GEN.001021</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D139VR.ATO.GEN.001021">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.GEN.001021</Code>
        <Description>Invalid identifier scheme.</Description>
        <LongDescription>Invalid identifier scheme.  Indentifier scheme must be set to &quot;http://www.ato.gov.au/tfn&quot;</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPY0Minus3.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>IdentifierScheme-RPY0Minus3</Name>
            <Value>
              <xsl:value-of select="$RPY0Minus3.Identifier.Scheme"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>IdentifierScheme-RPY0Minus3-Id</Name>
            <Value>
              <xsl:value-of select="$RPY0Minus3.Identifier"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.GEN.001021</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D140VR.ATO.GEN.001021">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404032</Code>
        <Description>Invalid identifier scheme.</Description>
        <LongDescription>Invalid identifier scheme.  Indentifier scheme must be set to &quot;http://www.ato.gov.au/tfn&quot;</LongDescription>
        <Location>
          /<xsl:value-of select="function:PathToNode($RPY0Minus4P.ContextFirst)" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>IdentifierScheme-RPY0Minus4P</Name>
            <Value>
              <xsl:value-of select="$RPY0Minus4P.Identifier.Scheme"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>IdentifierScheme-RPY0Minus4P-Id</Name>
            <Value>
              <xsl:value-of select="$RPY0Minus4P.Identifier.Scheme"/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.GEN.001021</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>

    <diagnostic id="D500VR.ATO.CGLS.404032">
      <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
        <Code>CMN.ATO.CGLS.404032</Code>
        <Description>Explicit member dimension MajorityOwnershipAndControlTests is not correct</Description>
        <LongDescription></LongDescription>
        <Location>
          /<xsl:value-of select="" />/xbrli:entity/xbrli:identifier
        </Location>
        <Parameters>
          <Parameter>
            <Name>EMPTY</Name>
            <Value>
              <xsl:value-of select=""/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>EMPTY</Name>
            <Value>
              <xsl:value-of select=""/>
            </Value>
          </Parameter>
          <Parameter>
            <Name>RuleIdentifier</Name>
            <Value>VR.ATO.CGLS.404032</Value>
          </Parameter>
        </Parameters>
        <Severity>Error</Severity>
      </ProcessMessage>
    </diagnostic>    


  </diagnostics>

</schema>
