// ------------------------------------------------------------------------------
//  <auto-generated>
//     This code was generated from a template.
// 
//     Manual changes to this file will be overwritten if the code is regenerated.
//  </auto-generated>
// ------------------------------------------------------------------------------

using Au.Gov.Sbr.Xbrl.Document;
using System;
using System.IO;
using System.Runtime.CompilerServices;
using System.Text;
using System.Xml;
using System.Linq;
using System.Collections.Generic;
using Ato.EN.IntegrationServices.Document.DataContracts;
using System.Text.RegularExpressions;

namespace Ato.EN.IntegrationServices.CodeGenerationCGLS
{
    public class CGLS2016Validator
    {

        static CGLS2016Validator()
        {
            InitialiseErrorMessages();
        }

        public CGLS2016Validator()
        {

        }

        #region Functions
        private static IEnumerable<string> Union(IEnumerable<string> list1, IEnumerable<string> list2)
        {
            IEnumerable<string> response;

            if (list1 == null && list2 == null)
            {
                response = null;
            }
            else if (list1 == null)
            {
                response = list2.Distinct();
            }
            else if (list2 == null)
            {
                response = list1.Distinct();
            }
            else
            {
                response = list1.Union(list2);
            }

            return response;
        }

        private static bool IsMatch(string field, string expression, RegexOptions options = RegexOptions.None)
        {
            if (field == null)
                return false;
            else
                return Regex.IsMatch(field, expression, options);
        }

        // This is just context and tuple counts where they are integer values - easier that changing the parsing logic to just return the value
        private static int Count(int count)
        {
            return count;
        }


        private static int Count<T>(IEnumerable<T> values)
        {
            return values == null ? 0 : values.Where(f => f != null).Count();
        }


        private static int Count<T>(ICollection<T> values)
        {
            return values == null ? 0 : values.Where(f => f != null).Count();
        }


        private static bool exists(bool value)
        {
            return value;
        }

         /// <summary>
         /// Get string value between [first] a and [last] b.
         /// </summary>
        public static string Between(string value, string a, string b)
        {
            int posA = value.IndexOf(a);
            int posB = value.LastIndexOf(b);
            if (posA == -1)
            {
                return "";
            }
            if (posB == -1)
            {
                return "";
            }
            int adjustedPosA = posA + a.Length;
            if (adjustedPosA >= posB)
            {
                return "";
            }
            return value.Substring(adjustedPosA, posB - adjustedPosA);
        }

         /// <summary>
         /// Get string value after [first] a.
         /// </summary>
        public static string Before(string value, string a)
        {
            int posA = value.IndexOf(a);
            if (posA == -1)
            {
                return "";
            }
            return value.Substring(0, posA);
        }

         /// <summary>
         /// Get string value after [last] a.
         /// </summary>
        public static string After(string value, string a)
        {
            int posA = value.LastIndexOf(a);
            if (posA == -1)
            {
                return "";
            }
            int adjustedPosA = posA + a.Length;
            if (adjustedPosA >= value.Length)
            {
                return "";
            }
            return value.Substring(adjustedPosA);
        }

        private static bool NullOrBlank(object field)
        {
            return (field == null || field.ToString().Trim() == string.Empty);
        }

        private static int Length(object field)
        {
            if (field == null)
            return 0;
            else
            return field.ToString().Trim().Length;
        }

        private static bool NotSameValues(params object[] nodes)
        {
            if (nodes == null)
                return false;

            return ((from x in nodes select x).Distinct().Count() == nodes.Count());
        }

        private static bool HasDuplicateValues(params object[] nodes)
        {
            if (nodes == null)
                return false;

            return !((from x in nodes select x).Distinct().Count() == nodes.Count());
        }


        private static bool IsDate(object value)
        {
            DateTime dateValue;
            return (value != null && DateTime.TryParse(value.ToString(), out dateValue));
        }

        public DateTime? ConvertToDate(string day, string month, string year)
        {
            DateTime? response;
            DateTime result;

            if (year == null || month == null || day == null)
            {
                return null;
            }
            string dateAsString = year + "-" + After(month, "--") + "-" + After(day, "---");
            if (DateTime.TryParse(dateAsString, out result))
            {
                response = result;
            }
            else
            {
                response = null;
            }
            return response;
        }


        public DateTime? ConvertToDate(string day, string month, int year)
        {
            DateTime? response;
            DateTime result;

            if (year == 0 || month == null || day == null)
            {
                return null;
            }
            string dateAsString = year.ToString() + "-" + After(month, "--") + "-" + After(day, "---");
            if (DateTime.TryParse(dateAsString, out result))
            {
                response = result;
            }
            else
            {
                response = null;
            }
            return response;
        }


        private static int Day(string dateAsString)
        {
            int response = 0;
            DateTime date;

            if (DateTime.TryParse(dateAsString, out date))
            {
                response = date.Day;
            }

            return response;
        }


        private static int Day(DateTime? date)
        {
            if (date == null)
                return 0;
            else
                return date.Value.Day;

        }


        private static string Month(string dateAsString)
        {
            string response = null;
            DateTime date;

            if (DateTime.TryParse(dateAsString, out date))
            {
                response = date.ToString("MMMM");
            }
            else
            {
                return "NotAMonth";
            }

            return response;
        }

        private static string Month(DateTime? date)
        {
            if (date == null)
                return "NotAMonth";
            else
                return date.Value.ToString("MMMM");
        }


        private static int Year(string dateAsString)
        {
            int response = 0;
            DateTime date;

            if (DateTime.TryParse(dateAsString, out date))
            {
                response = date.Year;
            }

            return response;
        }

        private static int Year(DateTime? date)
        {
            if (date == null)
                return 0;
            else
                return date.Value.Year;
        }


        private static int CurrentFinancialYear()
        {
            return DateToFinancialYear(DateTime.Now, 7);
        }

        private static int FinancialYear(string dateAsString)
        {
            return DateToFinancialYear(dateAsString, 7);
        }

        private static int FinancialYear(DateTime? date)
        {
            return DateToFinancialYear(date, 7);
        }

        private static int DateToFinancialYear(string dateAsString, int startingMonth)
        {
            int response = 0;
            DateTime date;
            if (DateTime.TryParse(dateAsString, out date))
            {
                response = DateToFinancialYear(date, startingMonth);
            }

            return response;
        }
        private static int DateToFinancialYear(DateTime? date, int startingMonth)
        {
            int response;
            if (date == null)
            {
                response = 0;
            }
            else
            {
                int year = date.Value.Year;
                int month = date.Value.Month;

                if (startingMonth > month)
                    response = year;
                else
                    response = year + 1;
            }
            return response;
        }


        private static int FBTYear(string dateAsString)
        {
            int response = 0;
            DateTime date;

            if (DateTime.TryParse(dateAsString, out date))
                response = FBTYear(date);
            return response;
        }

        private static int FBTYear(DateTime? date)
        {
            if (date == null)
            {
                return 0;
            }
            else
            {
                if (date.Value.Month > 3)
                    return date.Value.Year + 1;
                else
                    return date.Value.Year;
            }
        }


        private static bool IsNumeric(object value)
        {
            decimal numbervalue;
            return (value != null && decimal.TryParse(value.ToString(), out numbervalue));
        }

        private static bool NotMonetary(object field, string sign, int digits, int decimals)
        {
            if (field == null || field.ToString().Trim().Length == 0)
            {
                return false;
            }
            else
            {
                string signExpression;
                string decimalExpression;
                int digitsToUse = digits - decimals;

                if (sign == "U")
                    signExpression = "^";
                else
                    signExpression = "^-?";

                if (decimals > 0)
                    decimalExpression = @"(\.\d{" + decimals + "})?$";
                else
                    decimalExpression = "$";

                return !(field is Decimal && Regex.IsMatch(field.ToString(), signExpression + @"\d{1," + digitsToUse + "}" + decimalExpression));
            }
        }


        private static bool NotNumeric(object field, string sign, int digits, int decimals)
        {
            if (field == null || field.ToString().Trim().Length == 0)
            {
                return false;
            }
            else
            {
                string signExpression;
                string decimalExpression;
                int digitsToUse = digits - decimals;

                if (sign == "U")
                    signExpression = "^";
                else
                    signExpression = "^-?";

                if (decimals > 0)
                    decimalExpression = @"(\.\d{" + decimals + "})?$";
                else
                    decimalExpression = "$";

                return !(field is Decimal && Regex.IsMatch(field.ToString(), signExpression + @"\d{1," + digitsToUse + "}" + decimalExpression));
            }
        }


        private static bool OutsideRange(decimal field, decimal expression, int range)
        {
            bool response;

            response = (field < (expression - range)) || (field > (expression + range));

            return response;
        }


        private static bool FailsUSIAlgorithm(string usi, string abn)
        {
            bool response;
            if (usi == null || abn == null)
            {
                response = false;
            }
            else
            {
                usi = usi.Trim();
                abn = abn.Trim();
                if (usi.Length < 13 || abn.Length < 11)
                {
                    response = false;
                }
                else
                {
                    int numeric;
                    if (usi.Substring(0, 11) == abn && int.TryParse(usi.Substring(11, 2), out numeric))
                        response = false;
                    else if (Regex.IsMatch(usi, @"^[a-zA-Z]{3}\d{4}[a-zA-Z]{2}"))
                        response = false;
                    else
                        response = true;
                }
            }
            return response;
        }


        private static bool FailsTANAlgorithm(string tan)
        {
            bool response;
            decimal decimalTan;

            if (tan == null)
                return false;

            tan = tan.Trim();

            if (!decimal.TryParse(tan, out decimalTan))
                return true;

            if (tan.Length != 8)
                return true;

            decimal tanSum =
                7 * int.Parse(tan.Substring(0, 1)) +
                9 * int.Parse(tan.Substring(1, 1)) +
                8 * int.Parse(tan.Substring(2, 1)) +
                4 * int.Parse(tan.Substring(3, 1)) +
                6 * int.Parse(tan.Substring(4, 1)) +
                3 * int.Parse(tan.Substring(5, 1)) +
                5 * int.Parse(tan.Substring(6, 1)) +
                1 * int.Parse(tan.Substring(7, 1));

            if ((tanSum % 11) == 0)
                response = false;
            else
                response = true;

            return response;
        }


        private static bool FailsABNAlgorithm(string abn)
        {
            bool response;
            decimal decimalAbn;

            if (abn == null)
                return false;

            abn = abn.Trim();

            if (!decimal.TryParse(abn, out decimalAbn))
                return true;

            if (abn.Length != 11)
                return true;

            decimal abnSum =
                10 * (int.Parse(abn.Substring(0, 1)) - 1) +
                1 * int.Parse(abn.Substring(1, 1)) +
                3 * int.Parse(abn.Substring(2, 1)) +
                5 * int.Parse(abn.Substring(3, 1)) +
                7 * int.Parse(abn.Substring(4, 1)) +
                9 * int.Parse(abn.Substring(5, 1)) +
                11 * int.Parse(abn.Substring(6, 1)) +
                13 * int.Parse(abn.Substring(7, 1)) +
                15 * int.Parse(abn.Substring(8, 1)) +
                17 * int.Parse(abn.Substring(9, 1)) +
                19 * int.Parse(abn.Substring(10, 1));

            if ((abnSum % 89) == 0)
                response = false;
            else
                response = true;

            return response;
        }
        private static bool FailsACNAlgorithm(string acn)
        {
            bool response;
            decimal decimalAbn;
            if (acn == null)
                return false;

            acn = acn.Trim();

            if (!decimal.TryParse(acn, out decimalAbn))
                return true;

            if (acn.Length != 9)
                return true;

            decimal abnSum =
                8 * (int.Parse(acn.Substring(0, 1)) - 1) +
                7 * int.Parse(acn.Substring(1, 1)) +
                6 * int.Parse(acn.Substring(2, 1)) +
                5 * int.Parse(acn.Substring(3, 1)) +
                4 * int.Parse(acn.Substring(4, 1)) +
                3 * int.Parse(acn.Substring(5, 1)) +
                2 * int.Parse(acn.Substring(6, 1)) +
                1 * int.Parse(acn.Substring(7, 1));

            decimal checkDigit = int.Parse(acn.Substring(8, 1));
            decimal acnRemainder = abnSum % 10;

            if (((10 - acnRemainder) % 10) == checkDigit)
                response = false;
            else
                response = true;

            return response;
        }


        private static bool FailsTFNAlgorithm(string tfn)
        {
            bool response;
            decimal decimalTfn;

            if (tfn == null)
                return false;

            tfn = tfn.Trim();
            tfn = Regex.Replace(tfn, "^0+", "");

            if (!decimal.TryParse(tfn, out decimalTfn))
                return true;

            if (tfn.Length < 8)
                return true;


            decimal tfn1To7Sum =
                1 * (int.Parse(tfn.Substring(0, 1)) - 1) +
                4 * int.Parse(tfn.Substring(1, 1)) +
                3 * int.Parse(tfn.Substring(2, 1)) +
                7 * int.Parse(tfn.Substring(3, 1)) +
                5 * int.Parse(tfn.Substring(4, 1)) +
                8 * int.Parse(tfn.Substring(5, 1)) +
                6 * int.Parse(tfn.Substring(6, 1));

            decimal tfn8 = 9 * int.Parse(tfn.Substring(7, 1));

            if (tfn.Length == 8)
            {
                decimal tFNLg8WSum9 = 10 * int.Parse(tfn.Substring(7, 1));
                decimal tFNLg8WSum = tfn1To7Sum + tFNLg8WSum9;

                if ((tFNLg8WSum % 11) == 0)
                    response = false;
                else
                    response = true;
            }
            else if (tfn.Length == 9)
            {
                decimal tfn9 = 10 * int.Parse(tfn.Substring(8, 1));
                decimal tFNLg9WSum = tfn1To7Sum + tfn8 + tfn9;

                if ((tFNLg9WSum % 11) == 0)
                    response = false;
                else
                    response = true;
            }
            else
            {
                response = true;
            }

            return response;
        }


        #endregion // Functions
        public CGLS2016 ConsumedReport { get; private set; }

        private static Dictionary<string, ProcessMessageDocument> _processMessageDocuments = new Dictionary<string,ProcessMessageDocument>();

        [MethodImpl(MethodImplOptions.AggressiveInlining)]
        public List<ProcessMessageDocument> ValidateReport(CGLS2016 report)
        {

            List<ProcessMessageDocument> response = new List<ProcessMessageDocument>();
            this.ConsumedReport = report;

            // ------------------------------------------------------------------------------
            // Validations can now be done in code rather than just schematron.
            // This version supports full validation of a report - for those rules that have successfully parsed and could be generated.
            // Generated Validations include:
            //   - Validation logic in C# rather than being Schematron based.
            //   - Production of errors in EBMS, SBR and SWS format.
            // 
            // The generation at this stage does not support the following - and has to be completed manually (later versions of the generation will do this for you)
            //   - Business Rules that did not parse.  The ESR team will help support you where this happens as an effort is being made to rectify these
            //   - You will get TODO tasks for those that the parser could not cope with
            // ------------------------------------------------------------------------------

            response.AddRange(ValidateContexts(report));
            response.AddRange(ValidateFormats(report));
            response.AddRange(ValidateMandatorys(report));
            response.AddRange(ValidateValidations(report));
            response.AddRange(ValidateCrossfields(report));

            return response;
        }



        #region Phase Context
        [MethodImpl(MethodImplOptions.AggressiveInlining)]
        public List<ProcessMessageDocument> ValidateContexts(CGLS2016 report)
        {
            List<ProcessMessageDocument> response = new List<ProcessMessageDocument>();
            ProcessMessageDocument processMessage;
            ProcessMessageParameter parameter;
            bool assertion;
            
            #region VR.ATO.CGLS.404038


            /*  VR.ATO.CGLS.404038 ()

            Ensure the number of transferor details that can be supplied do not exceed a count of 12

            Legacy Rule Format:


            IF COUNT (CONTEXT(TRFR)) > 12   
                RETURN VALIDATION MESSAGE
             ENDIF

            Parseable Rule Format:

            Count(^Context) > 12

            Data Elements:

            ^Context = TRFR

            */

            assertion = (Count(report.TRFRContexts) > 12);
            if (assertion)
            {
                processMessage = GetProcessMessage("D1VR.ATO.CGLS.404038", location:"/xbrli:xbrl/xbrli:context");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404038

            #region VR.ATO.CGLS.404039


            /*  VR.ATO.CGLS.404039 ()

            Ensure the number of Joining Entity details that can be supplied do not exceed a count of 4

            Legacy Rule Format:


            IF COUNT (CONTEXT(JE)) > 4   
                RETURN VALIDATION MESSAGE
             ENDIF

            Parseable Rule Format:

            Count(^Context) > 4

            Data Elements:

            ^Context = JE

            */

            assertion = (Count(report.JEContexts) > 4);
            if (assertion)
            {
                processMessage = GetProcessMessage("D2VR.ATO.CGLS.404039", location:"/xbrli:xbrl/xbrli:context");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404039

            #region VR.ATO.CGLS.404040


            /*  VR.ATO.CGLS.404040 ()

            The total number RP.COTT supplied cannot exceed 1

            Legacy Rule Format:


            IF COUNT(CONTEXT(RP.COTT)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            Count(^Context) > 1

            Data Elements:

            ^Context = RP.COTT

            */

            assertion = (Count(report.RPCOTTCount) > 1);
            if (assertion)
            {
                processMessage = GetProcessMessage("D3VR.ATO.CGLS.404040", location:"/xbrli:xbrl/xbrli:context");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404040

            #region VR.ATO.CGLS.404041


            /*  VR.ATO.CGLS.404041 ()

            The total number RP.COTP supplied cannot exceed 1

            Legacy Rule Format:


            IF COUNT(CONTEXT(RP.COTP)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            Count(^Context) > 1

            Data Elements:

            ^Context = RP.COTP

            */

            assertion = (Count(report.RPCOTPCount) > 1);
            if (assertion)
            {
                processMessage = GetProcessMessage("D4VR.ATO.CGLS.404041", location:"/xbrli:xbrl/xbrli:context");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404041

            #region VR.ATO.CGLS.404042


            /*  VR.ATO.CGLS.404042 ()

            The total number RP.COTF supplied cannot exceed 1

            Legacy Rule Format:


            IF COUNT(CONTEXT(RP.COTF)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            Count(^Context) > 1

            Data Elements:

            ^Context = RP.COTF

            */

            assertion = (Count(report.RPCOTFCount) > 1);
            if (assertion)
            {
                processMessage = GetProcessMessage("D5VR.ATO.CGLS.404042", location:"/xbrli:xbrl/xbrli:context");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404042

            #region VR.ATO.CGLS.404043


            /*  VR.ATO.CGLS.404043 ()

            The total number RP.GRP supplied cannot exceed 1

            Legacy Rule Format:


            IF COUNT(CONTEXT(RP.GRP)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            Count(^Context) > 1

            Data Elements:

            ^Context = RP.GRP

            */

            assertion = (Count(report.RPGRPCount) > 1);
            if (assertion)
            {
                processMessage = GetProcessMessage("D6VR.ATO.CGLS.404043", location:"/xbrli:xbrl/xbrli:context");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404043

            #region VR.ATO.CGLS.404044


            /*  VR.ATO.CGLS.404044 ()

            The total number RP.TFRD supplied cannot exceed 1

            Legacy Rule Format:


            IF COUNT(CONTEXT(RP.TRFD)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            Count(^Context) > 1

            Data Elements:

            ^Context = RP.TRFD

            */

            assertion = (Count(report.RPTRFDCount) > 1);
            if (assertion)
            {
                processMessage = GetProcessMessage("D7VR.ATO.CGLS.404044", location:"/xbrli:xbrl/xbrli:context");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404044

            #region VR.ATO.CGLS.404045


            /*  VR.ATO.CGLS.404045 ()

            The total number RP.TOT supplied cannot exceed 1

            Legacy Rule Format:


            IF COUNT(CONTEXT(RP.TOT)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            Count(^Context) > 1

            Data Elements:

            ^Context = RP.TOT

            */

            assertion = (Count(report.RPTOTCount) > 1);
            if (assertion)
            {
                processMessage = GetProcessMessage("D8VR.ATO.CGLS.404045", location:"/xbrli:xbrl/xbrli:context");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404045

            #region VR.ATO.CGLS.404113


            /*  VR.ATO.CGLS.404113 ()

            The total number RP.Y0 supplied cannot exceed 1

            Legacy Rule Format:


            IF COUNT(CONTEXT(RP.Y0)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            Count(^Context) > 1

            Data Elements:

            ^Context = RP.Y0

            */

            assertion = (Count(report.RPY0Count) > 1);
            if (assertion)
            {
                processMessage = GetProcessMessage("D9VR.ATO.CGLS.404113", location:"/xbrli:xbrl/xbrli:context");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404113

            #region VR.ATO.CGLS.404114


            /*  VR.ATO.CGLS.404114 ()

            The total number RP.Y0-1 supplied cannot exceed 1

            Legacy Rule Format:


            IF COUNT(CONTEXT(RP.Y0-1)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            Count(^Context) > 1

            Data Elements:

            ^Context = RP.Y0-1

            */

            assertion = (Count(report.RPY0Minus1Count) > 1);
            if (assertion)
            {
                processMessage = GetProcessMessage("D10VR.ATO.CGLS.404114", location:"/xbrli:xbrl/xbrli:context");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404114

            #region VR.ATO.CGLS.404115


            /*  VR.ATO.CGLS.404115 ()

            The total number RP.Y0-2 supplied cannot exceed 1

            Legacy Rule Format:


            IF COUNT(CONTEXT(RP.Y0-2)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            Count(^Context) > 1

            Data Elements:

            ^Context = RP.Y0-2

            */

            assertion = (Count(report.RPY0Minus2Count) > 1);
            if (assertion)
            {
                processMessage = GetProcessMessage("D11VR.ATO.CGLS.404115", location:"/xbrli:xbrl/xbrli:context");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404115

            #region VR.ATO.CGLS.404116


            /*  VR.ATO.CGLS.404116 ()

            The total number RP.Y0-3 supplied cannot exceed 1

            Legacy Rule Format:


            IF COUNT(CONTEXT(RP.Y0-3)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            Count(^Context) > 1

            Data Elements:

            ^Context = RP.Y0-3

            */

            assertion = (Count(report.RPY0Minus3Count) > 1);
            if (assertion)
            {
                processMessage = GetProcessMessage("D12VR.ATO.CGLS.404116", location:"/xbrli:xbrl/xbrli:context");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404116

            #region VR.ATO.CGLS.404117


            /*  VR.ATO.CGLS.404117 ()

            The total number RP.Y0-4P supplied cannot exceed 1

            Legacy Rule Format:


            IF COUNT(CONTEXT(RP.Y0-4P)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            Count(^Context) > 1

            Data Elements:

            ^Context = RP.Y0-4P

            */

            assertion = (Count(report.RPY0Minus4PCount) > 1);
            if (assertion)
            {
                processMessage = GetProcessMessage("D13VR.ATO.CGLS.404117", location:"/xbrli:xbrl/xbrli:context");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404117

            #region VR.ATO.CGLS.404134


            /*  VR.ATO.CGLS.404134 ()

            TFN does not match the reporting party

            Legacy Rule Format:


            IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^OtherTFN <> ^TFN

            Data Elements:

            ^OtherTFN = RP.COTP

            ^TFN = RP

            */

            assertion = (report.RPCOTPIdentifierTFN != report.RPIdentifierTFN);
            if (assertion)
            {
                processMessage = GetProcessMessage("D16VR.ATO.CGLS.404134", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404134

            #region VR.ATO.CGLS.404139


            /*  VR.ATO.CGLS.404139 ()

            Transferor context TFN cannot be duplicated. Unique TFN is required

            Legacy Rule Format:


            IF TRFR:entity.identifier = ANY OTHER OCCURRENCE(TRFR:entity.identifier.TFN)  
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            HasDuplicateValues(^TFN)

            Data Elements:

            ^TFN = TRFR

            */

            assertion = HasDuplicateValues(report.TRFRContexts == null ? null : report.TRFRContexts.Select(f => f.IdentifierTFN));
            if (assertion)
            {
                processMessage = GetProcessMessage("D17VR.ATO.CGLS.404139", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404139

            #region VR.ATO.CGLS.404140


            /*  VR.ATO.CGLS.404140 ()

            Joining Entity context TFN cannot be duplicated. Unique TFN is required

            Legacy Rule Format:


            IF JE:entity.identifier = ANY OTHER OCCURRENCE(JE:entity.identifier.TFN)  
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            HasDuplicateValues(^TFN)

            Data Elements:

            ^TFN = JE

            */

            assertion = HasDuplicateValues(report.JEContexts == null ? null : report.JEContexts.Select(f => f.IdentifierTFN));
            if (assertion)
            {
                processMessage = GetProcessMessage("D18VR.ATO.CGLS.404140", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404140

            #region VR.ATO.CGLS.404200


            /*  VR.ATO.CGLS.404200 ()

            The total number supplied cannot exceed 6

            Legacy Rule Format:


            IF COUNT(^CGLS108) > 6
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            Count(^CGLS108) > 6

            Data Elements:

            TRFR:^CGLS108 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction

            */

            assertion = (Count(report.TRFRContexts == null ? null : report.TRFRContexts.Select(f => f.CGLS108)) > 6);
            if (assertion)
            {
                processMessage = GetProcessMessage("D19VR.ATO.CGLS.404200", location:"/xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404200

            #region VR.ATO.CGLS.404201


            /*  VR.ATO.CGLS.404201 ()

            The total number supplied cannot exceed 6

            Legacy Rule Format:


            IF COUNT(^CGLS113) > 6
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            Count(^CGLS113) > 6

            Data Elements:

            TRFR:^CGLS113 = rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction

            */

            assertion = (Count(report.TRFRContexts == null ? null : report.TRFRContexts.Select(f => f.CGLS113)) > 6);
            if (assertion)
            {
                processMessage = GetProcessMessage("D20VR.ATO.CGLS.404201", location:"/xbrli:xbrl/rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404201

            #region VR.ATO.GEN.000208


            /*  VR.ATO.GEN.000208 ()

            Invalid context. The number of Reporting party contexts must equal 1

            Legacy Rule Format:


            IF COUNT(RP) <> 1   
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            Count(^Context) <> 1

            Data Elements:

            ^Context = RP

            */

            assertion = (Count(report.RPCount) != 1);
            if (assertion)
            {
                processMessage = GetProcessMessage("D21VR.ATO.GEN.000208", location:"/xbrli:xbrl/xbrli:context");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.GEN.000208

            #region VR.ATO.CGLS.404134


            /*  VR.ATO.CGLS.404134 ()

            TFN does not match the reporting party

            Legacy Rule Format:


            IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^OtherTFN <> ^TFN

            Data Elements:

            ^OtherTFN = RP.COTF

            ^TFN = RP

            */

            assertion = (report.RPCOTFIdentifierTFN != report.RPIdentifierTFN);
            if (assertion)
            {
                processMessage = GetProcessMessage("D111VR.ATO.CGLS.404134", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404134

            #region VR.ATO.CGLS.404134


            /*  VR.ATO.CGLS.404134 ()

            TFN does not match the reporting party

            Legacy Rule Format:


            IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^OtherTFN <> ^TFN

            Data Elements:

            ^OtherTFN = RP.COTT

            ^TFN = RP

            */

            assertion = (report.RPCOTTIdentifierTFN != report.RPIdentifierTFN);
            if (assertion)
            {
                processMessage = GetProcessMessage("D112VR.ATO.CGLS.404134", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404134

            #region VR.ATO.CGLS.404134


            /*  VR.ATO.CGLS.404134 ()

            TFN does not match the reporting party

            Legacy Rule Format:


            IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^OtherTFN <> ^TFN

            Data Elements:

            ^OtherTFN = RP.GRP

            ^TFN = RP

            */

            assertion = (report.RPGRPIdentifierTFN != report.RPIdentifierTFN);
            if (assertion)
            {
                processMessage = GetProcessMessage("D113VR.ATO.CGLS.404134", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404134

            #region VR.ATO.CGLS.404134


            /*  VR.ATO.CGLS.404134 ()

            TFN does not match the reporting party

            Legacy Rule Format:


            IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^OtherTFN <> ^TFN

            Data Elements:

            ^OtherTFN = RP.TRFD

            ^TFN = RP

            */

            assertion = (report.RPTRFDIdentifierTFN != report.RPIdentifierTFN);
            if (assertion)
            {
                processMessage = GetProcessMessage("D114VR.ATO.CGLS.404134", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404134

            #region VR.ATO.CGLS.404134


            /*  VR.ATO.CGLS.404134 ()

            TFN does not match the reporting party

            Legacy Rule Format:


            IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^OtherTFN <> ^TFN

            Data Elements:

            ^OtherTFN = RP.TOT

            ^TFN = RP

            */

            assertion = (report.RPTOTIdentifierTFN != report.RPIdentifierTFN);
            if (assertion)
            {
                processMessage = GetProcessMessage("D115VR.ATO.CGLS.404134", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404134

            #region VR.ATO.CGLS.404134


            /*  VR.ATO.CGLS.404134 ()

            TFN does not match the reporting party

            Legacy Rule Format:


            IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^OtherTFN <> ^TFN

            Data Elements:

            ^OtherTFN = RP.GRP(Instant)

            ^TFN = RP

            */

            assertion = (report.RPGRPInstantIdentifierTFN != report.RPIdentifierTFN);
            if (assertion)
            {
                processMessage = GetProcessMessage("D116VR.ATO.CGLS.404134", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404134

            #region VR.ATO.CGLS.404134


            /*  VR.ATO.CGLS.404134 ()

            TFN does not match the reporting party

            Legacy Rule Format:


            IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^OtherTFN <> ^TFN

            Data Elements:

            ^OtherTFN = RP.TRFD(Instant)

            ^TFN = RP

            */

            assertion = (report.RPTRFDInstantIdentifierTFN != report.RPIdentifierTFN);
            if (assertion)
            {
                processMessage = GetProcessMessage("D117VR.ATO.CGLS.404134", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404134

            #region VR.ATO.CGLS.404134


            /*  VR.ATO.CGLS.404134 ()

            TFN does not match the reporting party

            Legacy Rule Format:


            IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^OtherTFN <> ^TFN

            Data Elements:

            ^OtherTFN = RP.TOT(Instant)

            ^TFN = RP

            */

            assertion = (report.RPTOTInstantIdentifierTFN != report.RPIdentifierTFN);
            if (assertion)
            {
                processMessage = GetProcessMessage("D118VR.ATO.CGLS.404134", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404134

            #region VR.ATO.CGLS.404134


            /*  VR.ATO.CGLS.404134 ()

            TFN does not match the reporting party

            Legacy Rule Format:


            IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^OtherTFN <> ^TFN

            Data Elements:

            ^OtherTFN = RP.Y0

            ^TFN = RP

            */

            assertion = (report.RPY0IdentifierTFN != report.RPIdentifierTFN);
            if (assertion)
            {
                processMessage = GetProcessMessage("D119VR.ATO.CGLS.404134", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404134

            #region VR.ATO.CGLS.404134


            /*  VR.ATO.CGLS.404134 ()

            TFN does not match the reporting party

            Legacy Rule Format:


            IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^OtherTFN <> ^TFN

            Data Elements:

            ^OtherTFN = RP.Y0-1

            ^TFN = RP

            */

            assertion = (report.RPY0Minus1IdentifierTFN != report.RPIdentifierTFN);
            if (assertion)
            {
                processMessage = GetProcessMessage("D120VR.ATO.CGLS.404134", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404134

            #region VR.ATO.CGLS.404134


            /*  VR.ATO.CGLS.404134 ()

            TFN does not match the reporting party

            Legacy Rule Format:


            IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^OtherTFN <> ^TFN

            Data Elements:

            ^OtherTFN = RP.Y0-2

            ^TFN = RP

            */

            assertion = (report.RPY0Minus2IdentifierTFN != report.RPIdentifierTFN);
            if (assertion)
            {
                processMessage = GetProcessMessage("D121VR.ATO.CGLS.404134", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404134

            #region VR.ATO.CGLS.404134


            /*  VR.ATO.CGLS.404134 ()

            TFN does not match the reporting party

            Legacy Rule Format:


            IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^OtherTFN <> ^TFN

            Data Elements:

            ^OtherTFN = RP.Y0-3

            ^TFN = RP

            */

            assertion = (report.RPY0Minus3IdentifierTFN != report.RPIdentifierTFN);
            if (assertion)
            {
                processMessage = GetProcessMessage("D122VR.ATO.CGLS.404134", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404134

            #region VR.ATO.CGLS.404134


            /*  VR.ATO.CGLS.404134 ()

            TFN does not match the reporting party

            Legacy Rule Format:


            IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)          
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^OtherTFN <> ^TFN

            Data Elements:

            ^OtherTFN = RP.Y0-4P

            ^TFN = RP

            */

            assertion = (report.RPY0Minus4PIdentifierTFN != report.RPIdentifierTFN);
            if (assertion)
            {
                processMessage = GetProcessMessage("D123VR.ATO.CGLS.404134", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404134


            
            #region Repeating TRFRContext
            if (report.TRFRContexts != null)
            {
                foreach (CGLS2016.TRFRContext trfrContext in report.TRFRContexts)
                {
                    #region VR.ATO.CGLS.404131


                    /*  VR.ATO.CGLS.404131 ()

                    This validation is to check Tax file number of the transferor entity against the TFN algorithm.

                    Legacy Rule Format:


                    IF (ALGORITHM([CGLS:TRFR:entity.identifier.TFN]) = FALSE)    
                        RETURN VALIDATION MESSAGE
                    ENDIF

                    Parseable Rule Format:

                    FailsTFNAlgorithm(^TFN)

                    Data Elements:

                    ^TFN = TRFR

                    */

                    assertion = FailsTFNAlgorithm(trfrContext.IdentifierTFN);
                    if (assertion)
                    {
                        processMessage = GetProcessMessage("D14VR.ATO.CGLS.404131", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                        response.Add(processMessage);
                    }
                    #endregion // VR.ATO.CGLS.404131


                }
            }
            #endregion // Foreach loop
            
            #region Repeating JEContext
            if (report.JEContexts != null)
            {
                foreach (CGLS2016.JEContext jeContext in report.JEContexts)
                {
                    #region VR.ATO.CGLS.404133


                    /*  VR.ATO.CGLS.404133 ()

                    This validation is to check Tax file number of the joining entity against the TFN algorithm.

                    Legacy Rule Format:


                    IF (ALGORITHM([CGLS:JE:entity.identifier.TFN]) = FALSE)    
                        RETURN VALIDATION MESSAGE
                    ENDIF

                    Parseable Rule Format:

                    FailsTFNAlgorithm(^TFN)

                    Data Elements:

                    ^TFN = JE

                    */

                    assertion = FailsTFNAlgorithm(jeContext.IdentifierTFN);
                    if (assertion)
                    {
                        processMessage = GetProcessMessage("D15VR.ATO.CGLS.404133", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                        response.Add(processMessage);
                    }
                    #endregion // VR.ATO.CGLS.404133


                }
            }
            #endregion // Foreach loop

            return response;
        }
        #endregion // Phase Context


        #region Phase Validation
        [MethodImpl(MethodImplOptions.AggressiveInlining)]
        public List<ProcessMessageDocument> ValidateValidations(CGLS2016 report)
        {
            List<ProcessMessageDocument> response = new List<ProcessMessageDocument>();
            ProcessMessageDocument processMessage;
            ProcessMessageParameter parameter;
            bool assertion;
            
            #region VR.ATO.GEN.001021


            /*  VR.ATO.GEN.001021 ()

            Entity Identifier Scheme is not set to http://www.ato.gov.au/tfn

            Legacy Rule Format:


            IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

            Data Elements:

            ^IdentifierScheme = RP

            */

            assertion = (report.RPIdentifierScheme != @"http://www.ato.gov.au/tfn");
            if (assertion)
            {
                processMessage = GetProcessMessage("D22VR.ATO.GEN.001021", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.GEN.001021

            #region VR.ATO.GEN.001021


            /*  VR.ATO.GEN.001021 ()

            Entity Identifier Scheme is not set to http://www.ato.gov.au/tfn

            Legacy Rule Format:


            IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

            Data Elements:

            ^IdentifierScheme = RP

            */

            assertion = (report.RPIdentifierScheme != @"http://www.ato.gov.au/tfn");
            if (assertion)
            {
                processMessage = GetProcessMessage("D124VR.ATO.GEN.001021", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.GEN.001021

            #region VR.ATO.GEN.001021


            /*  VR.ATO.GEN.001021 ()

            Entity Identifier Scheme is not set to http://www.ato.gov.au/tfn

            Legacy Rule Format:


            IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

            Data Elements:

            ^IdentifierScheme = RP.COTP

            */

            assertion = (report.RPCOTPIdentifierScheme != @"http://www.ato.gov.au/tfn");
            if (assertion)
            {
                processMessage = GetProcessMessage("D125VR.ATO.GEN.001021", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.GEN.001021

            #region VR.ATO.GEN.001021


            /*  VR.ATO.GEN.001021 ()

            Entity Identifier Scheme is not set to http://www.ato.gov.au/tfn

            Legacy Rule Format:


            IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

            Data Elements:

            ^IdentifierScheme = RP.COTF

            */

            assertion = (report.RPCOTFIdentifierScheme != @"http://www.ato.gov.au/tfn");
            if (assertion)
            {
                processMessage = GetProcessMessage("D126VR.ATO.GEN.001021", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.GEN.001021

            #region VR.ATO.GEN.001021


            /*  VR.ATO.GEN.001021 ()

            Entity Identifier Scheme is not set to http://www.ato.gov.au/tfn

            Legacy Rule Format:


            IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

            Data Elements:

            ^IdentifierScheme = RP.COTT

            */

            assertion = (report.RPCOTTIdentifierScheme != @"http://www.ato.gov.au/tfn");
            if (assertion)
            {
                processMessage = GetProcessMessage("D127VR.ATO.GEN.001021", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.GEN.001021

            #region VR.ATO.GEN.001021


            /*  VR.ATO.GEN.001021 ()

            Entity Identifier Scheme is not set to http://www.ato.gov.au/tfn

            Legacy Rule Format:


            IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

            Data Elements:

            ^IdentifierScheme = RP.GRP

            */

            assertion = (report.RPGRPIdentifierScheme != @"http://www.ato.gov.au/tfn");
            if (assertion)
            {
                processMessage = GetProcessMessage("D128VR.ATO.GEN.001021", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.GEN.001021

            #region VR.ATO.GEN.001021


            /*  VR.ATO.GEN.001021 ()

            Entity Identifier Scheme is not set to http://www.ato.gov.au/tfn

            Legacy Rule Format:


            IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

            Data Elements:

            ^IdentifierScheme = RP.TRFD

            */

            assertion = (report.RPTRFDIdentifierScheme != @"http://www.ato.gov.au/tfn");
            if (assertion)
            {
                processMessage = GetProcessMessage("D129VR.ATO.GEN.001021", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.GEN.001021

            #region VR.ATO.GEN.001021


            /*  VR.ATO.GEN.001021 ()

            Entity Identifier Scheme is not set to http://www.ato.gov.au/tfn

            Legacy Rule Format:


            IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

            Data Elements:

            ^IdentifierScheme = RP.TOT

            */

            assertion = (report.RPTOTIdentifierScheme != @"http://www.ato.gov.au/tfn");
            if (assertion)
            {
                processMessage = GetProcessMessage("D130VR.ATO.GEN.001021", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.GEN.001021

            #region VR.ATO.GEN.001021


            /*  VR.ATO.GEN.001021 ()

            Entity Identifier Scheme is not set to http://www.ato.gov.au/tfn

            Legacy Rule Format:


            IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

            Data Elements:

            ^IdentifierScheme = RP.GRP(Instant)

            */

            assertion = (report.RPGRPInstantIdentifierScheme != @"http://www.ato.gov.au/tfn");
            if (assertion)
            {
                processMessage = GetProcessMessage("D131VR.ATO.GEN.001021", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.GEN.001021

            #region VR.ATO.GEN.001021


            /*  VR.ATO.GEN.001021 ()

            Entity Identifier Scheme is not set to http://www.ato.gov.au/tfn

            Legacy Rule Format:


            IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

            Data Elements:

            ^IdentifierScheme = RP.TRFD(Instant)

            */

            assertion = (report.RPTRFDInstantIdentifierScheme != @"http://www.ato.gov.au/tfn");
            if (assertion)
            {
                processMessage = GetProcessMessage("D132VR.ATO.GEN.001021", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.GEN.001021

            #region VR.ATO.GEN.001021


            /*  VR.ATO.GEN.001021 ()

            Entity Identifier Scheme is not set to http://www.ato.gov.au/tfn

            Legacy Rule Format:


            IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

            Data Elements:

            ^IdentifierScheme = RP.TOT(Instant)

            */

            assertion = (report.RPTOTInstantIdentifierScheme != @"http://www.ato.gov.au/tfn");
            if (assertion)
            {
                processMessage = GetProcessMessage("D133VR.ATO.GEN.001021", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.GEN.001021

            #region VR.ATO.GEN.001021


            /*  VR.ATO.GEN.001021 ()

            Entity Identifier Scheme is not set to http://www.ato.gov.au/tfn

            Legacy Rule Format:


            IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

            Data Elements:

            ^IdentifierScheme = RP.Y0

            */

            assertion = (report.RPY0IdentifierScheme != @"http://www.ato.gov.au/tfn");
            if (assertion)
            {
                processMessage = GetProcessMessage("D134VR.ATO.GEN.001021", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.GEN.001021

            #region VR.ATO.GEN.001021


            /*  VR.ATO.GEN.001021 ()

            Entity Identifier Scheme is not set to http://www.ato.gov.au/tfn

            Legacy Rule Format:


            IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

            Data Elements:

            ^IdentifierScheme = RP.Y0-1

            */

            assertion = (report.RPY0Minus1IdentifierScheme != @"http://www.ato.gov.au/tfn");
            if (assertion)
            {
                processMessage = GetProcessMessage("D135VR.ATO.GEN.001021", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.GEN.001021

            #region VR.ATO.GEN.001021


            /*  VR.ATO.GEN.001021 ()

            Entity Identifier Scheme is not set to http://www.ato.gov.au/tfn

            Legacy Rule Format:


            IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

            Data Elements:

            ^IdentifierScheme = RP.Y0-2

            */

            assertion = (report.RPY0Minus2IdentifierScheme != @"http://www.ato.gov.au/tfn");
            if (assertion)
            {
                processMessage = GetProcessMessage("D136VR.ATO.GEN.001021", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.GEN.001021

            #region VR.ATO.GEN.001021


            /*  VR.ATO.GEN.001021 ()

            Entity Identifier Scheme is not set to http://www.ato.gov.au/tfn

            Legacy Rule Format:


            IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

            Data Elements:

            ^IdentifierScheme = RP.Y0-3

            */

            assertion = (report.RPY0Minus3IdentifierScheme != @"http://www.ato.gov.au/tfn");
            if (assertion)
            {
                processMessage = GetProcessMessage("D137VR.ATO.GEN.001021", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.GEN.001021

            #region VR.ATO.GEN.001021


            /*  VR.ATO.GEN.001021 ()

            Entity Identifier Scheme is not set to http://www.ato.gov.au/tfn

            Legacy Rule Format:


            IF Identifier Scheme <> “http://www.ato.gov.au/tfn”   
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^IdentifierScheme <> 'http://www.ato.gov.au/tfn'

            Data Elements:

            ^IdentifierScheme = RP.Y0-4P

            */

            assertion = (report.RPY0Minus4PIdentifierScheme != @"http://www.ato.gov.au/tfn");
            if (assertion)
            {
                processMessage = GetProcessMessage("D138VR.ATO.GEN.001021", location:"/xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:identifier");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.GEN.001021



            return response;
        }
        #endregion // Phase Validation


        #region Phase Format
        [MethodImpl(MethodImplOptions.AggressiveInlining)]
        public List<ProcessMessageDocument> ValidateFormats(CGLS2016 report)
        {
            List<ProcessMessageDocument> response = new List<ProcessMessageDocument>();
            ProcessMessageDocument processMessage;
            ProcessMessageParameter parameter;
            bool assertion;
            
            #region Repeating JEContext
            if (report.JEContexts != null)
            {
                foreach (CGLS2016.JEContext jeContext in report.JEContexts)
                {
                    #region VR.ATO.CGLS.404073


                    /*  VR.ATO.CGLS.404073 ()

                    If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

                    Legacy Rule Format:


                    IF ^CGLS38 <> NULL AND ^CGLS38 <> MONETARY(U,11,0)     
                        RETURN VALIDATION MESSAGE
                    ENDIF

                    Parseable Rule Format:

                    NotMonetary(^CGLS38, 'U', 11, 0)

                    Data Elements:

                    JE:^CGLS38 = rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount

                    */

                    assertion = NotMonetary(jeContext.CGLS38.GetValueOrDefault(), @"U", 11, 0);
                    if (assertion)
                    {
                        processMessage = GetProcessMessage("D23VR.ATO.CGLS.404073", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount");
                        response.Add(processMessage);
                    }
                    #endregion // VR.ATO.CGLS.404073


                }
            }
            #endregion // Foreach loop
            
            #region VR.ATO.CGLS.404204


            /*  VR.ATO.CGLS.404204 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS117 <> NULL AND ^CGLS117 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS117, 'U', 11, 0)

            Data Elements:

            RP:^CGLS117 = rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount

            */

            assertion = NotMonetary(report.CGLS117.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D29VR.ATO.CGLS.404204", location:"/xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404204

            #region VR.ATO.CGLS.404205


            /*  VR.ATO.CGLS.404205 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS118 <> NULL AND ^CGLS118 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS118, 'U', 11, 0)

            Data Elements:

            RP:^CGLS118 = rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount

            */

            assertion = NotMonetary(report.CGLS118.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D30VR.ATO.CGLS.404205", location:"/xbrli:xbrl/rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404205

            #region VR.ATO.CGLS.404202


            /*  VR.ATO.CGLS.404202 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS115 <> NULL AND ^CGLS115 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS115, 'U', 11, 0)

            Data Elements:

            RP:^CGLS115 = rvctc3.02.00:Tax.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount

            */

            assertion = NotMonetary(report.CGLS115.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D31VR.ATO.CGLS.404202", location:"/xbrli:xbrl/rvctc3.02.00:Tax.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404202

            #region VR.ATO.CGLS.404203


            /*  VR.ATO.CGLS.404203 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS116 <> NULL AND ^CGLS116 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS116, 'U', 11, 0)

            Data Elements:

            RP:^CGLS116 = rvctc3.02.02:Capital.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount

            */

            assertion = NotMonetary(report.CGLS116.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D32VR.ATO.CGLS.404203", location:"/xbrli:xbrl/rvctc3.02.02:Capital.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404203

            #region VR.ATO.CGLS.404270


            /*  VR.ATO.CGLS.404270 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS119 <> NULL AND ^CGLS119 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS119, 'U', 11, 0)

            Data Elements:

            RP:^CGLS119 = rvctc3.02.22:Tax.Losses.CarriedForward.ComplyingSuperannuationClass.Amount

            */

            assertion = NotMonetary(report.CGLS119.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D33VR.ATO.CGLS.404270", location:"/xbrli:xbrl/rvctc3.02.22:Tax.Losses.CarriedForward.ComplyingSuperannuationClass.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404270

            #region VR.ATO.CGLS.404271


            /*  VR.ATO.CGLS.404271 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS120 <> NULL AND ^CGLS120 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS120, 'U', 11, 0)

            Data Elements:

            RP:^CGLS120 = rvctc3.02.22:Capital.Losses.CarriedForward.ComplyingSuperannuationClassNet.Amount

            */

            assertion = NotMonetary(report.CGLS120.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D34VR.ATO.CGLS.404271", location:"/xbrli:xbrl/rvctc3.02.22:Capital.Losses.CarriedForward.ComplyingSuperannuationClassNet.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404271

            #region VR.ATO.CGLS.404100


            /*  VR.ATO.CGLS.404100 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS82 <> NULL AND ^CGLS82 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS82, 'U', 11, 0)

            Data Elements:

            RP:^CGLS82 = rvctc3.02.04:Tax.Losses.ControlledForeignCompany.Amount

            */

            assertion = NotMonetary(report.CGLS82.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D35VR.ATO.CGLS.404100", location:"/xbrli:xbrl/rvctc3.02.04:Tax.Losses.ControlledForeignCompany.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404100

            #region VR.ATO.CGLS.404089


            /*  VR.ATO.CGLS.404089 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS69 <> NULL AND ^CGLS69 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS69, 'U', 11, 0)

            Data Elements:

            RP:^CGLS69 = rvctc3.02.02:Tax.Losses.ControlledForeignCompanyDeducted.Amount

            */

            assertion = NotMonetary(report.CGLS69.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D36VR.ATO.CGLS.404089", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.ControlledForeignCompanyDeducted.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404089

            #region VR.ATO.CGLS.404090


            /*  VR.ATO.CGLS.404090 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS70 <> NULL AND ^CGLS70 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS70, 'U', 11, 0)

            Data Elements:

            RP:^CGLS70 = rvctc3.02.02:Tax.Losses.CarriedForward.ControlledForeignCompany.Amount

            */

            assertion = NotMonetary(report.CGLS70.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D37VR.ATO.CGLS.404090", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.CarriedForward.ControlledForeignCompany.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404090

            #region VR.ATO.CGLS.404124


            /*  VR.ATO.CGLS.404124 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS83 <> NULL AND ^CGLS83 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS83, 'U', 11, 0)

            Data Elements:

            RP:^CGLS83 = rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount

            */

            assertion = NotMonetary(report.CGLS83.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D38VR.ATO.CGLS.404124", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404124

            #region VR.ATO.CGLS.404206


            /*  VR.ATO.CGLS.404206 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS104 <> NULL AND ^CGLS104 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS104, 'U', 11, 0)

            Data Elements:

            RP:^CGLS104 = rvctc3.02.14:Tax.Losses.Uplift.Amount

            */

            assertion = NotMonetary(report.CGLS104.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D41VR.ATO.CGLS.404206", location:"/xbrli:xbrl/rvctc3.02.14:Tax.Losses.Uplift.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404206

            #region VR.ATO.CGLS.404102


            /*  VR.ATO.CGLS.404102 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS85 <> NULL AND ^CGLS85 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS85, 'U', 11, 0)

            Data Elements:

            RP:^CGLS85 = rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount

            */

            assertion = NotMonetary(report.CGLS85.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D42VR.ATO.CGLS.404102", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404102

            #region VR.ATO.CGLS.404123


            /*  VR.ATO.CGLS.404123 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS94 <> NULL AND ^CGLS94 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS94, 'U', 11, 0)

            Data Elements:

            RP:^CGLS94 = rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount

            */

            assertion = NotMonetary(report.CGLS94.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D43VR.ATO.CGLS.404123", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404123

            #region VR.ATO.CGLS.404103


            /*  VR.ATO.CGLS.404103 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS86 <> NULL AND ^CGLS86 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS86, 'U', 11, 0)

            Data Elements:

            RP:^CGLS86 = rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount

            */

            assertion = NotMonetary(report.CGLS86.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D44VR.ATO.CGLS.404103", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404103

            #region VR.ATO.CGLS.404104


            /*  VR.ATO.CGLS.404104 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS87 <> NULL AND ^CGLS87 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS87, 'U', 11, 0)

            Data Elements:

            RP:^CGLS87 = rvctc3.02.02:Tax.Losses.Incurred.Amount

            */

            assertion = NotMonetary(report.CGLS87.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D45VR.ATO.CGLS.404104", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.Incurred.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404104

            #region VR.ATO.CGLS.404105


            /*  VR.ATO.CGLS.404105 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS88 <> NULL AND ^CGLS88 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS88, 'U', 11, 0)

            Data Elements:

            RP:^CGLS88 = rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount

            */

            assertion = NotMonetary(report.CGLS88.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D46VR.ATO.CGLS.404105", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404105

            #region VR.ATO.CGLS.404106


            /*  VR.ATO.CGLS.404106 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS89 <> NULL AND ^CGLS89 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS89, 'U', 11, 0)

            Data Elements:

            RP:^CGLS89 = rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount

            */

            assertion = NotMonetary(report.CGLS89.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D47VR.ATO.CGLS.404106", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404106

            #region VR.ATO.CGLS.404107


            /*  VR.ATO.CGLS.404107 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS90 <> NULL AND ^CGLS90 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS90, 'U', 11, 0)

            Data Elements:

            RP:^CGLS90 = rvctc3.02.02:Tax.Losses.Forgone.Amount

            */

            assertion = NotMonetary(report.CGLS90.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D48VR.ATO.CGLS.404107", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.Forgone.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404107

            #region VR.ATO.CGLS.404108


            /*  VR.ATO.CGLS.404108 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS91 <> NULL AND ^CGLS91 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS91, 'U', 11, 0)

            Data Elements:

            RP:^CGLS91 = rvctc3.02.00:Tax.Losses.Total.Amount

            */

            assertion = NotMonetary(report.CGLS91.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D49VR.ATO.CGLS.404108", location:"/xbrli:xbrl/rvctc3.02.00:Tax.Losses.Total.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404108

            #region VR.ATO.CGLS.404109


            /*  VR.ATO.CGLS.404109 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS92 <> NULL AND ^CGLS92 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS92, 'U', 11, 0)

            Data Elements:

            RP:^CGLS92 = rvctc3.02.02:Tax.Losses.TransferredOut.Amount

            */

            assertion = NotMonetary(report.CGLS92.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D50VR.ATO.CGLS.404109", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredOut.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404109

            #region VR.ATO.CGLS.404110


            /*  VR.ATO.CGLS.404110 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS93 <> NULL AND ^CGLS93 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS93, 'U', 11, 0)

            Data Elements:

            RP:^CGLS93 = rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount

            */

            assertion = NotMonetary(report.CGLS93.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D51VR.ATO.CGLS.404110", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404110

            #region VR.ATO.CGLS.404048


            /*  VR.ATO.CGLS.404048 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS6 <> NULL AND ^CGLS6 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS6, 'U', 11, 0)

            Data Elements:

            RP.COTF:^CGLS6 = rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount

            */

            assertion = NotMonetary(report.CGLS6.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D53VR.ATO.CGLS.404048", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404048

            #region VR.ATO.CGLS.404051


            /*  VR.ATO.CGLS.404051 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS9 <> NULL AND ^CGLS9 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS9, 'U', 11, 0)

            Data Elements:

            RP.COTF:^CGLS9 = rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount

            */

            assertion = NotMonetary(report.CGLS9.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D54VR.ATO.CGLS.404051", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404051

            #region VR.ATO.CGLS.404061


            /*  VR.ATO.CGLS.404061 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS21 <> NULL AND ^CGLS21 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS21, 'U', 11, 0)

            Data Elements:

            RP.COTF:^CGLS21 = rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount

            */

            assertion = NotMonetary(report.CGLS21.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D55VR.ATO.CGLS.404061", location:"/xbrli:xbrl/rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404061

            #region VR.ATO.CGLS.404064


            /*  VR.ATO.CGLS.404064 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS24 <> NULL AND ^CGLS24 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS24, 'U', 11, 0)

            Data Elements:

            RP.COTF:^CGLS24 = rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount

            */

            assertion = NotMonetary(report.CGLS24.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D56VR.ATO.CGLS.404064", location:"/xbrli:xbrl/rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404064

            #region VR.ATO.CGLS.404047


            /*  VR.ATO.CGLS.404047 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS5 <> NULL AND ^CGLS5 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS5, 'U', 11, 0)

            Data Elements:

            RP.COTP:^CGLS5 = rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount

            */

            assertion = NotMonetary(report.CGLS5.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D57VR.ATO.CGLS.404047", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404047

            #region VR.ATO.CGLS.404050


            /*  VR.ATO.CGLS.404050 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS8 <> NULL AND ^CGLS8 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS8, 'U', 11, 0)

            Data Elements:

            RP.COTP:^CGLS8 = rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount

            */

            assertion = NotMonetary(report.CGLS8.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D58VR.ATO.CGLS.404050", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404050

            #region VR.ATO.CGLS.404060


            /*  VR.ATO.CGLS.404060 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS20 <> NULL AND ^CGLS20 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS20, 'U', 11, 0)

            Data Elements:

            RP.COTP:^CGLS20 = rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount

            */

            assertion = NotMonetary(report.CGLS20.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D59VR.ATO.CGLS.404060", location:"/xbrli:xbrl/rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404060

            #region VR.ATO.CGLS.404063


            /*  VR.ATO.CGLS.404063 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS23 <> NULL AND ^CGLS23 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS23, 'U', 11, 0)

            Data Elements:

            RP.COTP:^CGLS23 = rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount

            */

            assertion = NotMonetary(report.CGLS23.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D60VR.ATO.CGLS.404063", location:"/xbrli:xbrl/rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404063

            #region VR.ATO.CGLS.404049


            /*  VR.ATO.CGLS.404049 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS7 <> NULL AND ^CGLS7 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS7, 'U', 11, 0)

            Data Elements:

            RP.COTT:^CGLS7 = rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount

            */

            assertion = NotMonetary(report.CGLS7.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D61VR.ATO.CGLS.404049", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404049

            #region VR.ATO.CGLS.404052


            /*  VR.ATO.CGLS.404052 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS10 <> NULL AND ^CGLS10 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS10, 'U', 11, 0)

            Data Elements:

            RP.COTT:^CGLS10 = rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount

            */

            assertion = NotMonetary(report.CGLS10.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D62VR.ATO.CGLS.404052", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404052

            #region VR.ATO.CGLS.404062


            /*  VR.ATO.CGLS.404062 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS22 <> NULL AND ^CGLS22 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS22, 'U', 11, 0)

            Data Elements:

            RP.COTT:^CGLS22 = rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount

            */

            assertion = NotMonetary(report.CGLS22.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D63VR.ATO.CGLS.404062", location:"/xbrli:xbrl/rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404062

            #region VR.ATO.CGLS.404065


            /*  VR.ATO.CGLS.404065 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS25 <> NULL AND ^CGLS25 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS25, 'U', 11, 0)

            Data Elements:

            RP.COTT:^CGLS25 = rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount

            */

            assertion = NotMonetary(report.CGLS25.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D64VR.ATO.CGLS.404065", location:"/xbrli:xbrl/rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404065

            #region VR.ATO.CGLS.404208


            /*  VR.ATO.CGLS.404208 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF rvctc.xx.xx:Tax.Losses.Deducted.Amount <> NULL AND rvctc.xx.xx:Tax.Losses.Deducted.Amount <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS105, 'U', 11, 0)

            Data Elements:

            RP.GRP:^CGLS105 = rvctc3.02.15:Tax.Losses.Deducted.Amount

            */

            assertion = NotMonetary(report.CGLS105.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D66VR.ATO.CGLS.404208", location:"/xbrli:xbrl/rvctc3.02.15:Tax.Losses.Deducted.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404208

            #region VR.ATO.CGLS.404057


            /*  VR.ATO.CGLS.404057 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS17 <> NULL AND ^CGLS17 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS17, 'U', 11, 0)

            Data Elements:

            RP.GRP:^CGLS17 = rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount

            */

            assertion = NotMonetary(report.CGLS17.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D68VR.ATO.CGLS.404057", location:"/xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404057

            #region VR.ATO.CGLS.404210


            /*  VR.ATO.CGLS.404210 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF rvctc.xx.xx:Capital.Losses.AppliedNet.Amount <> NULL AND rvctc3.02.14:Capital.Losses.AppliedNet.Amount <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS110, 'U', 11, 0)

            Data Elements:

            RP.GRP:^CGLS110 = rvctc3.02.15:Capital.Losses.AppliedNet.Amount

            */

            assertion = NotMonetary(report.CGLS110.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D70VR.ATO.CGLS.404210", location:"/xbrli:xbrl/rvctc3.02.15:Capital.Losses.AppliedNet.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404210

            #region VR.ATO.CGLS.404070


            /*  VR.ATO.CGLS.404070 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS32 <> NULL AND ^CGLS32 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS32, 'U', 11, 0)

            Data Elements:

            RP.GRP(Instant):^CGLS32 = rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount

            */

            assertion = NotMonetary(report.CGLS32.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D72VR.ATO.CGLS.404070", location:"/xbrli:xbrl/rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404070

            #region VR.ATO.CGLS.404208


            /*  VR.ATO.CGLS.404208 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF rvctc.xx.xx:Tax.Losses.Deducted.Amount <> NULL AND rvctc.xx.xx:Tax.Losses.Deducted.Amount <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS107, 'U', 11, 0)

            Data Elements:

            RP.TOT:^CGLS107 = rvctc3.02.15:Tax.Losses.Deducted.Amount

            */

            assertion = NotMonetary(report.CGLS107.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D73VR.ATO.CGLS.404208", location:"/xbrli:xbrl/rvctc3.02.15:Tax.Losses.Deducted.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404208

            #region VR.ATO.CGLS.404059


            /*  VR.ATO.CGLS.404059 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS19 <> NULL AND ^CGLS19 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS19, 'U', 11, 0)

            Data Elements:

            RP.TOT:^CGLS19 = rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount

            */

            assertion = NotMonetary(report.CGLS19.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D77VR.ATO.CGLS.404059", location:"/xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404059

            #region VR.ATO.CGLS.404210


            /*  VR.ATO.CGLS.404210 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF rvctc.xx.xx:Capital.Losses.AppliedNet.Amount <> NULL AND rvctc3.02.14:Capital.Losses.AppliedNet.Amount <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS112, 'U', 11, 0)

            Data Elements:

            RP.TOT:^CGLS112 = rvctc3.02.15:Capital.Losses.AppliedNet.Amount

            */

            assertion = NotMonetary(report.CGLS112.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D78VR.ATO.CGLS.404210", location:"/xbrli:xbrl/rvctc3.02.15:Capital.Losses.AppliedNet.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404210

            #region VR.ATO.CGLS.404072


            /*  VR.ATO.CGLS.404072 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS34 <> NULL AND ^CGLS34 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS34, 'U', 11, 0)

            Data Elements:

            RP.TOT(Instant):^CGLS34 = rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount

            */

            assertion = NotMonetary(report.CGLS34.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D81VR.ATO.CGLS.404072", location:"/xbrli:xbrl/rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404072

            #region VR.ATO.CGLS.404208


            /*  VR.ATO.CGLS.404208 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF rvctc.xx.xx:Tax.Losses.Deducted.Amount <> NULL AND rvctc.xx.xx:Tax.Losses.Deducted.Amount <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS106, 'U', 11, 0)

            Data Elements:

            RP.TRFD:^CGLS106 = rvctc3.02.15:Tax.Losses.Deducted.Amount

            */

            assertion = NotMonetary(report.CGLS106.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D82VR.ATO.CGLS.404208", location:"/xbrli:xbrl/rvctc3.02.15:Tax.Losses.Deducted.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404208

            #region VR.ATO.CGLS.404058


            /*  VR.ATO.CGLS.404058 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS18 <> NULL AND ^CGLS18 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS18, 'U', 11, 0)

            Data Elements:

            RP.TRFD:^CGLS18 = rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount

            */

            assertion = NotMonetary(report.CGLS18.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D86VR.ATO.CGLS.404058", location:"/xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404058

            #region VR.ATO.CGLS.404210


            /*  VR.ATO.CGLS.404210 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF rvctc.xx.xx:Capital.Losses.AppliedNet.Amount <> NULL AND rvctc3.02.14:Capital.Losses.AppliedNet.Amount <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS111, 'U', 11, 0)

            Data Elements:

            RP.TRFD:^CGLS111 = rvctc3.02.15:Capital.Losses.AppliedNet.Amount

            */

            assertion = NotMonetary(report.CGLS111.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D87VR.ATO.CGLS.404210", location:"/xbrli:xbrl/rvctc3.02.15:Capital.Losses.AppliedNet.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404210

            #region VR.ATO.CGLS.404071


            /*  VR.ATO.CGLS.404071 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS33 <> NULL AND ^CGLS33 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS33, 'U', 11, 0)

            Data Elements:

            RP.TRFD(Instant):^CGLS33 = rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount

            */

            assertion = NotMonetary(report.CGLS33.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D91VR.ATO.CGLS.404071", location:"/xbrli:xbrl/rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404071

            #region VR.ATO.CGLS.404074


            /*  VR.ATO.CGLS.404074 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS39 <> NULL AND ^CGLS39 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS39, 'U', 11, 0)

            Data Elements:

            RP.Y0:^CGLS39 = rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount

            */

            assertion = NotMonetary(report.CGLS39.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D92VR.ATO.CGLS.404074", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404074

            #region VR.ATO.CGLS.404075


            /*  VR.ATO.CGLS.404075 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS40 <> NULL AND ^CGLS40 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS40, 'U', 11, 0)

            Data Elements:

            RP.Y0-1:^CGLS40 = rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount

            */

            assertion = NotMonetary(report.CGLS40.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D93VR.ATO.CGLS.404075", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404075

            #region VR.ATO.CGLS.404076


            /*  VR.ATO.CGLS.404076 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS41 <> NULL AND ^CGLS41 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS41, 'U', 11, 0)

            Data Elements:

            RP.Y0-2:^CGLS41 = rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount

            */

            assertion = NotMonetary(report.CGLS41.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D94VR.ATO.CGLS.404076", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404076

            #region VR.ATO.CGLS.404077


            /*  VR.ATO.CGLS.404077 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS42 <> NULL AND ^CGLS42 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS42, 'U', 11, 0)

            Data Elements:

            RP.Y0-3:^CGLS42 = rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount

            */

            assertion = NotMonetary(report.CGLS42.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D95VR.ATO.CGLS.404077", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404077

            #region VR.ATO.CGLS.404078


            /*  VR.ATO.CGLS.404078 ()

            If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

            Legacy Rule Format:


            IF ^CGLS43 <> NULL AND ^CGLS43 <> MONETARY(U,11,0)     
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            NotMonetary(^CGLS43, 'U', 11, 0)

            Data Elements:

            RP.Y0-4P:^CGLS43 = rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount

            */

            assertion = NotMonetary(report.CGLS43.GetValueOrDefault(), @"U", 11, 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D96VR.ATO.CGLS.404078", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404078


            
            #region Repeating TRFRContext
            if (report.TRFRContexts != null)
            {
                foreach (CGLS2016.TRFRContext trfrContext in report.TRFRContexts)
                {
                    #region VR.ATO.CGLS.404221


                    /*  VR.ATO.CGLS.404221 ()

                    Amount entered for available fraction must be greater than zero.

                    Legacy Rule Format:


                    IF ^CGLS108 = 0  
                        RETURN VALIDATION MESSAGE
                    ENDIF

                    Parseable Rule Format:

                    ^CGLS108 = 0

                    Data Elements:

                    TRFR:^CGLS108 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction

                    */

                    assertion = (trfrContext.CGLS108.GetValueOrDefault() == 0);
                    if (assertion)
                    {
                        processMessage = GetProcessMessage("D99VR.ATO.CGLS.404221", location:"/xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction");
                        response.Add(processMessage);
                    }
                    #endregion // VR.ATO.CGLS.404221

                    #region VR.ATO.CGLS.404231


                    /*  VR.ATO.CGLS.404231 ()

                    Each available fraction label amount completed for transferred tax losses deducted or transferred net capital losses deducted must not exceed 1.000.

                    Legacy Rule Format:


                    IN CONTEXT(TRFR)IF ^CGLS108 > 1.000 OR ^CGLS113 > 1.000      
                        RETURN VALIDATION MESSAGE
                    ENDIF

                    Parseable Rule Format:

                    ^CGLS108 > 1.000 OR ^CGLS113 > 1.000

                    Data Elements:

                    TRFR:^CGLS108 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction

                    TRFR:^CGLS113 = rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction

                    */

                    assertion = (trfrContext.CGLS108.GetValueOrDefault() > 1.000M || trfrContext.CGLS113.GetValueOrDefault() > 1.000M);
                    if (assertion)
                    {
                        processMessage = GetProcessMessage("D100VR.ATO.CGLS.404231", location:"/xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction");
                        response.Add(processMessage);
                    }
                    #endregion // VR.ATO.CGLS.404231

                    #region VR.ATO.CGLS.404232


                    /*  VR.ATO.CGLS.404232 ()

                    If available fraction field populated, then entered figure must be a single digit followed by 3 decimal places.

                    Legacy Rule Format:


                    IF ^CGLS108 <> NULL AND ^CGLS108 <> NUMBER(U,4,3)     RETURN VALIDATION ERRORENDIF

                    Parseable Rule Format:

                    NotNumeric(^CGLS108, 'U', 4, 3)

                    Data Elements:

                    TRFR:^CGLS108 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction

                    */

                    assertion = NotNumeric(trfrContext.CGLS108.GetValueOrDefault(), @"U", 4, 3);
                    if (assertion)
                    {
                        processMessage = GetProcessMessage("D101VR.ATO.CGLS.404232", location:"/xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction");
                        response.Add(processMessage);
                    }
                    #endregion // VR.ATO.CGLS.404232

                    #region VR.ATO.CGLS.404224


                    /*  VR.ATO.CGLS.404224 ()

                    If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

                    Legacy Rule Format:


                    IF ^CGLS109 <> NULL AND ^CGLS109 <> MONETARY(U,11,0)     
                        RETURN VALIDATION MESSAGE
                    ENDIF

                    Parseable Rule Format:

                    NotMonetary(^CGLS109, 'U', 11, 0)

                    Data Elements:

                    TRFR:^CGLS109 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount

                    */

                    assertion = NotMonetary(trfrContext.CGLS109.GetValueOrDefault(), @"U", 11, 0);
                    if (assertion)
                    {
                        processMessage = GetProcessMessage("D104VR.ATO.CGLS.404224", location:"/xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount");
                        response.Add(processMessage);
                    }
                    #endregion // VR.ATO.CGLS.404224

                    #region VR.ATO.CGLS.404226


                    /*  VR.ATO.CGLS.404226 ()

                    If available fraction field populated, then entered figure must be a single digit followed by 3 decimal places.

                    Legacy Rule Format:


                    IF ^CGLS113 <> NULL AND ^CGLS113 <> NUMBER (U,4,3)      
                        RETURN VALIDATION MESSAGE
                    ENDIF

                    Parseable Rule Format:

                    NotNumeric(^CGLS113, 'U', 4, 3)

                    Data Elements:

                    TRFR:^CGLS113 = rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction

                    */

                    assertion = NotNumeric(trfrContext.CGLS113.GetValueOrDefault(), @"U", 4, 3);
                    if (assertion)
                    {
                        processMessage = GetProcessMessage("D106VR.ATO.CGLS.404226", location:"/xbrli:xbrl/rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction");
                        response.Add(processMessage);
                    }
                    #endregion // VR.ATO.CGLS.404226

                    #region VR.ATO.CGLS.404228


                    /*  VR.ATO.CGLS.404228 ()

                    The available fraction used for transferred net capital losses applied cannot equal zero

                    Legacy Rule Format:


                    IF ^CGLS113 = 0  
                        RETURN VALIDATION MESSAGE
                    ENDIF

                    Parseable Rule Format:

                    ^CGLS113 = 0

                    Data Elements:

                    TRFR:^CGLS113 = rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction

                    */

                    assertion = (trfrContext.CGLS113.GetValueOrDefault() == 0);
                    if (assertion)
                    {
                        processMessage = GetProcessMessage("D108VR.ATO.CGLS.404228", location:"/xbrli:xbrl/rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction");
                        response.Add(processMessage);
                    }
                    #endregion // VR.ATO.CGLS.404228

                    #region VR.ATO.CGLS.404229


                    /*  VR.ATO.CGLS.404229 ()

                    If this monetary field is populated ensure it complies with the monetary field format rules and also contains a maximum of 11 digits with no decimal places.

                    Legacy Rule Format:


                    IF ^CGLS114 <> NULL AND ^CGLS114 <> MONETARY(U,11,0)     
                        RETURN VALIDATION MESSAGE
                    ENDIF

                    Parseable Rule Format:

                    NotMonetary(^CGLS114, 'U', 11, 0)

                    Data Elements:

                    TRFR:^CGLS114 = rvctc3.02.15:Capital.Losses.TransferredApplied.Amount

                    */

                    assertion = NotMonetary(trfrContext.CGLS114.GetValueOrDefault(), @"U", 11, 0);
                    if (assertion)
                    {
                        processMessage = GetProcessMessage("D109VR.ATO.CGLS.404229", location:"/xbrli:xbrl/rvctc3.02.15:Capital.Losses.TransferredApplied.Amount");
                        response.Add(processMessage);
                    }
                    #endregion // VR.ATO.CGLS.404229


                }
            }
            #endregion // Foreach loop

            return response;
        }
        #endregion // Phase Format


        #region Phase Crossfield
        [MethodImpl(MethodImplOptions.AggressiveInlining)]
        public List<ProcessMessageDocument> ValidateCrossfields(CGLS2016 report)
        {
            List<ProcessMessageDocument> response = new List<ProcessMessageDocument>();
            ProcessMessageDocument processMessage;
            ProcessMessageParameter parameter;
            bool assertion;
            
            #region Repeating JEContext
            if (report.JEContexts != null)
            {
                foreach (CGLS2016.JEContext jeContext in report.JEContexts)
                {
                    #region VR.ATO.CGLS.404143


                    /*  VR.ATO.CGLS.404143 ()

                    If the head company has cancelled the transfer of a loss then the amount must be shown

                    Legacy Rule Format:


                    IN CONTEXT(JE)IF ^CGLS38 = NULL  
                        RETURN VALIDATION MESSAGE
                    ENDIF

                    Parseable Rule Format:

                    ^CGLS38 = NULL

                    Data Elements:

                    JE:^CGLS38 = rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount

                    */

                    assertion = (NullOrBlank(jeContext.CGLS38) == false);
                    if (assertion)
                    {
                        processMessage = GetProcessMessage("D24VR.ATO.CGLS.404143", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount");
                        response.Add(processMessage);
                    }
                    #endregion // VR.ATO.CGLS.404143

                    #region VR.ATO.CGLS.404023


                    /*  VR.ATO.CGLS.404023 ()

                    If the question "Has the head company cancelled the transfer of a loss?" has been answered with "no" then the details of the joining entity TFN and amount must not be completed.

                    Legacy Rule Format:


                    IF ^CGLS36 = FALSE AND (CGLS:JE:entity.identifier.TFN <> NULLORBLANK OR ^CGLS38 <> NULL)        
                        RETURN VALIDATION MESSAGE
                    ENDIF

                    Parseable Rule Format:

                    ^CGLS36 = FALSE AND (^TFN <> BLANK OR ^CGLS38 <> NULL)

                    Data Elements:

                    RP:^CGLS36 = rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator

                    JE:^CGLS38 = rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount

                    JE:^TFN = JE

                    */

                    assertion = (report.CGLS36.GetValueOrDefault() == false && (NullOrBlank(jeContext.IdentifierTFN) != true || NullOrBlank(jeContext.CGLS38) != false));
                    if (assertion)
                    {
                        processMessage = GetProcessMessage("D27VR.ATO.CGLS.404023", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator");
                        response.Add(processMessage);
                    }
                    #endregion // VR.ATO.CGLS.404023


                }
            }
            #endregion // Foreach loop
            
            #region VR.ATO.GEN.410049


            /*  VR.ATO.GEN.410049 ()

            Organisation Name Type Code must be 'MN'

            Legacy Rule Format:


            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> "MN")   
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            (^CGLS100 <> BLANK) AND (^CGLS100 <> 'MN')

            Data Elements:

            RP:^CGLS100 = pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN']

            */

            assertion = (NullOrBlank(report.CGLS100) != true && report.CGLS100 != @"MN");
            if (assertion)
            {
                processMessage = GetProcessMessage("D25VR.ATO.GEN.410049", location:"/xbrli:xbrl/orgname1.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.GEN.410049

            #region VR.ATO.CGLS.404022


            /*  VR.ATO.CGLS.404022 ()

            If the question "Has the head company cancelled the transfer of a loss?" has been answered with "yes" then the details of at least one individual joining entity TFN and amount  must be entered.

            Legacy Rule Format:


            IF ^CGLS36 = TRUE AND COUNT CONTEXT JE = 0         
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^CGLS36 = TRUE AND Count(^Context) = 0

            Data Elements:

            RP:^CGLS36 = rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator

            RP:^Context = JE

            */

            assertion = (report.CGLS36.GetValueOrDefault() == true && Count(report.JEContexts) == 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D26VR.ATO.CGLS.404022", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404022

            #region VR.ATO.CGLS.404145


            /*  VR.ATO.CGLS.404145 ()

            In the tax losses reconciliation the sum of the added amounts must be equal to or greater than the sum of the subtracted amounts

            Legacy Rule Format:


            IF (^CGLS94 OR ^CGLS86 OR ^CGLS89 OR ^CGLS90 OR ^CGLS91 OR ^CGLS92 OR  ^CGLS104<>NULL) AND (^CGLS94+^CGLS86+^CGLS89+^CGLS90+^CGLS91+^CGLS92> ^CGLS104+ ^CGLS83+^CGLS85+^CGLS87+^CGLS88)  
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            (^CGLS94 OR ^CGLS86 OR ^CGLS89 OR ^CGLS90 OR ^CGLS91 OR ^CGLS92 OR  ^CGLS104 <> NULL) AND (^CGLS94+^CGLS86+^CGLS89+^CGLS90+^CGLS91+^CGLS92> ^CGLS104+ ^CGLS83+^CGLS85+^CGLS87+^CGLS88)

            Data Elements:

            RP:^CGLS83 = rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount

            RP:^CGLS85 = rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount

            RP:^CGLS86 = rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount

            RP:^CGLS87 = rvctc3.02.02:Tax.Losses.Incurred.Amount

            RP:^CGLS88 = rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount

            RP:^CGLS89 = rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount

            RP:^CGLS90 = rvctc3.02.02:Tax.Losses.Forgone.Amount

            RP:^CGLS91 = rvctc3.02.00:Tax.Losses.Total.Amount

            RP:^CGLS92 = rvctc3.02.02:Tax.Losses.TransferredOut.Amount

            RP:^CGLS94 = rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount

            RP:^CGLS104 = rvctc3.02.14:Tax.Losses.Uplift.Amount

            */

            assertion = ((report.CGLS94.GetValueOrDefault() || report.CGLS86.GetValueOrDefault() || report.CGLS89.GetValueOrDefault() || report.CGLS90.GetValueOrDefault() || report.CGLS91.GetValueOrDefault() || report.CGLS92.GetValueOrDefault() || NullOrBlank(report.CGLS104) != false) && report.CGLS94.GetValueOrDefault() + report.CGLS86.GetValueOrDefault() + report.CGLS89.GetValueOrDefault() + report.CGLS90.GetValueOrDefault() + report.CGLS91.GetValueOrDefault() + report.CGLS92.GetValueOrDefault() > report.CGLS104.GetValueOrDefault() + report.CGLS83.GetValueOrDefault() + report.CGLS85.GetValueOrDefault() + report.CGLS87.GetValueOrDefault() + report.CGLS88.GetValueOrDefault());
            if (assertion)
            {
                processMessage = GetProcessMessage("D39VR.ATO.CGLS.404145", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404145

            #region VR.ATO.CGLS.404146


            /*  VR.ATO.CGLS.404146 ()

            The tax losses reconciliation for consolidated group losses must equal the Total tax losses carried forward to later years.

            Legacy Rule Format:


            IF ((^CGLS83 OR ^CGLS104 OR ^CGLS85 OR ^CGLS94 OR ^CGLS86 OR ^CGLS87 OR ^CGLS88 OR ^CGLS89 OR ^CGLS90 OR ^CGLS91 OR ^CGLS92 OR ^CGLS93)<>NULL) AND (^CGLS93<> ^CGLS83+^CGLS104+^CGLS85-^CGLS94-^CGLS86+^CGLS87+^CGLS88-^CGLS89-^CGLS90-^CGLS91-^CGLS92) 
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ((^CGLS83 OR ^CGLS104 OR ^CGLS85 OR ^CGLS94 OR ^CGLS86 OR ^CGLS87 OR ^CGLS88 OR ^CGLS89 OR ^CGLS90 OR ^CGLS91 OR ^CGLS92 OR ^CGLS93)<> NULL) AND (^CGLS93 <> ^CGLS83+^CGLS104+^CGLS85-^CGLS94-^CGLS86+^CGLS87+^CGLS88-^CGLS89-^CGLS90-^CGLS91-^CGLS92)

            Data Elements:

            RP:^CGLS83 = rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount

            RP:^CGLS85 = rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount

            RP:^CGLS86 = rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount

            RP:^CGLS87 = rvctc3.02.02:Tax.Losses.Incurred.Amount

            RP:^CGLS88 = rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount

            RP:^CGLS89 = rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount

            RP:^CGLS90 = rvctc3.02.02:Tax.Losses.Forgone.Amount

            RP:^CGLS91 = rvctc3.02.00:Tax.Losses.Total.Amount

            RP:^CGLS92 = rvctc3.02.02:Tax.Losses.TransferredOut.Amount

            RP:^CGLS93 = rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount

            RP:^CGLS94 = rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount

            RP:^CGLS104 = rvctc3.02.14:Tax.Losses.Uplift.Amount

            */

            assertion = ((report.CGLS83.GetValueOrDefault() || report.CGLS104.GetValueOrDefault() || report.CGLS85.GetValueOrDefault() || report.CGLS94.GetValueOrDefault() || report.CGLS86.GetValueOrDefault() || report.CGLS87.GetValueOrDefault() || report.CGLS88.GetValueOrDefault() || report.CGLS89.GetValueOrDefault() || report.CGLS90.GetValueOrDefault() || report.CGLS91.GetValueOrDefault() || report.CGLS92.GetValueOrDefault() || report.CGLS93.GetValueOrDefault()) != " && report.CGLS93.GetValueOrDefault() != report.CGLS83.GetValueOrDefault() + report.CGLS104.GetValueOrDefault() + report.CGLS85.GetValueOrDefault() - report.CGLS94.GetValueOrDefault() - report.CGLS86.GetValueOrDefault() + report.CGLS87.GetValueOrDefault() + report.CGLS88.GetValueOrDefault() - report.CGLS89.GetValueOrDefault() - report.CGLS90.GetValueOrDefault() - report.CGLS91.GetValueOrDefault() - report.CGLS92.GetValueOrDefault());
            if (assertion)
            {
                processMessage = GetProcessMessage("D40VR.ATO.CGLS.404146", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404146

            #region VR.ATO.CGLS.404000


            /*  VR.ATO.CGLS.404000 ()

            If any labels have been completed that relate to tax losses or net capital losses that have satisfied the same business test, then an amount must be entered against at least one of the financial years listed showing the year ownership test failed.

            Legacy Rule Format:


            IF (^CGLS6 > 0 OR ^CGLS9 > 0 OR ^CGLS21 > 0 OR ^CGLS24 > 0) AND (^CGLS39 = NULL OR ^CGLS39 = 0) AND (^CGLS40 = NULL OR ^CGLS40 = 0) AND (^CGLS41 = NULL OR ^CGLS41 = 0) AND (^CGLS42 = NULL OR ^CGLS42 = 0) AND (^CGLS43 = NULL OR ^CGLS43 = 0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            (^CGLS6 > 0 OR ^CGLS9 > 0 OR ^CGLS21 > 0 OR ^CGLS24 > 0) AND (^CGLS39 = NULL OR ^CGLS39 = 0) AND (^CGLS40 = NULL OR ^CGLS40 = 0) AND (^CGLS41 = NULL OR ^CGLS41 = 0) AND (^CGLS42 = NULL OR ^CGLS42 = 0) AND (^CGLS43 = NULL OR ^CGLS43 = 0)

            Data Elements:

            RP.COTF:^CGLS6 = rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount

            RP.COTF:^CGLS9 = rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount

            RP.COTF:^CGLS21 = rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount

            RP.COTF:^CGLS24 = rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount

            RP.Y0:^CGLS39 = rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount

            RP.Y0-1:^CGLS40 = rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount

            RP.Y0-2:^CGLS41 = rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount

            RP.Y0-3:^CGLS42 = rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount

            RP.Y0-4P:^CGLS43 = rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount

            */

            assertion = ((report.CGLS6.GetValueOrDefault() > 0 || report.CGLS9.GetValueOrDefault() > 0 || report.CGLS21.GetValueOrDefault() > 0 || report.CGLS24.GetValueOrDefault() > 0) && (NullOrBlank(report.CGLS39) == false || report.CGLS39.GetValueOrDefault() == 0) && (NullOrBlank(report.CGLS40) == false || report.CGLS40.GetValueOrDefault() == 0) && (NullOrBlank(report.CGLS41) == false || report.CGLS41.GetValueOrDefault() == 0) && (NullOrBlank(report.CGLS42) == false || report.CGLS42.GetValueOrDefault() == 0) && (NullOrBlank(report.CGLS43) == false || report.CGLS43.GetValueOrDefault() == 0));
            if (assertion)
            {
                processMessage = GetProcessMessage("D52VR.ATO.CGLS.404000", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404000

            #region VR.ATO.CGLS.404207


            /*  VR.ATO.CGLS.404207 ()

            The sum of group tax losses deducted and transferred tax losses decucted must equal total tax losses deducted.

            Legacy Rule Format:


            IF (^CGLS105 + ^CGLS106) <> ^CGLS107         
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            (^CGLS105 + ^CGLS106) <> ^CGLS107

            Data Elements:

            RP.GRP:^CGLS105 = rvctc3.02.15:Tax.Losses.Deducted.Amount

            RP.TRFD:^CGLS106 = rvctc3.02.15:Tax.Losses.Deducted.Amount

            RP.TOT:^CGLS107 = rvctc3.02.15:Tax.Losses.Deducted.Amount

            */

            assertion = (report.CGLS105.GetValueOrDefault() + report.CGLS106.GetValueOrDefault() != report.CGLS107.GetValueOrDefault());
            if (assertion)
            {
                processMessage = GetProcessMessage("D65VR.ATO.CGLS.404207", location:"/xbrli:xbrl/rvctc3.02.15:Tax.Losses.Deducted.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404207

            #region VR.ATO.CGLS.404010


            /*  VR.ATO.CGLS.404010 ()

            The sum of group tax losses carried forward to later income years and transferred tax losses carried forward to later income years must equal the total tax losses carried forward to later income years.

            Legacy Rule Format:


            IF ^CGLS17 + ^CGLS18 <> ^CGLS19 
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^CGLS17 + ^CGLS18 <> ^CGLS19

            Data Elements:

            RP.GRP:^CGLS17 = rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount

            RP.TRFD:^CGLS18 = rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount

            RP.TOT:^CGLS19 = rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount

            */

            assertion = (report.CGLS17.GetValueOrDefault() + report.CGLS18.GetValueOrDefault() != report.CGLS19.GetValueOrDefault());
            if (assertion)
            {
                processMessage = GetProcessMessage("D67VR.ATO.CGLS.404010", location:"/xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404010

            #region VR.ATO.CGLS.404209


            /*  VR.ATO.CGLS.404209 ()

            The sum of  group net capital losses applied and transferred net capital losses applied must equal total net capital losses applied.

            Legacy Rule Format:


            IF (^CGLS110 + ^CGLS111) <> ^CGLS112 
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            (^CGLS110 + ^CGLS111) <> ^CGLS112

            Data Elements:

            RP.GRP:^CGLS110 = rvctc3.02.15:Capital.Losses.AppliedNet.Amount

            RP.TRFD:^CGLS111 = rvctc3.02.15:Capital.Losses.AppliedNet.Amount

            RP.TOT:^CGLS112 = rvctc3.02.15:Capital.Losses.AppliedNet.Amount

            */

            assertion = (report.CGLS110.GetValueOrDefault() + report.CGLS111.GetValueOrDefault() != report.CGLS112.GetValueOrDefault());
            if (assertion)
            {
                processMessage = GetProcessMessage("D69VR.ATO.CGLS.404209", location:"/xbrli:xbrl/rvctc3.02.15:Capital.Losses.AppliedNet.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404209

            #region VR.ATO.CGLS.404019


            /*  VR.ATO.CGLS.404019 ()

            The sum of group net capital losses carried forward to later income years and transferred net capital losses carried forward to later income years must equal the total net capital losses carried forward to later income years.

            Legacy Rule Format:


            IF ^CGLS32 + ^CGLS33 <> ^CGLS34 
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^CGLS32 + ^CGLS33 <> ^CGLS34

            Data Elements:

            RP.GRP(Instant):^CGLS32 = rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount

            RP.TRFD(Instant):^CGLS33 = rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount

            RP.TOT(Instant):^CGLS34 = rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount

            */

            assertion = (report.CGLS32.GetValueOrDefault() + report.CGLS33.GetValueOrDefault() != report.CGLS34.GetValueOrDefault());
            if (assertion)
            {
                processMessage = GetProcessMessage("D71VR.ATO.CGLS.404019", location:"/xbrli:xbrl/rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404019

            #region VR.ATO.CGLS.404211


            /*  VR.ATO.CGLS.404211 ()

            Amount of tax losses deducted after consolidation cannot exceed total amount of tax losses deducted.

            Legacy Rule Format:


            IF ^CGLS115 <> NULL AND ^CGLS115 > ^CGLS107         
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^CGLS115 <> NULL AND ^CGLS115 > ^CGLS107

            Data Elements:

            RP.TOT:^CGLS107 = rvctc3.02.15:Tax.Losses.Deducted.Amount

            RP:^CGLS115 = rvctc3.02.00:Tax.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount

            */

            assertion = (NullOrBlank(report.CGLS115) != false && report.CGLS115.GetValueOrDefault() > report.CGLS107.GetValueOrDefault());
            if (assertion)
            {
                processMessage = GetProcessMessage("D74VR.ATO.CGLS.404211", location:"/xbrli:xbrl/rvctc3.02.15:Tax.Losses.Deducted.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404211

            #region VR.ATO.CGLS.404012


            /*  VR.ATO.CGLS.404012 ()

            The amount of tax losses carried forward to later income years for which the same business test must be satisfied before they can be deducted cannot exceed the total amount of tax losses carried forward to later income years.

            Legacy Rule Format:


            IF ^CGLS117 <> NULL AND ^CGLS117 > ^CGLS19 
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^CGLS117 <> NULL AND ^CGLS117 > ^CGLS19

            Data Elements:

            RP.TOT:^CGLS19 = rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount

            RP:^CGLS117 = rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount

            */

            assertion = (NullOrBlank(report.CGLS117) != false && report.CGLS117.GetValueOrDefault() > report.CGLS19.GetValueOrDefault());
            if (assertion)
            {
                processMessage = GetProcessMessage("D75VR.ATO.CGLS.404012", location:"/xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404012

            #region VR.ATO.CGLS.404013


            /*  VR.ATO.CGLS.404013 ()

            Tax losses carried forward to later income years-Total must equal the Total tax losses carried forward to later years.

            Legacy Rule Format:


            IF (^CGLS19 <> NULL OR ^CGLS93 <> NULL)AND ^CGLS19 <> ^CGLS93  
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            (^CGLS19 <> NULL OR ^CGLS93 <> NULL) AND ^CGLS19 <> ^CGLS93

            Data Elements:

            RP.TOT:^CGLS19 = rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount

            RP:^CGLS93 = rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount

            */

            assertion = ((NullOrBlank(report.CGLS19) != false || NullOrBlank(report.CGLS93) != false) && report.CGLS19.GetValueOrDefault() != report.CGLS93.GetValueOrDefault());
            if (assertion)
            {
                processMessage = GetProcessMessage("D76VR.ATO.CGLS.404013", location:"/xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404013

            #region VR.ATO.CGLS.404213


            /*  VR.ATO.CGLS.404213 ()

            Amount of net capital losses applied after consolidation cannot exceed total amount of net capital losses applied.

            Legacy Rule Format:


            IF ^CGLS116 <> NULL AND ^CGLS116 > ^CGLS112 
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^CGLS116 <> NULL AND ^CGLS116 > ^CGLS112

            Data Elements:

            RP.TOT:^CGLS112 = rvctc3.02.15:Capital.Losses.AppliedNet.Amount

            RP:^CGLS116 = rvctc3.02.02:Capital.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount

            */

            assertion = (NullOrBlank(report.CGLS116) != false && report.CGLS116.GetValueOrDefault() > report.CGLS112.GetValueOrDefault());
            if (assertion)
            {
                processMessage = GetProcessMessage("D79VR.ATO.CGLS.404213", location:"/xbrli:xbrl/rvctc3.02.15:Capital.Losses.AppliedNet.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404213

            #region VR.ATO.CGLS.404021


            /*  VR.ATO.CGLS.404021 ()

            Amount of net capital losses carried forward to later income years for which the same business test must be satisfied before they can be applied. Cannot exceed the total amount of net capital losses carried forward to later income years.

            Legacy Rule Format:


            IF ^CGLS118 <> NULL AND ^CGLS118 > ^CGLS34      
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^CGLS118 <> NULL AND ^CGLS118 > ^CGLS34

            Data Elements:

            RP.TOT(Instant):^CGLS34 = rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount

            RP:^CGLS118 = rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount

            */

            assertion = (NullOrBlank(report.CGLS118) != false && report.CGLS118.GetValueOrDefault() > report.CGLS34.GetValueOrDefault());
            if (assertion)
            {
                processMessage = GetProcessMessage("D80VR.ATO.CGLS.404021", location:"/xbrli:xbrl/rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404021

            #region VR.ATO.CGLS.404214


            /*  VR.ATO.CGLS.404214 ()

            If an amount has been entered at transferred tax losses deducted then the details of a least one transferred tax loss deducted including transferor TFN, available fraction and amount (greater than zero) must be completed.

            Legacy Rule Format:


            IF ^CGLS106 > 0 AND COUNT(^CGLS108) = 0   
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^CGLS106 > 0 AND Count(^CGLS108) = 0

            Data Elements:

            RP.TRFD:^CGLS106 = rvctc3.02.15:Tax.Losses.Deducted.Amount

            TRFR:^CGLS108 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction

            */

            assertion = (report.CGLS106.GetValueOrDefault() > 0 && Count(report.TRFRContexts == null ? null : report.TRFRContexts.Select(f => f.CGLS108)) == 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D83VR.ATO.CGLS.404214", location:"/xbrli:xbrl/rvctc3.02.15:Tax.Losses.Deducted.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404214

            #region VR.ATO.CGLS.404215


            /*  VR.ATO.CGLS.404215 ()

            The individual details of transferred tax losses deducted including transferor TFN, available fraction and amount are only required to be completed if an amount is entered against transferred tax losses deducted.

            Legacy Rule Format:


            IF ANY OCCURRENCE OF ^CGLS108 <> NULL AND (^CGLS106 = NULL OR ^CGLS106 = 0)   
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            AnyOccurrence(^CGLS108, ^CGLS108 <> NULL) AND (^CGLS106 = NULL OR ^CGLS106 = 0)

            Data Elements:

            RP.TRFD:^CGLS106 = rvctc3.02.15:Tax.Losses.Deducted.Amount

            TRFR:^CGLS108 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction

            */

            assertion = ((report.TRFRContexts == null ? false : report.TRFRContexts.Any(CGLS108Repeat => NullOrBlank(CGLS108Repeat.CGLS108) != false)) && (NullOrBlank(report.CGLS106) == false || report.CGLS106.GetValueOrDefault() == 0));
            if (assertion)
            {
                processMessage = GetProcessMessage("D84VR.ATO.CGLS.404215", location:"/xbrli:xbrl/rvctc3.02.15:Tax.Losses.Deducted.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404215

            #region VR.ATO.CGLS.404216


            /*  VR.ATO.CGLS.404216 ()

            The sum of all transferred tax losses deducted, listed against individual transferror TFN's, cannot exceed  transferred tax losses deducted amount

            Legacy Rule Format:


            IF SUM(^CGLS109) > ^CGLS106 
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            Sum(^CGLS109) > ^CGLS106

            Data Elements:

            RP.TRFD:^CGLS106 = rvctc3.02.15:Tax.Losses.Deducted.Amount

            TRFR:^CGLS109 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount

            */

            assertion = ((report.TRFRContexts == null ? 0 : report.TRFRContexts.Sum(f => f.CGLS109.GetValueOrDefault())) > report.CGLS106.GetValueOrDefault());
            if (assertion)
            {
                processMessage = GetProcessMessage("D85VR.ATO.CGLS.404216", location:"/xbrli:xbrl/rvctc3.02.15:Tax.Losses.Deducted.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404216

            #region VR.ATO.CGLS.404217


            /*  VR.ATO.CGLS.404217 ()

            If an amount has been entered at transferred net capital losses applied then the details of a least one transferred net capital loss applied, including transferor TFN, available fraction and amount (greater than zero) must be completed.

            Legacy Rule Format:


            IF ^CGLS111 > 0 AND COUNT(^CGLS113) = 0   
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^CGLS111 > 0 AND Count(^CGLS113) = 0

            Data Elements:

            RP.TRFD:^CGLS111 = rvctc3.02.15:Capital.Losses.AppliedNet.Amount

            TRFR:^CGLS113 = rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction

            */

            assertion = (report.CGLS111.GetValueOrDefault() > 0 && Count(report.TRFRContexts == null ? null : report.TRFRContexts.Select(f => f.CGLS113)) == 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D88VR.ATO.CGLS.404217", location:"/xbrli:xbrl/rvctc3.02.15:Capital.Losses.AppliedNet.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404217

            #region VR.ATO.CGLS.404218


            /*  VR.ATO.CGLS.404218 ()

            The individual details of transferred net capital losses applied, including transferor TFN, available fraction and amount are only required to be completed if an amount is entered against transferred net capital losses applied.

            Legacy Rule Format:


            IF ANY OCCURRENCE OF ^CGLS113 <> NULL AND (^CGLS111 = NULL OR ^CGLS111 = 0)   
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            AnyOccurrence(^CGLS113, ^CGLS113 <> NULL) AND (^CGLS111 = NULL OR ^CGLS111 = 0)

            Data Elements:

            RP.TRFD:^CGLS111 = rvctc3.02.15:Capital.Losses.AppliedNet.Amount

            TRFR:^CGLS113 = rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction

            */

            assertion = ((report.TRFRContexts == null ? false : report.TRFRContexts.Any(CGLS113Repeat => NullOrBlank(CGLS113Repeat.CGLS113) != false)) && (NullOrBlank(report.CGLS111) == false || report.CGLS111.GetValueOrDefault() == 0));
            if (assertion)
            {
                processMessage = GetProcessMessage("D89VR.ATO.CGLS.404218", location:"/xbrli:xbrl/rvctc3.02.15:Capital.Losses.AppliedNet.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404218

            #region VR.ATO.CGLS.404219


            /*  VR.ATO.CGLS.404219 ()

            The sum of all transferred net capital losses applied, listed against individual transferror TFN's, cannot exceed  transferred net capital losses applied amount.

            Legacy Rule Format:


            IF SUM(^CGLS114) > ^CGLS111 
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            Sum(^CGLS114) > ^CGLS111

            Data Elements:

            RP.TRFD:^CGLS111 = rvctc3.02.15:Capital.Losses.AppliedNet.Amount

            TRFR:^CGLS114 = rvctc3.02.15:Capital.Losses.TransferredApplied.Amount

            */

            assertion = ((report.TRFRContexts == null ? 0 : report.TRFRContexts.Sum(f => f.CGLS114.GetValueOrDefault())) > report.CGLS111.GetValueOrDefault());
            if (assertion)
            {
                processMessage = GetProcessMessage("D90VR.ATO.CGLS.404219", location:"/xbrli:xbrl/rvctc3.02.15:Capital.Losses.AppliedNet.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404219

            #region VR.ATO.CGLS.404008


            /*  VR.ATO.CGLS.404008 ()

            If individual transferor TFNs,  available fractions and amounts have been entered for transferred net capital losses deducted and transferred tax losses deducted then the question "Were the apportionment rules applied?" must be answered with either "yes"

            Legacy Rule Format:


            IF ANY OCCURANCE OF ^CGLS109 > 0 OR ANY OCCURANCE OF ^CGLS114 > 0 AND ^CGLS35 = NULL      
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            AnyOccurrence(^CGLS109, ^CGLS109 > 0) OR AnyOccurrence(^CGLS114, ^CGLS114 > 0) AND ^CGLS35 = NULL

            Data Elements:

            TRFR:^CGLS109 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount

            RP:^CGLS35 = rvctc3.02.02:Tax.Losses.TransferredLossUtilisedApportionmentRulesApplied.Indicator

            TRFR:^CGLS114 = rvctc3.02.15:Capital.Losses.TransferredApplied.Amount

            */

            assertion = ((report.TRFRContexts == null ? false : report.TRFRContexts.Any(CGLS109Repeat => CGLS109Repeat.CGLS109.GetValueOrDefault() > 0)) || (report.TRFRContexts == null ? false : report.TRFRContexts.Any(CGLS114Repeat => CGLS114Repeat.CGLS114.GetValueOrDefault() > 0)) && NullOrBlank(report.CGLS35) == false);
            if (assertion)
            {
                processMessage = GetProcessMessage("D102VR.ATO.CGLS.404008", location:"/xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404008

            #region VR.ATO.CGLS.404009


            /*  VR.ATO.CGLS.404009 ()

            The question "Were the apportionment rules applied?" has been answered with either "yes" or "no" however individual transferor TFNs, available fractions and amounts for both transferred net capital losses applied and transferred tax losses deducted have n

            Legacy Rule Format:


            IF ^CGLS35 <> NULL AND COUNT(CONTEXT(TRFR))=0  
                RETURN VALIDATION MESSAGE
             ENDIF

            Parseable Rule Format:

            ^CGLS35 <> NULL AND Count(^Context)=0

            Data Elements:

            RP:^CGLS35 = rvctc3.02.02:Tax.Losses.TransferredLossUtilisedApportionmentRulesApplied.Indicator

            RP:^Context = TRFR

            */

            assertion = (NullOrBlank(report.CGLS35) != false && Count(report.TRFRContexts) == 0);
            if (assertion)
            {
                processMessage = GetProcessMessage("D103VR.ATO.CGLS.404009", location:"/xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404009


            
            #region Repeating TRFRContext
            if (report.TRFRContexts != null)
            {
                foreach (CGLS2016.TRFRContext trfrContext in report.TRFRContexts)
                {
                    #region VR.ATO.CGLS.404037


                    /*  VR.ATO.CGLS.404037 ()

                    If a valid Transferor TFN is supplied, then a valid available fraction must be supplied

                    Legacy Rule Format:


                    IN CONTEXT(TRFR)IF ^CGLS108 = NULL AND ^CGLS113 = NULL  
                        RETURN VALIDATION MESSAGE
                    ENDIF

                    Parseable Rule Format:

                    ^CGLS108 = NULL AND ^CGLS113 = NULL

                    Data Elements:

                    TRFR:^CGLS108 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction

                    TRFR:^CGLS113 = rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction

                    */

                    assertion = (NullOrBlank(trfrContext.CGLS108) == false && NullOrBlank(trfrContext.CGLS113) == false);
                    if (assertion)
                    {
                        processMessage = GetProcessMessage("D97VR.ATO.CGLS.404037", location:"/xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction");
                        response.Add(processMessage);
                    }
                    #endregion // VR.ATO.CGLS.404037

                    #region VR.ATO.CGLS.404220


                    /*  VR.ATO.CGLS.404220 ()

                    If a transferred tax loss deducted amount is entered then a corresponding available fraction must also be entered

                    Legacy Rule Format:


                    IN CONTEXT(TRFR)IF ^CGLS108 = NULL AND ^CGLS109 <> NULL  
                        RETURN VALIDATION MESSAGE
                    ENDIF

                    Parseable Rule Format:

                    ^CGLS108 = NULL AND ^CGLS109 <> NULL

                    Data Elements:

                    TRFR:^CGLS108 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction

                    TRFR:^CGLS109 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount

                    */

                    assertion = (NullOrBlank(trfrContext.CGLS108) == false && NullOrBlank(trfrContext.CGLS109) != false);
                    if (assertion)
                    {
                        processMessage = GetProcessMessage("D98VR.ATO.CGLS.404220", location:"/xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction");
                        response.Add(processMessage);
                    }
                    #endregion // VR.ATO.CGLS.404220

                    #region VR.ATO.CGLS.404225


                    /*  VR.ATO.CGLS.404225 ()

                    If a transferred tax loss deducted available fraction is entered then a corresponding transferred tax loss deducted amount must be entered.

                    Legacy Rule Format:


                    IN CONTEXT(TRFR)IF ^CGLS108 <> NULL AND ^CGLS109 = NULL
                        RETURN VALIDATION MESSAGE
                    ENDIF

                    Parseable Rule Format:

                    ^CGLS108 <> NULL AND ^CGLS109 = NULL

                    Data Elements:

                    TRFR:^CGLS109 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount

                    TRFR:^CGLS108 = rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction

                    */

                    assertion = (NullOrBlank(trfrContext.CGLS108) != false && NullOrBlank(trfrContext.CGLS109) == false);
                    if (assertion)
                    {
                        processMessage = GetProcessMessage("D105VR.ATO.CGLS.404225", location:"/xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount");
                        response.Add(processMessage);
                    }
                    #endregion // VR.ATO.CGLS.404225

                    #region VR.ATO.CGLS.404227


                    /*  VR.ATO.CGLS.404227 ()

                    If a transferred net capital loss applied amount is entered then a corresponding available fraction must also be entered

                    Legacy Rule Format:


                    IN CONTEXT(TRFR)IF ^CGLS113 = NULL AND ^CGLS114 <> NULL  
                        RETURN VALIDATION MESSAGE
                    ENDIF

                    Parseable Rule Format:

                    ^CGLS113 = NULL AND ^CGLS114 <> NULL

                    Data Elements:

                    TRFR:^CGLS113 = rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction

                    TRFR:^CGLS114 = rvctc3.02.15:Capital.Losses.TransferredApplied.Amount

                    */

                    assertion = (NullOrBlank(trfrContext.CGLS113) == false && NullOrBlank(trfrContext.CGLS114) != false);
                    if (assertion)
                    {
                        processMessage = GetProcessMessage("D107VR.ATO.CGLS.404227", location:"/xbrli:xbrl/rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction");
                        response.Add(processMessage);
                    }
                    #endregion // VR.ATO.CGLS.404227

                    #region VR.ATO.CGLS.404230


                    /*  VR.ATO.CGLS.404230 ()

                    If a transferred net capital loss applied available fraction is entered then a corresponding transferred net capital loss applied amount must be entered.

                    Legacy Rule Format:


                    IN CONTEXT(TRFR)IF ^CGLS113 <> NULL AND ^CGLS114 = NULL  
                        RETURN VALIDATION MESSAGE
                    ENDIF

                    Parseable Rule Format:

                    ^CGLS113 <> NULL AND ^CGLS114 = NULL

                    Data Elements:

                    TRFR:^CGLS114 = rvctc3.02.15:Capital.Losses.TransferredApplied.Amount

                    TRFR:^CGLS113 = rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction

                    */

                    assertion = (NullOrBlank(trfrContext.CGLS113) != false && NullOrBlank(trfrContext.CGLS114) == false);
                    if (assertion)
                    {
                        processMessage = GetProcessMessage("D110VR.ATO.CGLS.404230", location:"/xbrli:xbrl/rvctc3.02.15:Capital.Losses.TransferredApplied.Amount");
                        response.Add(processMessage);
                    }
                    #endregion // VR.ATO.CGLS.404230


                }
            }
            #endregion // Foreach loop

            return response;
        }
        #endregion // Phase Crossfield


        #region Phase Mandatory
        [MethodImpl(MethodImplOptions.AggressiveInlining)]
        public List<ProcessMessageDocument> ValidateMandatorys(CGLS2016 report)
        {
            List<ProcessMessageDocument> response = new List<ProcessMessageDocument>();
            ProcessMessageDocument processMessage;
            ProcessMessageParameter parameter;
            bool assertion;
            
            #region VR.ATO.CGLS.404130


            /*  VR.ATO.CGLS.404130 ()

            The question "Has the head company cancelled the transfer of a loss?" must be answered

            Legacy Rule Format:


            IF ^CGLS36= NULL                                                                                                                                                                                                                           
                RETURN VALIDATION MESSAGE
            ENDIF

            Parseable Rule Format:

            ^CGLS36= NULL

            Data Elements:

            RP:^CGLS36 = rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator

            */

            assertion = (NullOrBlank(report.CGLS36) == false);
            if (assertion)
            {
                processMessage = GetProcessMessage("D28VR.ATO.CGLS.404130", location:"/xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator");
                response.Add(processMessage);
            }
            #endregion // VR.ATO.CGLS.404130



            return response;
        }
        #endregion // Phase Mandatory

        
        #region Error Messages
        private static void InitialiseErrorMessages()
        {
            ProcessMessageDocument processMessage;
            ProcessMessageParameter parameter;
            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404038",
                Description = @"The total number of transferor details that can be supplied is 12",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404038",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D1VR.ATO.CGLS.404038", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404039",
                Description = @"The total number of joining entity details that can be supplied is 4",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404039",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D2VR.ATO.CGLS.404039", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.200007",
                Description = @"Invalid XBRL schema",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404040",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D3VR.ATO.CGLS.404040", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.200007",
                Description = @"Invalid XBRL schema",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404041",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D4VR.ATO.CGLS.404041", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.200007",
                Description = @"Invalid XBRL schema",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404042",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D5VR.ATO.CGLS.404042", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.200007",
                Description = @"Invalid XBRL schema",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404043",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D6VR.ATO.CGLS.404043", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.200007",
                Description = @"Invalid XBRL schema",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404044",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D7VR.ATO.CGLS.404044", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.200007",
                Description = @"Invalid XBRL schema",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404045",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D8VR.ATO.CGLS.404045", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.200007",
                Description = @"Invalid XBRL schema",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404113",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D9VR.ATO.CGLS.404113", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.200007",
                Description = @"Invalid XBRL schema",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404114",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D10VR.ATO.CGLS.404114", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.200007",
                Description = @"Invalid XBRL schema",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404115",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D11VR.ATO.CGLS.404115", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.200007",
                Description = @"Invalid XBRL schema",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404116",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D12VR.ATO.CGLS.404116", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.200007",
                Description = @"Invalid XBRL schema",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404117",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D13VR.ATO.CGLS.404117", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.428016",
                Description = @"Tax File Number has failed the algorithm check",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404131",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D14VR.ATO.CGLS.404131", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.428016",
                Description = @"Tax File Number has failed the algorithm check",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404133",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D15VR.ATO.CGLS.404133", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001023",
                Description = @"Unexpected TFN mismatch with Reporting Party",
                LongDescription = @"TFN in entity identifier of context does not match the TFN provided for the Reporting Party",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404134",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D16VR.ATO.CGLS.404134", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404053",
                Description = @"TRFR context TFN duplicated. Unique TFN required",
                LongDescription = @"TRFR context TFN duplicated. Unique TFN required",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404139",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D17VR.ATO.CGLS.404139", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404054",
                Description = @"JE context TFN duplicated. Unique TFN required",
                LongDescription = @"JE context TFN duplicated. Unique TFN required",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404140",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D18VR.ATO.CGLS.404140", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404200",
                Description = @"Transferor TFNs supplied for transferred tax losses deducted cannot exceed 6",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404200",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D19VR.ATO.CGLS.404200", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404201",
                Description = @"Transferor TFNs supplied for transferred capital losses applied cannot exceed 6",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404201",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D20VR.ATO.CGLS.404201", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.200007",
                Description = @"Invalid XBRL schema",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.GEN.000208",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D21VR.ATO.GEN.000208", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001021",
                Description = @"Invalid identifier scheme.",
                LongDescription = @"Invalid identifier scheme.  Indentifier scheme must be set to ""http://www.ato.gov.au/tfn""",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.GEN.001021",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D22VR.ATO.GEN.001021", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404073",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D23VR.ATO.CGLS.404073", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404057",
                Description = @"Cancelled transfer of loss amount must be supplied",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404143",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D24VR.ATO.CGLS.404143", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.410049",
                Description = @"Organisation Name Type Code must be 'MN'",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.GEN.410049",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D25VR.ATO.GEN.410049", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404022",
                Description = @"Head company has cancelled the transfer of a loss. Details of cancellation are absent or incomplete",
                LongDescription = @"The head company has cancelled the transfer of a loss however (Details of cancellation of transfer of losses - Joining entity TFN) and (Details of cancellation of transfer of losses - Amount) are absent or incomplete",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404022",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D26VR.ATO.CGLS.404022", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404023",
                Description = @"Head company has not cancelled the transfer of a loss. Details of cancellation completed",
                LongDescription = @"The head company has not cancelled the transfer of a loss. (Details of cancellation of transfer of losses - joining entity TFN) and (Details of cancellation of transfer of losses - Amount) must not be completed",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404023",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D27VR.ATO.CGLS.404023", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001001",
                Description = @"Mandatory field not supplied",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404130",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D28VR.ATO.CGLS.404130", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404204",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D29VR.ATO.CGLS.404204", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404205",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D30VR.ATO.CGLS.404205", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404202",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D31VR.ATO.CGLS.404202", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404203",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D32VR.ATO.CGLS.404203", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404270",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D33VR.ATO.CGLS.404270", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404271",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D34VR.ATO.CGLS.404271", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404100",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D35VR.ATO.CGLS.404100", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404089",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D36VR.ATO.CGLS.404089", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404090",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D37VR.ATO.CGLS.404090", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404124",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D38VR.ATO.CGLS.404124", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404145",
                Description = @"Amounts in the tax losses reconciliation statement for consolidated groups are incorrect",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404145",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D39VR.ATO.CGLS.404145", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404146",
                Description = @"Total tax losses carried forward to later income years is incorrect",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404146",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D40VR.ATO.CGLS.404146", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404206",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D41VR.ATO.CGLS.404206", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404102",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D42VR.ATO.CGLS.404102", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404123",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D43VR.ATO.CGLS.404123", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404103",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D44VR.ATO.CGLS.404103", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404104",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D45VR.ATO.CGLS.404104", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404105",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D46VR.ATO.CGLS.404105", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404106",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D47VR.ATO.CGLS.404106", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404107",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D48VR.ATO.CGLS.404107", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404108",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D49VR.ATO.CGLS.404108", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404109",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D50VR.ATO.CGLS.404109", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404110",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D51VR.ATO.CGLS.404110", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404000",
                Description = @"Same business tax/net capital loss transferred from joining entities present. Part C1 not completed",
                LongDescription = @"Same business tax/net capital losses transferred from joining entities present however the total amount(s) of losses, which first failed the continuity of ownership or control tests, have not been entered against the relevant income year(s) listed",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404000",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D52VR.ATO.CGLS.404000", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404048",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D53VR.ATO.CGLS.404048", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404051",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D54VR.ATO.CGLS.404051", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404061",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D55VR.ATO.CGLS.404061", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404064",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D56VR.ATO.CGLS.404064", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404047",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D57VR.ATO.CGLS.404047", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404050",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D58VR.ATO.CGLS.404050", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404060",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D59VR.ATO.CGLS.404060", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404063",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D60VR.ATO.CGLS.404063", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404049",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D61VR.ATO.CGLS.404049", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404052",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D62VR.ATO.CGLS.404052", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404062",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D63VR.ATO.CGLS.404062", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404065",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D64VR.ATO.CGLS.404065", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404207",
                Description = @"Sum of group and transferred tax losses deducted must equal tax losses deducted total",
                LongDescription = @"The sum of (Tax losses deducted - Group) and (Tax losses deducted - Transferred) must equal (Tax losses deducted - Total)",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404207",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D65VR.ATO.CGLS.404207", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404208",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D66VR.ATO.CGLS.404208", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404010",
                Description = @"Sum of tax losses carried forward must equal total tax losses carried forward",
                LongDescription = @"The sum of (Tax losses carried forward to later income years - Group) and (Tax losses carried forward to later income years - Transferred) must equal (Tax losses carried forward to later income years - Total)",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404010",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D67VR.ATO.CGLS.404010", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404057",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D68VR.ATO.CGLS.404057", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404209",
                Description = @"The sum of net capital losses applied fields must equal the total of net capital losses applied",
                LongDescription = @"The sum of (Net capital losses applied - Group) and (Net capital losses applied - Transferred) must equal (Net capital losses applied - Total)",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404209",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D69VR.ATO.CGLS.404209", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404210",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D70VR.ATO.CGLS.404210", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404019",
                Description = @"Sum of net capital losses carried forward must equal total net capital losses carried forward",
                LongDescription = @"The sum of (Net capital losses carried forward to later income years - Group) and (Net capital losses carried forward to later income years - Transferred) must equal (Net capital losses carried forward to later income years - Total)",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404019",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D71VR.ATO.CGLS.404019", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404070",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D72VR.ATO.CGLS.404070", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404208",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D73VR.ATO.CGLS.404208", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404211",
                Description = @"Tax losses deducted after consolidation cannot exceed tax losses deducted - total",
                LongDescription = @"(Amount of tax losses deducted after consolidation which failed the continuity of ownership test but satisfied the same business test) cannot exceed (Tax losses deducted - Total)",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404211",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D74VR.ATO.CGLS.404211", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404012",
                Description = @"Tax losses carried forward - (same business test passed) exceeds total tax losses carried forward",
                LongDescription = @"(Amount of tax losses carried forward to later income years which the same business test satisfied) cannot exceed (Tax losses carried forward to later income years - Total)",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404012",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D75VR.ATO.CGLS.404012", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404013",
                Description = @"(Tax losses carried forward to later income years - Total) must equal Part F label K",
                LongDescription = @"(Tax losses carried forward to later income years - Total) must be equal to (Tax losses reconciliation for consolidated groups - Total tax losses carried forward to later income years)",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404013",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D76VR.ATO.CGLS.404013", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404059",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D77VR.ATO.CGLS.404059", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404210",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D78VR.ATO.CGLS.404210", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404213",
                Description = @"(Net capital losses applied - Total) cannot exceed Part C label P",
                LongDescription = @"Amount of (Net capital losses applied after consolidation which the continuity of ownership test failed but satisfied the same business test) cannot exceed (Net capital losses applied - Total)",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404213",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D79VR.ATO.CGLS.404213", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404021",
                Description = @"Capital losses carried forward - (same business test passed) exceeds capital losses carried forward",
                LongDescription = @"(Amount of net capital losses carried forward to later income years for which the same business test satisfied) cannot exceed (Net capital losses carried forward to later income years - Total)",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404021",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D80VR.ATO.CGLS.404021", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404072",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D81VR.ATO.CGLS.404072", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404208",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D82VR.ATO.CGLS.404208", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404214",
                Description = @"(Tax losses deducted - Transferred) greater than zero. Transferor details required.",
                LongDescription = @"The sum of (Tax losses deducted - Group) and (Tax losses deducted - Transferred) must equal (Tax losses deducted - Total)",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404214",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D83VR.ATO.CGLS.404214", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404215",
                Description = @"Transferor details present. Tax losses deducted - transferred is absent or equal to zero",
                LongDescription = @"Details of transferor TFN, available fraction and amount are present however an amount for (Tax losses deducted - Transferred) is absent or equal to zero",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404215",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D84VR.ATO.CGLS.404215", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404216",
                Description = @"The sum of transferred tax losses deducted - amounts cannot exceed tax losses deducted - transferred",
                LongDescription = @"The sum of (Transferred tax losses deducted - Amounts) cannot exceed (Tax losses deducted - Transferred)",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404216",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D85VR.ATO.CGLS.404216", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404058",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D86VR.ATO.CGLS.404058", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404210",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D87VR.ATO.CGLS.404210", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404217",
                Description = @"Net capital losses applied - transferred completed. Transferor details absent or incomplete",
                LongDescription = @"(Net capital losses applied - Transferred) completed and (Transferred net capital losses applied - Transferor TFN), (Transferred net capital losses applied - Available fraction) and (Transferred net capital losses applied - Amount) absent or incomplete",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404217",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D88VR.ATO.CGLS.404217", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404218",
                Description = @"Transferor details present. Net capital losses applied - transferred absent or equal to zero",
                LongDescription = @"(Transferred net capital losses applied - Transferor TFN), (Transferred net capital losses applied - Available fraction) and (Transferred net capital losses applied - Amount) present and (Net capital losses applied - Transferred) absent or equal to zero",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404218",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D89VR.ATO.CGLS.404218", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404219",
                Description = @"The sum of transferred net capital losses applied cannot exceed net capital losses applied",
                LongDescription = @"The sum of all transferred net capital losses applied cannot exceed (Net capital losses applied - Transferred)",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404219",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D90VR.ATO.CGLS.404219", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404071",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D91VR.ATO.CGLS.404071", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404074",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D92VR.ATO.CGLS.404074", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404075",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D93VR.ATO.CGLS.404075", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404076",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D94VR.ATO.CGLS.404076", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404077",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D95VR.ATO.CGLS.404077", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404078",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D96VR.ATO.CGLS.404078", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404037",
                Description = @"A valid available fraction and amount must be supplied with the TFN",
                LongDescription = @"If a valid Transferor TFN is supplied, then a valid available fraction and amount must be supplied",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404037",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D97VR.ATO.CGLS.404037", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404220",
                Description = @"Each transferred amount of tax loss deducted must have a corresponding available fraction",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404220",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D98VR.ATO.CGLS.404220", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404221",
                Description = @"Fraction amount for transferred tax losses deducted must be greater than zero",
                LongDescription = @"Available fraction amount used for transferred tax losses deducted must be greater than zero",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404221",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D99VR.ATO.CGLS.404221", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404007",
                Description = @"Each occurrence of available fraction must not exceed 1.000",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404231",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D100VR.ATO.CGLS.404231", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404046",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404232",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D101VR.ATO.CGLS.404232", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404222",
                Description = @"Details of transferred tax/net capital losses deducted/applied. Apportionment rules applied not indicated",
                LongDescription = @"If transferred tax losses deducted or transferred net capital losses applied fields completed then (Were the apportionment rules applied?) must equal yes or no",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404008",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D102VR.ATO.CGLS.404008", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404223",
                Description = @"Apportionment rules applied indicated. Details of transferred tax/net capital losses deducted absent",
                LongDescription = @"(Were the apportionment rules applied?) equals yes or no however transferred tax losses deducted or transferred net capital losses applied fields have not been completed",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404009",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D103VR.ATO.CGLS.404009", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404224",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D104VR.ATO.CGLS.404224", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404225",
                Description = @"Each available fraction must have a corresponding transferred tax loss deducted amount",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404225",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D105VR.ATO.CGLS.404225", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404046",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404226",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D106VR.ATO.CGLS.404226", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404227",
                Description = @"Each transferred net capital loss applied amount must have a corresponding available fraction",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404227",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D107VR.ATO.CGLS.404227", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404228",
                Description = @"Fraction amount for transferred net capital losses applied must be greater than zero",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404228",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D108VR.ATO.CGLS.404228", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.400011",
                Description = @"Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters",
                LongDescription = @"Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404229",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D109VR.ATO.CGLS.404229", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.CGLS.404230",
                Description = @"Each available fraction must have a corresponding transferred net capital loss applied amount",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404230",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D110VR.ATO.CGLS.404230", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001023",
                Description = @"Unexpected TFN mismatch with Reporting Party",
                LongDescription = @"TFN in entity identifier of context does not match the TFN provided for the Reporting Party",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404134",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D111VR.ATO.CGLS.404134", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001023",
                Description = @"Unexpected TFN mismatch with Reporting Party",
                LongDescription = @"TFN in entity identifier of context does not match the TFN provided for the Reporting Party",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404134",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D112VR.ATO.CGLS.404134", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001023",
                Description = @"Unexpected TFN mismatch with Reporting Party",
                LongDescription = @"TFN in entity identifier of context does not match the TFN provided for the Reporting Party",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404134",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D113VR.ATO.CGLS.404134", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001023",
                Description = @"Unexpected TFN mismatch with Reporting Party",
                LongDescription = @"TFN in entity identifier of context does not match the TFN provided for the Reporting Party",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404134",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D114VR.ATO.CGLS.404134", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001023",
                Description = @"Unexpected TFN mismatch with Reporting Party",
                LongDescription = @"TFN in entity identifier of context does not match the TFN provided for the Reporting Party",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404134",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D115VR.ATO.CGLS.404134", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001023",
                Description = @"Unexpected TFN mismatch with Reporting Party",
                LongDescription = @"TFN in entity identifier of context does not match the TFN provided for the Reporting Party",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404134",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D116VR.ATO.CGLS.404134", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001023",
                Description = @"Unexpected TFN mismatch with Reporting Party",
                LongDescription = @"TFN in entity identifier of context does not match the TFN provided for the Reporting Party",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404134",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D117VR.ATO.CGLS.404134", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001023",
                Description = @"Unexpected TFN mismatch with Reporting Party",
                LongDescription = @"TFN in entity identifier of context does not match the TFN provided for the Reporting Party",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404134",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D118VR.ATO.CGLS.404134", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001023",
                Description = @"Unexpected TFN mismatch with Reporting Party",
                LongDescription = @"TFN in entity identifier of context does not match the TFN provided for the Reporting Party",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404134",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D119VR.ATO.CGLS.404134", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001023",
                Description = @"Unexpected TFN mismatch with Reporting Party",
                LongDescription = @"TFN in entity identifier of context does not match the TFN provided for the Reporting Party",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404134",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D120VR.ATO.CGLS.404134", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001023",
                Description = @"Unexpected TFN mismatch with Reporting Party",
                LongDescription = @"TFN in entity identifier of context does not match the TFN provided for the Reporting Party",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404134",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D121VR.ATO.CGLS.404134", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001023",
                Description = @"Unexpected TFN mismatch with Reporting Party",
                LongDescription = @"TFN in entity identifier of context does not match the TFN provided for the Reporting Party",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404134",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D122VR.ATO.CGLS.404134", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001023",
                Description = @"Unexpected TFN mismatch with Reporting Party",
                LongDescription = @"TFN in entity identifier of context does not match the TFN provided for the Reporting Party",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.CGLS.404134",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D123VR.ATO.CGLS.404134", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001021",
                Description = @"Invalid identifier scheme.",
                LongDescription = @"Invalid identifier scheme.  Indentifier scheme must be set to ""http://www.ato.gov.au/tfn""",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.GEN.001021",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D124VR.ATO.GEN.001021", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001021",
                Description = @"Invalid identifier scheme.",
                LongDescription = @"Invalid identifier scheme.  Indentifier scheme must be set to ""http://www.ato.gov.au/tfn""",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.GEN.001021",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D125VR.ATO.GEN.001021", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001021",
                Description = @"Invalid identifier scheme.",
                LongDescription = @"Invalid identifier scheme.  Indentifier scheme must be set to ""http://www.ato.gov.au/tfn""",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.GEN.001021",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D126VR.ATO.GEN.001021", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001021",
                Description = @"Invalid identifier scheme.",
                LongDescription = @"Invalid identifier scheme.  Indentifier scheme must be set to ""http://www.ato.gov.au/tfn""",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.GEN.001021",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D127VR.ATO.GEN.001021", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001021",
                Description = @"Invalid identifier scheme.",
                LongDescription = @"Invalid identifier scheme.  Indentifier scheme must be set to ""http://www.ato.gov.au/tfn""",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.GEN.001021",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D128VR.ATO.GEN.001021", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001021",
                Description = @"Invalid identifier scheme.",
                LongDescription = @"Invalid identifier scheme.  Indentifier scheme must be set to ""http://www.ato.gov.au/tfn""",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.GEN.001021",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D129VR.ATO.GEN.001021", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001021",
                Description = @"Invalid identifier scheme.",
                LongDescription = @"Invalid identifier scheme.  Indentifier scheme must be set to ""http://www.ato.gov.au/tfn""",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.GEN.001021",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D130VR.ATO.GEN.001021", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001021",
                Description = @"Invalid identifier scheme.",
                LongDescription = @"Invalid identifier scheme.  Indentifier scheme must be set to ""http://www.ato.gov.au/tfn""",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.GEN.001021",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D131VR.ATO.GEN.001021", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001021",
                Description = @"Invalid identifier scheme.",
                LongDescription = @"Invalid identifier scheme.  Indentifier scheme must be set to ""http://www.ato.gov.au/tfn""",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.GEN.001021",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D132VR.ATO.GEN.001021", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001021",
                Description = @"Invalid identifier scheme.",
                LongDescription = @"Invalid identifier scheme.  Indentifier scheme must be set to ""http://www.ato.gov.au/tfn""",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.GEN.001021",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D133VR.ATO.GEN.001021", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001021",
                Description = @"Invalid identifier scheme.",
                LongDescription = @"Invalid identifier scheme.  Indentifier scheme must be set to ""http://www.ato.gov.au/tfn""",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.GEN.001021",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D134VR.ATO.GEN.001021", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001021",
                Description = @"Invalid identifier scheme.",
                LongDescription = @"Invalid identifier scheme.  Indentifier scheme must be set to ""http://www.ato.gov.au/tfn""",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.GEN.001021",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D135VR.ATO.GEN.001021", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001021",
                Description = @"Invalid identifier scheme.",
                LongDescription = @"Invalid identifier scheme.  Indentifier scheme must be set to ""http://www.ato.gov.au/tfn""",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.GEN.001021",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D136VR.ATO.GEN.001021", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001021",
                Description = @"Invalid identifier scheme.",
                LongDescription = @"Invalid identifier scheme.  Indentifier scheme must be set to ""http://www.ato.gov.au/tfn""",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.GEN.001021",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D137VR.ATO.GEN.001021", processMessage);

            processMessage = new ProcessMessageDocument()
            {
                Code = "CMN.ATO.GEN.001021",
                Description = @"Invalid identifier scheme.",
                LongDescription = @"Invalid identifier scheme.  Indentifier scheme must be set to ""http://www.ato.gov.au/tfn""",
                SeverityAsString = "Error",
            };
            processMessage.Parameters = new ProcessMessageParameters();
            parameter = new ProcessMessageParameter()
            {
                Name = "RuleIdentifier",
                Value = "VR.ATO.GEN.001021",
            };

            processMessage.Parameters.Add(parameter);


            _processMessageDocuments.Add("D138VR.ATO.GEN.001021", processMessage);

        }
    #endregion // Error Messages

        #region GetProcessMessage
        private static ProcessMessageDocument GetProcessMessage(string diagnosticId, string location = null, List<ProcessMessageParameter> parameters = null)
        {
            ProcessMessageDocument response;

            response = _processMessageDocuments[diagnosticId];
            if (location != null)
            {
                response.Location = location;
            }

            if (parameters != null)
            {
                response.Parameters.AddRange(parameters);
            }

            return response;
        }
        #endregion // GetProcessMessage


    #region Cross Form Rules - not supported yet
    #region VR.ATO.GEN.402009


    /*  VR.ATO.GEN.402009 ()

    Your supplied TFN does not match the TFN supplied on the form it was submitted with

    Legacy Rule Format:


    IF (RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN)
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^TFN <> ^ParentTFN

    Data Elements:

    ^ParentTFN = ParentTFN

    ^TFN = RP

    */

    #endregion // VR.ATO.GEN.402009

    #region VR.ATO.GEN.438000


    /*  VR.ATO.GEN.438000 ()

    Period start date within context on the schedule does not match period start date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^StartDate <> ^ParentStartDate

    Data Elements:

    ^ParentStartDate = ParentStartDate

    ^StartDate = StartDate

    */

    #endregion // VR.ATO.GEN.438000

    #region VR.ATO.GEN.438001


    /*  VR.ATO.GEN.438001 ()

    Period end date within context on the schedule does not match period end date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.endDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.endDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^EndDate <> ^ParentEndDate

    Data Elements:

    ^ParentEndDate = ParentEndDate

    ^EndDate = RP

    */

    #endregion // VR.ATO.GEN.438001

    #region VR.ATO.GEN.402010


    /*  VR.ATO.GEN.402010 ()

    Your supplied ABN does not match the ABN supplied on the form it was submitted with

    Legacy Rule Format:


    IF (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) AND (PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) AND (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier)
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    (^CGLS3 <> BLANK) AND (^ParentABN <> BLANK) AND (^CGLS3 <> ^ParentABN)

    Data Elements:

    RP:^CGLS3 = pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier

    RP:^ParentABN = ParentABN

    */

    #endregion // VR.ATO.GEN.402010

    #region VR.ATO.GEN.428045


    /*  VR.ATO.GEN.428045 ()

    Organisation Name in schedule should match Organisation Name in parent return

    Legacy Rule Format:


    IF RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.TextIN TUPLE (xbrli\organisationname1.xx.xx:OrganisationNameDetails) <> NULLAND RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.TextIN TUPLE (xbrli\organisationname1.xx.xx:OrganisationNameDetails) <> (PARENT RETURN:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.TextIN TUPLE (xbrli\organisationname2.xx.xx:OrganisationNameDetails)WHERE (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN")AND  (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C"))          
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^CGLS2 <> NULL AND ^CGLS2 <> ^ParentORGN.T

    Data Elements:

    RP:^CGLS2 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE [OrganisationNameDetails.OrganisationalNameType.Code='MN']

    RP:^ParentORGN.T = ParentORGN.T

    */

    #endregion // VR.ATO.GEN.428045

    #region VR.ATO.CGLS.404006


    /*  VR.ATO.CGLS.404006 ()

    The total amount of tax losses deducted on the CGLS for a consolidated group must equal the amount of tax losses deducted on the CTR.

    Legacy Rule Format:


    IF ^CGLS107 > 0 AND    ^CGLS107 <>^CTR117             
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^CGLS107 > 0 AND    ^CGLS107 <>^CTR117

    Data Elements:

    RP.TOT:^CGLS107 = rvctc3.02.15:Tax.Losses.Deducted.Amount

    RP.TOT:^CTR117 = CTR:RP:rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount

    */

    #endregion // VR.ATO.CGLS.404006

    #region VR.ATO.CGLS.404011


    /*  VR.ATO.CGLS.404011 ()

    The total amount of tax losses carried forward to later income years on the CGLS for a consolidated group must equal the amount of tax losses carried forward to later income years on the CTR.

    Legacy Rule Format:


    IF ^CGLS19 > 0 AND    ^CGLS19 <> ^CTR175             
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^CGLS19 > 0 AND    ^CGLS19 <> ^CTR175

    Data Elements:

    RP.TOT:^CGLS19 = rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount

    RP.TOT:^CTR175 = CTR:RP:rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount

    */

    #endregion // VR.ATO.CGLS.404011

    #region VR.ATO.GEN.438000


    /*  VR.ATO.GEN.438000 ()

    Period start date within context on the schedule does not match period start date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^StartDate <> ^ParentStartDate

    Data Elements:

    ^ParentStartDate = ParentStartDate

    ^StartDate = StartDate

    */

    #endregion // VR.ATO.GEN.438000

    #region VR.ATO.GEN.438000


    /*  VR.ATO.GEN.438000 ()

    Period start date within context on the schedule does not match period start date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^StartDate <> ^ParentStartDate

    Data Elements:

    ^ParentStartDate = ParentStartDate

    ^StartDate = StartDate

    */

    #endregion // VR.ATO.GEN.438000

    #region VR.ATO.GEN.438000


    /*  VR.ATO.GEN.438000 ()

    Period start date within context on the schedule does not match period start date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^StartDate <> ^ParentStartDate

    Data Elements:

    ^ParentStartDate = ParentStartDate

    ^StartDate = StartDate

    */

    #endregion // VR.ATO.GEN.438000

    #region VR.ATO.GEN.438000


    /*  VR.ATO.GEN.438000 ()

    Period start date within context on the schedule does not match period start date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^StartDate <> ^ParentStartDate

    Data Elements:

    ^ParentStartDate = ParentStartDate

    ^StartDate = StartDate

    */

    #endregion // VR.ATO.GEN.438000

    #region VR.ATO.GEN.438000


    /*  VR.ATO.GEN.438000 ()

    Period start date within context on the schedule does not match period start date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^StartDate <> ^ParentStartDate

    Data Elements:

    ^ParentStartDate = ParentStartDate

    ^StartDate = StartDate

    */

    #endregion // VR.ATO.GEN.438000

    #region VR.ATO.GEN.438000


    /*  VR.ATO.GEN.438000 ()

    Period start date within context on the schedule does not match period start date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^StartDate <> ^ParentStartDate

    Data Elements:

    ^ParentStartDate = ParentStartDate

    ^StartDate = StartDate

    */

    #endregion // VR.ATO.GEN.438000

    #region VR.ATO.GEN.438000


    /*  VR.ATO.GEN.438000 ()

    Period start date within context on the schedule does not match period start date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^StartDate <> ^ParentStartDate

    Data Elements:

    ^ParentStartDate = ParentStartDate

    ^StartDate = StartDate

    */

    #endregion // VR.ATO.GEN.438000

    #region VR.ATO.GEN.438000


    /*  VR.ATO.GEN.438000 ()

    Period start date within context on the schedule does not match period start date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^StartDate <> ^ParentStartDate

    Data Elements:

    ^ParentStartDate = ParentStartDate

    ^StartDate = StartDate

    */

    #endregion // VR.ATO.GEN.438000

    #region VR.ATO.GEN.438000


    /*  VR.ATO.GEN.438000 ()

    Period start date within context on the schedule does not match period start date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^StartDate <> ^ParentStartDate

    Data Elements:

    ^ParentStartDate = ParentStartDate

    ^StartDate = StartDate

    */

    #endregion // VR.ATO.GEN.438000

    #region VR.ATO.GEN.438000


    /*  VR.ATO.GEN.438000 ()

    Period start date within context on the schedule does not match period start date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^StartDate <> ^ParentStartDate

    Data Elements:

    ^ParentStartDate = ParentStartDate

    ^StartDate = StartDate

    */

    #endregion // VR.ATO.GEN.438000

    #region VR.ATO.GEN.438000


    /*  VR.ATO.GEN.438000 ()

    Period start date within context on the schedule does not match period start date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^StartDate <> ^ParentStartDate

    Data Elements:

    ^ParentStartDate = ParentStartDate

    ^StartDate = StartDate

    */

    #endregion // VR.ATO.GEN.438000

    #region VR.ATO.GEN.438000


    /*  VR.ATO.GEN.438000 ()

    Period start date within context on the schedule does not match period start date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^StartDate <> ^ParentStartDate

    Data Elements:

    ^ParentStartDate = ParentStartDate

    ^StartDate = StartDate

    */

    #endregion // VR.ATO.GEN.438000

    #region VR.ATO.GEN.438000


    /*  VR.ATO.GEN.438000 ()

    Period start date within context on the schedule does not match period start date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^StartDate <> ^ParentStartDate

    Data Elements:

    ^ParentStartDate = ParentStartDate

    ^StartDate = StartDate

    */

    #endregion // VR.ATO.GEN.438000

    #region VR.ATO.GEN.438001


    /*  VR.ATO.GEN.438001 ()

    Period end date within context on the schedule does not match period end date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.endDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.endDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^EndDate <> ^ParentEndDate

    Data Elements:

    ^ParentEndDate = ParentEndDate

    ^EndDate = TRFR

    */

    #endregion // VR.ATO.GEN.438001

    #region VR.ATO.GEN.438001


    /*  VR.ATO.GEN.438001 ()

    Period end date within context on the schedule does not match period end date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.endDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.endDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^EndDate <> ^ParentEndDate

    Data Elements:

    ^ParentEndDate = ParentEndDate

    ^EndDate = JE

    */

    #endregion // VR.ATO.GEN.438001

    #region VR.ATO.GEN.438001


    /*  VR.ATO.GEN.438001 ()

    Period end date within context on the schedule does not match period end date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.endDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.endDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^EndDate <> ^ParentEndDate

    Data Elements:

    ^ParentEndDate = ParentEndDate

    ^EndDate = RP.COTP

    */

    #endregion // VR.ATO.GEN.438001

    #region VR.ATO.GEN.438001


    /*  VR.ATO.GEN.438001 ()

    Period end date within context on the schedule does not match period end date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.endDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.endDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^EndDate <> ^ParentEndDate

    Data Elements:

    ^ParentEndDate = ParentEndDate

    ^EndDate = RP.COTF

    */

    #endregion // VR.ATO.GEN.438001

    #region VR.ATO.GEN.438001


    /*  VR.ATO.GEN.438001 ()

    Period end date within context on the schedule does not match period end date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.endDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.endDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^EndDate <> ^ParentEndDate

    Data Elements:

    ^ParentEndDate = ParentEndDate

    ^EndDate = RP.COTT

    */

    #endregion // VR.ATO.GEN.438001

    #region VR.ATO.GEN.438001


    /*  VR.ATO.GEN.438001 ()

    Period end date within context on the schedule does not match period end date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.endDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.endDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^EndDate <> ^ParentEndDate

    Data Elements:

    ^ParentEndDate = ParentEndDate

    ^EndDate = RP.GRP

    */

    #endregion // VR.ATO.GEN.438001

    #region VR.ATO.GEN.438001


    /*  VR.ATO.GEN.438001 ()

    Period end date within context on the schedule does not match period end date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.endDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.endDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^EndDate <> ^ParentEndDate

    Data Elements:

    ^ParentEndDate = ParentEndDate

    ^EndDate = RP.TRFD

    */

    #endregion // VR.ATO.GEN.438001

    #region VR.ATO.GEN.438001


    /*  VR.ATO.GEN.438001 ()

    Period end date within context on the schedule does not match period end date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.endDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.endDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^EndDate <> ^ParentEndDate

    Data Elements:

    ^ParentEndDate = ParentEndDate

    ^EndDate = RP.TOT

    */

    #endregion // VR.ATO.GEN.438001

    #region VR.ATO.GEN.438001


    /*  VR.ATO.GEN.438001 ()

    Period end date within context on the schedule does not match period end date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.endDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.endDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^EndDate <> ^ParentEndDate

    Data Elements:

    ^ParentEndDate = ParentEndDate

    ^EndDate = RP.Y0

    */

    #endregion // VR.ATO.GEN.438001

    #region VR.ATO.GEN.438001


    /*  VR.ATO.GEN.438001 ()

    Period end date within context on the schedule does not match period end date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.endDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.endDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^EndDate <> ^ParentEndDate

    Data Elements:

    ^ParentEndDate = ParentEndDate

    ^EndDate = RP.Y0-1

    */

    #endregion // VR.ATO.GEN.438001

    #region VR.ATO.GEN.438001


    /*  VR.ATO.GEN.438001 ()

    Period end date within context on the schedule does not match period end date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.endDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.endDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^EndDate <> ^ParentEndDate

    Data Elements:

    ^ParentEndDate = ParentEndDate

    ^EndDate = RP.Y0-2

    */

    #endregion // VR.ATO.GEN.438001

    #region VR.ATO.GEN.438001


    /*  VR.ATO.GEN.438001 ()

    Period end date within context on the schedule does not match period end date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.endDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.endDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^EndDate <> ^ParentEndDate

    Data Elements:

    ^ParentEndDate = ParentEndDate

    ^EndDate = RP.Y0-3

    */

    #endregion // VR.ATO.GEN.438001

    #region VR.ATO.GEN.438001


    /*  VR.ATO.GEN.438001 ()

    Period end date within context on the schedule does not match period end date within PARENT RETURN:reporting party context

    Legacy Rule Format:


    IF (period.endDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.endDate   
        RETURN VALIDATION MESSAGE
    ENDIF

    Parseable Rule Format:

    ^EndDate <> ^ParentEndDate

    Data Elements:

    ^ParentEndDate = ParentEndDate

    ^EndDate = RP.Y0-4P

    */

    #endregion // VR.ATO.GEN.438001

    #endregion // Cross Form Rules - not supported yet

    }
}
